﻿--[[
    Project: AtlasMajorCities Simplified Chinese Translation
    Author: Yeachan (yeachan@live.com)
    Discripton: Chinese(simp) NPC Plugin for AtlasMajorCities.
    Release Date: Sep 20.2009
    Release Version: 1.5
    Internal: AMC.zhCN.15
]]--

local AceLocale = LibStub:GetLibrary("AceLocale-3.0");
local AMCL = AceLocale:NewLocale("AtlasMajorCities", "zhCN", true);

if AMCL then

--Common	
  AMCL["Major Cities"] = "主城";
--Common Names, Items & Buildings  
  AMCL["Inn"] = "旅店";
  AMCL["Mailbox"] = "邮箱";
  AMCL["Forge"] = "熔炉";
  AMCL["Stove"] = "烹饪炉";
  AMCL["AH"] = "拍卖行";
  AMCL["Bank"] = "银行";
  AMCL["Bshop"] = "理发店";              --no localized
  AMCL["Alliance Brigadier"] = "联盟准将";
  AMCL["Ancients Emissary"] = "远古海滩大使";
  AMCL["E Dummy"] = "专家的训练假人";
  AMCL["M Dummy"] = "大师的训练假人";
  AMCL["G Dummy"] = "宗师的训练假人";
  AMCL["H Dummy"] = "英雄训练假人";
  AMCL["Bows"] = "          弓";
  AMCL["Fist Weapons"] = "          拳套";
  AMCL["Staves"] = "          法杖";
  AMCL["Thrown"] = "          投掷武器";
  AMCL["Daggers"] = "          匕首";
  AMCL["Crossbow"] = "          弩";
  AMCL["Guns"] = "          枪";
  AMCL["Polearms"] = "          长柄武器";
  AMCL["One-Handed Maces"] = "          单手锤";
  AMCL["Two-Handed Maces"] = "          双手锤";
  AMCL["Two-Handed Sword"] = "          双手剑";
  AMCL["One-Handed Sword"] = "          单手剑";
  AMCL["One-Handed Axes"] = "          单手斧";
  AMCL["Two-Handed Axes"] = "          双手斧";
  AMCL["PorStor"] = "暴风城传送门";
  AMCL["PorIron"] = "铁炉堡传送门";
  AMCL["PorDarn"] = "达纳苏斯传送门";
  AMCL["PorExod"] = "埃索达传送门";
  AMCL["PorShat"] = "沙塔斯传送门";
  AMCL["PorOrgr"] = "奥格瑞玛传送门";
  AMCL["PorUnde"] = "幽暗城传送门";
  AMCL["PorSilv"] = "银月城传送门";
  AMCL["PorThBl"] = "雷霆崖传送门";
  
--NPC Dalaran
 --White
  AMCL["Krasus Landing"] = "克拉苏斯平台";

  AMCL["Aludane Whitecloud"] = "奥鲁丹·白云 《飞行管理员》";

  AMCL["Hira Snowdawn"] = "希拉·雪晨 《寒冷天气飞行训练师》";

  AMCL["Officer Van Rossem"] = "军官范恩·罗希姆";

  AMCL["Sky-Reaver Klum"] = "掠天者科鲁姆";
  
 --Orng
  AMCL["Runeweaver Square"] = "鲁因广场";

  AMCL["Entrance to the Sewers"] = "下水道入口";

  AMCL["Magical Menagerie"] = "魔法动物店";
  AMCL["Mei Francis"] = "梅尔·弗兰希斯 《特殊坐骑商人》";
  AMCL["Breanni"] = "布琳妮 《宠物商人》";
  AMCL["Tassia Whisperglen"] = "塔西娅·幽谷 《兽栏管理员》";

  AMCL["Teleport to Violet Stand"] = "传送到紫罗兰哨站的水晶";
  AMCL["Archmage Celindra"] = "大法师塞琳德拉 《传送门训练师》";
  AMCL["Warcaster Fanoraithe"] = "战争法师法诺莱斯 《法师训练师》";
  AMCL["Jessa Weaver"] = "叶萨·维尔 《法师训练师》";

  AMCL["The Hunter's Reach"] = "猎人用品店";
  AMCL["Dagna Flintlock"] = "达格娜·火石 《枪械商》";
  AMCL["Jarold Puller"] = "亚罗德·普勒 《特殊弹药商人》";
  AMCL["Aemara"] = "艾玛拉 《弓箭商》";

  AMCL["Aerith Primrose"] = "爱丽丝·普里洛斯 《卖花女》";

  AMCL["The Arsenal Absolute"] = "神兵利器";
  AMCL["Bartram Haller"] = "巴尔塔姆·霍勒 《匕首与拳套》";
  AMCL["Kerta the Bold"] = "大胆的科尔塔 《斧与长柄武器商人》";
  AMCL["Valaden Silverblade"] = "瓦拉丁·银刃 《利剑商人》";
  AMCL["Walther Whiteford"] = "瓦瑟尔·白弗德 《钉锤商人》";

  AMCL["Dalaran Visitor Center"] = "达拉然访客中心";
  AMCL["Andrew Matthews"] = "安德鲁·马休 《公会注册员》";
  AMCL["Elizabeth Ross"] = "伊丽莎白·罗斯 《战袍商人》";
  AMCL["Archivist Betha"] = "档案员蓓塔 《城市历史学家》";

  AMCL["Curiosities & Moore"] = "摩尔珍品店";
  AMCL["Debbi Moore"] = "黛比·摩尔 《饰品和护符》";
  AMCL["Brammold Deepmine"] = "布拉莫德·深井 《古董和传家宝》"; --32509
  AMCL["Orton Bennet"] = "奥尔顿·本内特 《副手物品商人》"; --29527
  AMCL["Ninsianna"] = "尼希亚娜 《圣物》"; --29529

  AMCL["Applebough"] = "苹果树 《水果商人》"; --29547
  AMCL["Windle Sparkshine"] = "温德尔·火花 《路灯商人》"; --29261

  AMCL["Sisters Sorcerous"] = "巫术姐妹";
  AMCL["Hagatha Moorehead"] = "哈加萨·莫尔海德 《材料商人》"; --29636
  AMCL["Endora Moorehead"] = "恩多拉·莫尔海德 《魔法货物》"; --28715

  AMCL["The Threads of Fate"] = "命运丝线";
  AMCL["Paldesse"] = "帕尔蒂丝 《布甲商人》"; --28995
  AMCL["Karandonna"] = "卡兰杜娜 《衣饰商人》"; --29491
  AMCL["Sheddle Glossgleam"] = "西德尔·格罗斯 《鞋匠》"; --29703
  AMCL["Chameli Banaphash"] = "查莉·巴纳法斯 《帽商》"; --29702
  AMCL["Norvin Alderman"] = "诺尔文·奥德曼 《披风》"; --29495

  AMCL["The Wonderworks"] = "奇妙玩具店";
  AMCL["Jepetto Joybuzz"] = "耶比托·乔巴斯 《玩具商人》"; --29478
  AMCL["Clockwork Assistant"] = "发条助手 《耶比托的伙伴》"; --29716

  AMCL["The Legerdemain Lounge"] = "魔术旅馆";
  AMCL["Amisi Azuregaze"] = "艾米丝·埃索盖斯 《旅店老板》"; --28687
  AMCL["Arille Azuregaze"] = "埃里雷 《酒吧招待》"; --29049
  AMCL["Sandra Bartan"] = "珊德拉·巴尔坦 《女招待》"; --32403
  AMCL["Afsaneh Asrar"] = "芙莱尔·贝尔 《旅店助理》"; --32411

  AMCL["Kizi Copperclip"] = "吉兹·考波克利 《理发师》"; --28708

  AMCL["One More Glass"] = "再来一杯";
  AMCL["Fialla Sweetberry"] = "菲娅拉·甜莓 《食物与饮料》"; --29715
  AMCL["Christi Stockton"] = "克莉丝蒂·斯多克顿 《酒商》"; --32337
  AMCL["Lucian Trias"] = "鲁希安·提亚斯 《面包与奶酪商人》"; --29714

  AMCL["Aimee"] = "艾蜜 《馅饼和蛋糕》"; --29548

 --Purp
  AMCL["The Eventide"] = "日暮广场";

  AMCL["Marcia Chase"] = "玛西娅·切斯 《宗师级钓鱼训练师和补给商》"; --28742
--AMCL["Marcia Chase &"] = "             ";                      

  AMCL["Glorious Goods"] = "荣耀杂货店";
  AMCL["Jack Findle"] = "“红发”杰克·芬德 《杂货商人》"; --28692
  AMCL["Susana Averoy"] = "苏珊娜·阿维罗 《杂货商》"; --28691

  AMCL["Langrom's Leather & Links"] = "兰格鲁的皮加锁";
  AMCL["Bragund Brightlink"] = "布拉古德·明火 《锁甲商人》"; --29523
  AMCL["Valerie Langrom"] = "瓦蕾莉·兰格鲁 《皮甲商人》"; --28992

  AMCL["The Militant Mystic"] = "好战的秘法师";
  AMCL["Abra Cadabra"] = "安布拉·卡达布拉 《魔杖》"; --28994
  AMCL["Shen Kang Chen"] = "沈志豪 《法杖》"; --29494

 --Yell
  AMCL["The Violet Hold"] = "紫罗兰监狱";

  AMCL["Archmage Timear"] = "大法师提迈尔"; --31439
  AMCL["Archmage Lan'dalock"] = "大法师兰达洛克"; --20735
  AMCL["Torgo the Younger"] = "年轻的托格"; --29325
  AMCL["The Violet Hold Instance"] = "副本-紫罗兰监狱";

 --Blue
  AMCL["The Silver Enclave a"] = "银色领地 (联盟)";

  AMCL["A Hero's Welcome"] = "英雄之家";
  AMCL["Isirami Fairwind"] = "伊丝拉米·轻风 《旅店老板》";
  AMCL["Stefen Cotter"] = "斯蒂芬·考特尔 《酒吧招待》";
  AMCL["Katherine Lee"] = "凯瑟琳·李 《宗师级烹饪训练师》";
  AMCL["Derek Odds"] = "德里克·奥斯 《烹饪供应商》";
  AMCL["Inzi Charmlight"] = "伊吉·魔光 《女招待》";
  AMCL["Marcella Bloom"] = "玛尔塞拉·布鲁姆 《女招待》";
  AMCL["Caliel Brightwillow"] = "卡里尔·明柳 《旅店助理》";

  AMCL["The Beer Garden"] = "啤酒花园";
  AMCL["Laire Brewgold"] = "莱尔蕾·金酒 《酒吧女郎》";
  AMCL["Coira Longrifle"] = "科尔拉·长枪 《酒吧女郎》";

  AMCL["The Silver Enclave"] = "银色领地";

  AMCL["Arcanist Braedin"] = "奥术师布莱丁 《冬拥湖战斗法师》";
  AMCL["Portal to Battlefields"] = "各战场传送门";

  AMCL["Upstair"] = "楼梯";
  AMCL["Arcanist Ivrenne"] = "奥术师艾弗蕾妮 《英雄纹章军需官》";
--AMCL["Arcanist Ivrenne &"] = "             Quartermaster";
  AMCL["Arcanist Adurin"] = "奥术师埃杜林 《勇气纹章军需官》"; --31305
  AMCL["Arcanist Firael"] = "Arcanist Firael, Emblem of Conquest"; --33964           --？？
--AMCL["Arcanist Firael &"] = "             Quartermaster";

 --Gren
  AMCL["The Violet Citadel"] = "紫罗兰城堡";

  AMCL["Rhonin"] = "罗宁 《肯瑞托的领袖》";
  AMCL["Vereesa Windrunner"] = "温蕾萨·风行者 《银色盟约的游侠将军》";
--AMCL["Vereesa Windrunner &"] = "             Silver Covenant";

  AMCL["Archmage Alvareaux"] = "大法师奥瓦利斯 《银色盟约的游侠将军》";

  AMCL["Zidormi"] = "希多尔米 《时光守护者》";
  AMCL["Portal Cavern Time"] = "时光之穴的传送门";

  AMCL["Portal Purple Parlor"] = "通往紫色天台的传送门";

  AMCL["The Purple Parlor"] = "紫色天台";
  AMCL["Archmage John Nicholas"] = "大法师约翰·尼古拉斯 《惩罚者》";
  AMCL["Alfred Copperworth"] = "阿尔弗雷德·考伯沃斯 《管事》";

 --Grey
  AMCL["The Magus Commerce"] = "魔法商业区";

  AMCL["Simply Enchanting"] = "简单附魔";
  AMCL["Enchanter Nalthanis"] = "附魔师纳萨尼斯 《宗师级附魔训练师》"; --28693
--AMCL["Enchanter Nalthanis &"] = "             Trainer";
  AMCL["Ildine Sorrowspear"] = "伊尔蒂 《附魔供应商》"; --28714
  AMCL["Vanessa Sellers"] = "瓦妮萨·塞勒斯 《碎片商人》";

  AMCL["First to Your Aid"] = "急你所急";
  AMCL["Olisarra the Kind"] = "善良的欧莉萨拉 《宗师级急救训练师》"; --28706
  AMCL["Angelique Butler"] = "安吉莉克·巴特雷 《急救供应商》"; --29628

  AMCL["Talismanic Textiles"] = "避邪纺织店";
  AMCL["Charles Worth"] =  "查理·沃尔斯 《宗师级裁缝训练师》"; --28699
  AMCL["Dominique Stefano"] = "多米妮克·斯特法诺 《裁缝供应商》"; --28726
  AMCL["Ainderu Summerleaf"] = "埃德尔鲁·夏叶 《月布裁缝专家》"; --29512
--AMCL["Ainderu Summerleaf &"] = "             Specialist";
  AMCL["Lalla Brightweave"] = "兰尔拉·亮纹 《魔焰裁缝专家》"; --29511
  AMCL["Linna Bruder"] = "琳娜·布鲁德 《暗纹裁缝专家》"; --29510

  AMCL["Legendary Leathers"] = "传说皮甲";
  AMCL["Braeg Stoutbeard"] = "布莱格·酒须 《皮货商人》";
  AMCL["Diane Cannings"] = "蒂亚妮·坎宁斯 《宗师级制皮训练师》"; --28700
--AMCL["Diane Cannings &"] = "             Trainer";
  AMCL["Derik Marks"] = "迪尔克·马克斯 《宗师级剥皮训练师》";
  AMCL["Ranid Glowergold"] = "兰尼德·怒金 《制皮和剥皮供应商》";
--AMCL["Ranid Glowergold &"] = "             Skinning Supplies";
  AMCL["Manfred Staller"] = "曼弗莱德·斯塔勒 《元素制皮训练师》"; --29507
--AMCL["Manfred Staller &"] = "             Trainer";
  AMCL["Andellion"] = "安德里奥 《龙鳞制皮训练师》"; --29508
  AMCL["Namha Moonwater"] = "娜穆·月水 《部族制皮训练师》"; --29509
--AMCL["Namha Moonwater &"] = "             Trainer";

  AMCL["Like Clockwork"] = "精密仪器";
  AMCL["Justin Oshenko"] = "加斯汀·欧希克 《宗师级工程学训练师》"; --28697
--AMCL["Justin Oshenko &"] = "             Trainer";
  AMCL["Bryan Landers"] = "比尔亚·兰德斯 《工程学供应商》"; --28722
  AMCL["Didi the Wrench"] = "钳工蒂迪 《地精工程学训练师》"; --29513
  AMCL["Findle Whistlesteam"] = "芬德尔·汽哨 《侏儒工程学训练师》"; --29514

  AMCL["All That Glitters Prospecting Co"] = "亮晶晶矿业公司";
  AMCL["Jedidiah Handers"] = "杰迪安·汉德尔斯 《宗师级采矿训练师》";
  AMCL["Dorian Fines"] = "多利安·芬斯 《采矿供应商》"; --28728

  AMCL["The Forge of Fate"] = "命运熔炉";

  AMCL["Tanks For Everything"] = "坦克用品店";
  AMCL["Alard Schmied"] = "奥拉尔德·施米尔 《宗师级锻造训练师》";
--AMCL["Alard Schmied &"] = "             Trainer";
  AMCL["Palja Amboss"] = "帕尔娅·安玻斯 《锻造供应商》";
  AMCL["Imindril Spearsong"] = "伊曼蒂尔·锋歌 《武器锻造训练师》";
  AMCL["Orland Schaeffer"] = "奥兰德·夏菲尔 《护甲锻造训练师》";
  AMCL["Dubin Clay"] = "Dubin Clay 《板甲商人》";                     --34252           --??
  AMCL["Griselda Hunderland"] = "格里丝华尔德·哈兰德 《板甲商人》";
  AMCL["Anthony Durain"] = "安东尼·杜伦 《盾牌商人》";

  AMCL["Dorothy Egan"] = "多萝希·埃根 《宗师级草药学训练师》";
  AMCL["Edward Egan"] = "爱德华·埃根 《草药学供应商》"; --28727

  AMCL["The Scribes Sacellum"] = "铭文师的殿堂";
  AMCL["Proffessor Pallin"] = "帕林教授 《宗师级铭文训练师》"; --28702
--AMCL["Proffessor Pallin &"] = "             Trainer";
  AMCL["Larana Drome"] = "拉兰娜·德罗姆 《铭文供应商》"; --28723
  AMCL["Jessica Sellers"] = "Jessica Sellers, Ink Trader";           --33027            --??
  AMCL["Theresa Wolf"] = "瑟蕾萨·沃尔弗 《博学者》"; --29641

 --Red
  AMCL["Sunreaver's Sanctuary"] = "夺日者圣殿 (部落)";

  AMCL["部落 Warbringer"] = "部落战争使者";
  AMCL["High Arcanist Savor"] = "高阶奥术师达斯克·阿尔希斯 《夺日者》";

  AMCL["Magister Surdiel"] = "魔导师索迪耶尔 《冬拥湖战斗法师》";
  AMCL["Eye of the Storm Portal"] = "风暴之眼传送门";
  AMCL["Arathi Basin Portal"] = "阿拉希盆地传送门";

  AMCL["Strand of the Ancients Portal"] = "缘故海滩传送门";
  AMCL["Alterac Valley Portal"] = "奥特兰克山谷传送门";
  AMCL["Warsong Gulch Portal"] = "战歌峡谷传送门";

  AMCL["Magister Sarien"] = "Magister Sarien, Emblem of Conquest";  --33963
--AMCL["Magister Sarien &"] = "             Quartermaster";
  AMCL["Magister Brasael"] = "魔导师布拉塞尔 《勇气纹章军需官》";
  AMCL["Magistrix Lambriesse"] = "魔导师拉姆布莉丝 《英雄纹章军需官》";
--AMCL["Magistrix Lambriesse &"] = "             Quartermaster";

  AMCL["The Filthy Animal"] = "肮脏的野兽";
  AMCL["Uda the Beast"] = "兽女乌达 《旅店老板》";
  AMCL["Kyunghee"] = "凯乌赫 《飞斧》";
  AMCL["Mato"] = "玛图 《食物与饮料》"; --32412
  AMCL["Hamaka"] = "哈玛卡 《酒吧招待》";
  AMCL["Umbiwa"] = "乌姆比瓦 《女招待》";
  AMCL["Mimbihi"] = "米比希 《女招待》";
  AMCL["Awilo Lon'gomba"] = "埃维罗·隆古巴 《宗师级烹饪训练师》"; --29631
--AMCL["Awilo Lon'gomba &"] = "             Trainer";
  AMCL["Misensi"] = "米森希 《烹饪供应商》";
  AMCL["Abohba"] = "阿波赫巴 《旅店助理》";


--NPC Dalaran Sewers
 --White
  AMCL["D Sew"] = "达拉然下水道";

  AMCL["Entrance"] = "下水道入口";

  AMCL["The Black Market"] = "黑市";
  AMCL["Hexil Garrot"] = "赫塞尔·加洛特 《业务工具》"; --29538
  AMCL["Pazik The Pick"] = "“万能钥匙”帕兹克·派洛特 《锁匠》"; --29665
  AMCL["Scout Nisstina"] = "斥候尼丝蒂娜 《三指大盗》"; --29778
  AMCL["Alchemist Cinesra"] = "炼金师辛奈斯拉 《毒药商》";
  AMCL["Darahir"] = "达拉希尔 《施法材料与魔法物品》";

  AMCL["Circle of Wills"] = "意志竞技场";
  AMCL["Blazik Fireclaw"] = "布拉兹克·火爪 《饮料商人》"; --30885
  AMCL["Nargle Lashcord"] = "纳格尔·拉斯克德 《精锐竞技场商人》";
  AMCL["Xazi Smolderpipe"] = "夏尔兹·斯莫德普 《竞技场商人》";
  AMCL["Zom Bocom"] = "佐姆·波克 《见习竞技场商人》";
  AMCL["Shifty Vickers"] = "狡猾的维克斯";

  AMCL["Baroness Llana"] = "“伯爵夫人”莱娜 《竞技场组织者》";
  AMCL["Schembari Shearbolt"] = "斯卡巴里·谢波德 《竞技场管理员》"; --29533
--AMCL["Schembari Shearbolt &"] = "             Battlemaster";

  AMCL["Rickard Rustbolt"] = "“技术派”理查德·拉斯波特 《竞技场管理员》"; --29568

  AMCL["Sarah Brady"] = "Sarah Brady, Alcohol"; --33026
  AMCL["Minzi Minx"] = "顽皮的米恩兹 《竞技场管理员》";

  AMCL["Nixi Fireclaw"] = "妮希·火爪 《饮料商人》";

  AMCL["Kanika Goldwell"] = "坎妮卡·古德维尔 《竞技场组织者》";
  AMCL["Ramik Slamwrench"] = "拉米克·斯拉文奇 《竞技场管理员》";

  AMCL["Danik Blackshaft"] = "“小专家”丹尼克·布莱沙弗 《竞技场管理员》";

  AMCL["Cantrips & Crows"] = "咒语和乌鸦旅店";
  AMCL["Ajay Green"] = "埃因·格林 《旅店老板》";
  AMCL["Narisa Redgold"] = "纳莉萨·赤金 《女招待》";

  AMCL["Binzik Goldbook"] = "宾兹克·戈布克 《银行职员》";

  AMCL["Angelo Pescatore"] = "安格罗·皮斯卡托 《钓鱼供应商》"; --28707

  AMCL["Rin Duoctane"] = "林·多克塔";

  AMCL["Sewer Pipe"] = "进出你需要有飞行坐骑";
--AMCL["Add On"] = "to use";

  AMCL["Washed-up Mage"] = "疲倦的法师";


--NPC 达纳苏斯 
 --White  
  AMCL["Warrior's Terrace"] = "战士区";
   
  AMCL["Mydrannul"] = "迈德兰努尔 《杂货商》"; --4241
  AMCL["Shylenai"] = "夏琳奈尔 《猫头鹰训练师》";
  AMCL["Fyrenna"] = "菲琳娜 《食物与饮料》";
  AMCL["Ancient of War"] = "战争古树";
   
  AMCL["Sildanair"] = "希达奈尔 《战士训练师》";
  AMCL["Thyn'tel"] = "塞恩提尔·刃纹";
   
  AMCL["Elanaria"] = "艾兰娜瑞";
  AMCL["Arias'ta"] = "阿雷亚斯塔·刃歌 《战士训练师》";
  AMCL["Darnath"] = "达纳斯·刃歌 《战士训练师》";
  AMCL["Brogun"] = "布洛冈·石盾 《奥特兰克山谷军官》";
  AMCL["Enlae"] = "艾莱 《风暴之眼军官》";
  AMCL["Aethalas"] = "伊萨拉斯 《战歌峡谷军官》";
  AMCL["Fima"] = "五指菲玛 《竞技场管理员》";
  AMCL["Keras"] = "克拉斯·沃夫哈特 《阿拉希盆地军官》";
  AMCL["Nivara"] = "妮瓦拉·刃舞 《远古海滩军官》";
--AMCL["Nivara &"] = "             Battlemaster";
 
  AMCL["Ariyell"] = "阿瑞耶尔·天影 《武器商》";
  AMCL["Mathiel"] = "玛希尔";
  AMCL["Cylania"] = "塞兰妮亚《暗夜精灵护甲商》";
  AMCL["Ilyenia"] = "伊琳尼雅·月火 《武器大师》";
  
 --Purp
  AMCL["Tradesmen's Terrace"] = "贸易区";
   
  AMCL["General Goods & Bags"] = "杂货和背包";
  AMCL["Ellandrieth"] = "艾兰蒂斯 《杂货商》";
  AMCL["Yldan"] = "伊尔丹 《背包商人》";
   
  AMCL["Weapons"] = "武器";
  AMCL["Glorandiir"] = "格罗拉迪尔 《斧商》";
  AMCL["Merelyssa"] = "米利希亚 《铸剑商》";
  AMCL["Mythidan"] = "迈希迪安,  《锤和法杖商人》";
  AMCL["Kieran"] = "基尔兰 《武器商》";
   
  AMCL["Fletcher & Thrown Weapons"] = "弓箭与投掷武器";          --？？
  AMCL["Landria"] = "兰德瑞亚 《弓箭商人》";
  AMCL["Turian"] = "图里安 《投掷武器商人》";
   
  AMCL["CAHW"] = "布甲和双手武器";
  AMCL["Vinasia"] = "温娜希雅 《布甲商》";
  AMCL["Ealyshia D"] = "伊林希亚·露珠 《双手武器商人》";
--AMCL["Ealyshia D &"] = "             Merchant";
 
  AMCL["Leather Armor"] = "皮甲";
  AMCL["Cyridan"] = "塞瑞丹 《皮甲商》";
   
  AMCL["Mail Armor & Shields"] = "锁甲和盾牌";
  AMCL["Melea"] = "梅尔利恩 《锁甲商》";
  AMCL["Caynrus"] = "坎因鲁斯 《盾牌商人》";
   
  AMCL["Jareth"] = "加雷斯·深林";
   
  AMCL["Treshala"] = "塔莎拉·静水";
   
  AMCL["Sentinel's Bunkhouse"] = "哨兵营地";
   
  AMCL["Staff & Robe"] = "法杖和长袍";
  AMCL["Andrus"] = "安德鲁斯 《法杖商》";
  AMCL["Anadyia"] = "安达迪雅 《长袍商》";

  AMCL["Jaeana"] = "加伊娜,  《肉商》";
--AMCL["Jaeana&"] = "          the Weapons and Fletcher buildings)";

 --Yell
  AMCL["Craftsmen's Terrace"] = "工匠区";

  AMCL["Guild"] = "公会";
  AMCL["Lysheana"] = "琳沙娜 《公会注册员》";
  AMCL["Shalumon"] = "沙鲁蒙 《战袍商人》";
  AMCL["Ellaercia"] = "艾拉希亚 《公会徽章设计师》";

  AMCL["Saelienne"] = "旅店老板塞琳尼";

  AMCL["Tailoring &"] = "裁缝和制皮";
  AMCL["Me'lynn"] = "迈里恩 《裁缝训练师》";
  AMCL["Elynna"] = "艾琳娜 《裁缝供应商》";
  AMCL["Raedon D"] = "莱顿·暗影,  《联盟布匹军需官》";
--AMCL["Raedon D &"] = "             Quartermaster";
  AMCL["Telonis"] = "泰龙尼斯 《制皮训练师》";
  AMCL["Saenorion"] = "塞诺里奥 《制皮供应商》"; --4212
  AMCL["艾拉迪尔"] = "艾拉迪尔 《剥皮训练师》"; --6292
  AMCL["Lotherias"] = "洛瑟里亚斯";

  AMCL["General"] = "《杂货店》";
  AMCL["Mythrin'dir"] = "迈斯林迪尔 《杂货商人》";

  AMCL["Enchanting"] = "附魔和铭文";
  AMCL["Taladan"] = "塔兰丹 《附魔训练师》";
  AMCL["Vaean"] = "维安 《附魔供应商》";
  AMCL["Feyden D"] = "芬迪·达金 《铭文训练师》";
  AMCL["Illianna M"] = "伊莉安娜·月纹 《铭文供应商》";

  AMCL["Alchemy"] = "炼金术和银色黎明";
  AMCL["Ainethil"] = "安尼希尔 《炼金术训练师》";
  AMCL["Ulthir"] = "尤希尔 《炼金术供应商》";
  AMCL["Argent Guard Manados"] = "银月守卫玛纳杜斯 《银色黎明》";
  AMCL["D Selgorm"] = "哨兵塞尔高姆 《银色黎明》";
  AMCL["D Shaedlass"] = "哨兵山德拉斯 《银色黎明》";

  AMCL["Cooking"] = "烹饪";
  AMCL["Alegorn"] = "阿雷贡 《烹饪训练师》";
  AMCL["Fyldan"] = "菲尔丹 《烹饪供应商》";

  AMCL["First Aid"] = "急救";
  AMCL["Dannelor"] = "丹纳罗尔 《急救训练师》";

 --Blue
  AMCL["Cenarion Enclave"] = "塞纳里奥区";

  AMCL["Tunnel R Trainer"] = "通向潜行者训练师的地道";

  AMCL["Food & Drink"] = "食物与饮料";
  AMCL["Dendrythis"] = "德蒂希斯 《食物与饮料》";

  AMCL["Rellian G"] = "雷利亚·绿树";

  AMCL["Mounts"] = "坐骑";
  AMCL["Jartsam"] = "贾萨姆 《骑术训练师》";
  AMCL["Lelanai"] = "莱兰奈 《驯豹人》";

  AMCL["Hunter"] = "猎人训练师";
  AMCL["Alassin"] = "阿拉辛 《兽栏管理员》";
  AMCL["Jocaste"] = "祖卡斯特 《猎人训练师》";
  AMCL["Corand"] = "科兰德";
  AMCL["Jeen'ra N"] = "吉恩拉 《猎人训练师》";
  AMCL["Dorion"] = "多利安 《猎人训练师》";
  AMCL["Silvaria"] = "西尔瓦莉雅 《宠物训练师》";

  AMCL["Druid"] = "德鲁伊训练师";
  AMCL["Denatharion"] = "德纳萨里安 《德鲁伊训练师》";
  AMCL["Fylerian N"] = "菲勒里亚·夜翼 《德鲁伊训练师》";
  AMCL["Cyroen"] = "塞罗恩 《材料商》";
  AMCL["Mathrengyl B"] = "玛斯雷·驭熊者 《德鲁伊训练师》";
  AMCL["Fandral S"] = "大德鲁伊范达尔·鹿盔";

  AMCL["Poisons"] = "毒药商";
  AMCL["Kyrai"] = "凯尔莱 《毒药商》";
  AMCL["Faelyssa"] = "菲琳萨";

  AMCL["Rogue"] = "潜行者训练师";
  AMCL["Syurna"] = "塞尤娜 《潜行者训练师》";
  AMCL["Anishar"] = "安妮莎尔 《潜行者训练师》";
  AMCL["Erion S"] = "艾瑞安·影语 《潜行者训练师》";

 --Gren
  AMCL["The Temple Gardens"] = "神殿花园";

  AMCL["Portal to Rut'theran"] = "到鲁瑟兰村的传送门";

  AMCL["O Lunalight"] = "军官鲁娜莱 《达纳苏斯嘉奖处》";

  AMCL["Sister Aquinne"] = "艾奎恩妮 《低阶女祭司》";

  AMCL["Fishing"] = "钓鱼";
  AMCL["Astaia"] = "阿斯坦娅 《钓鱼训练师》";
  AMCL["Voloren"] = "沃洛伦 《钓鱼供应商》";
  AMCL["Talaelar"] = "塔莱拉尔 《鱼商》";

  AMCL["Herbalism"] = "草药学训练师";
  AMCL["Firodren M"] = "菲罗迪恩·唤月 《草药学训练师》";
  AMCL["Chardryn"] = "查德瑞恩 《草药学供应商》";

  AMCL["Greywhisker"] = "首席考古学家杜瑟·灰须 《探险者协会》";
  AMCL["Greywhisker &"] = "";

  AMCL["Alaindia"] = "奥兰蒂亚 《材料商》 (在4个点之间来回";
  AMCL["Alaindia&"] = "          走动，并在每个点停留5分钟)";
  AMCL["Alaindia&1"] = "";

 --Cyan
  AMCL["Temple Moon"] = "月神殿";

  AMCL["Main Floor"] = "主楼层";
  AMCL["Jandria"] = "贾德莉亚 《牧师训练师》";
  AMCL["Lariia"] = "拉瑞亚 《牧师训练师》";
  AMCL["Elissa D"] = "埃莉萨 《传送门训练师》";
  AMCL["Dalia S"] = "哨兵达莉亚·炎刃";

  AMCL["Balconey"] = "露台";
  AMCL["P A'moora"] = "女祭司艾茉拉";

  AMCL["Gracina S"] = "格拉希娜·灵风";

  AMCL["AstariiS"] = "阿斯塔利·逐星 《牧师训练师》";
  AMCL["PAlathea"] = "女祭司阿兰希雅 《牧师训练师》";
  AMCL["TyrandeW"] = "泰兰德·语风 《艾露恩的高阶女祭司》";
  AMCL["Valustraa"] = "瓦鲁丝塔大使";


--NPC 埃索达
 --White
  AMCL["Outside"] = "正门外面";
  AMCL["Entrance Ex"] = "城市出入口";

  AMCL["Stephanos"] = "斯泰法努斯 《角鹰兽管理员》";

  AMCL["Torallius"] = "象群管理者妥拉留斯 《雷象饲养者》"; --17584
  AMCL["Aalun"] = "埃亚伦 《骑术训练师》";

 --Gren
  AMCL["Seat of the Naaru"] = "纳鲁之座";

  AMCL["Caregiver B"] = "布雷尔 《旅店老板》";
  AMCL["Arthaid"] = "阿尔泰德 《兽栏管理员》";
  AMCL["Miglik B"] = "米格里克·布罗斯托 《竞技场管理员》";

  AMCL["O Khaluun"] = "军官坎鲁恩 《埃索达嘉奖官》";

  AMCL["Mumman"] = "穆曼 《厨师》";
  AMCL["Phea"] = "菲恩 《烹饪供应商》";
  AMCL["CookP"] = "烹锅";

  AMCL["Onnis"] = "昂尼斯 《杂货商》";
  AMCL["Cuzi"] = "古兹 《背包商人》";

  AMCL["Bran'daan"] = "通报者布兰丹恩";

  AMCL["Nurguni"] = "努古尼 《商人》";

  AMCL["O'ros"] = "沃洛斯 (斜坡下边)";

 --Red
  AMCL["Traders Tier"] = "贸易阶梯";

  AMCL["Tailoring"] = "裁缝";
  AMCL["Refik"] = "雷菲克 《裁缝训练师》";
  AMCL["Neii"] = "奈伊 《裁缝供应商》";
  AMCL["Dugiru"] = "度戈鲁 《联盟布匹军需官》";

  AMCL["Leatherworking and Skinning"] = "制皮和剥皮";
  AMCL["Remere"] = "雷米勒 《剥皮训练师》";
  AMCL["Akham"] = "阿克汉姆 《制皮训练师》";
  AMCL["Haferet"] = "哈弗雷特 《制皮供应商》";

  AMCL["Plate Armor & Shields"] = "板甲和盾牌";
  AMCL["Gotaan"] = "古坦妮 《板甲商人》";
  AMCL["Treall"] = "特雷奥 《盾牌商人》";

  AMCL["Bladed Weapons"] = "利刃武器";
  AMCL["Ven"] = "温恩 《刀剑商人》";

  AMCL["Blunt Weapons"] = "钝器";
  AMCL["Ellomin"] = "埃尔洛米 《钝器商人》";

  AMCL["Leather & Cloth Armor"] = "皮甲和布甲 (上层)";
  AMCL["Mahri"] = "玛赫里 《皮甲商》";
  AMCL["Gornii"] = "戈恩尼 《布甲商》";

  AMCL["Mail Armor"] = "锁甲 (上层)";
  AMCL["Yil"] = "伊尔 《锁甲商》";

  AMCL["Mining and Smithing"] = "采矿和锻造";
  AMCL["Muaat"] = "穆亚特 《采矿训练师》";
  AMCL["Merran"] = "米尔兰 《采矿供应商》";
  AMCL["Miall"] = "米阿尔 《锻造训练师》";
  AMCL["Arras"] = "阿尔拉斯 《锻造供应商》";

  AMCL["Engineering"] = "工程学";
  AMCL["Ockil"] = "奥克基尔 《工程学训练师》";
  AMCL["Feera"] = " 菲拉《工程学供应商》";

  AMCL["Hunters' Sanctum"] = "猎手圣殿";
  AMCL["Deremiis"] = "德雷米斯 《猎人训练师》";
  AMCL["Vord"] = "沃尔德 《猎人训练师》";
  AMCL["Killac"] = "基尔拉克 《猎人训练师》";
  AMCL["Ganaar"] = "甘纳尔 《宠物训练师》";
  AMCL["Avelii"] = "艾维尔琳 《弓箭商》";
  AMCL["Muhaa"] = "姆哈 《枪械商》";

  AMCL["Ring of Arms"] = "武器之环";
  AMCL["Fingin"] = "芬吉 《毒药商》";
  AMCL["Ahonan"] = "安霍纳 《战士训练师》";
  AMCL["Kazi"] = "卡兹 《战士训练师》";
  AMCL["Behomat"] = "贝霍玛特 《战士训练师》";
  AMCL["Handiir"] = "韩迪尔 《武器大师》";

  AMCL["Guild Master and Tabards"] = "公会注册和徽章设计";
  AMCL["Funaam"] = "弗纳姆 《公会注册员》";
  AMCL["Issca"] = "伊斯卡 《战袍商人》";

 --Purp
  AMCL["The Vault of Lights"] = "圣光穹顶";

  AMCL["Hall of the Mystics"] = "秘法大厅";
  AMCL["Bati"] = "巴蒂 《法师训练师》";
  AMCL["Harnan"] = "哈尔南 《法师训练师》";
  AMCL["Edirah"] = "伊迪拉恩 《法师训练师》";
  AMCL["Lunaraa"] = "鲁纳尔兰 《传送门训练师》";
  AMCL["Oss"] = "欧斯 《魔杖商人》";
  AMCL["Musal"] = "穆萨尔 《炼金术和材料供应商》";

  AMCL["Vindicators' Sanctum"] = "守备官圣殿";
  AMCL["Kavaan"] = "卡维恩 《圣骑士训练师》";
  AMCL["Jol"] = "约尔 《圣骑士训练师》";
  AMCL["Baatun"] = "巴图恩 《圣骑士训练师》";

  AMCL["Alchemy and Herbalism"] = "炼金和采药";
  AMCL["Lucc"] = "鲁克 《炼金术训练师》";
  AMCL["Altaa"] = "奥泰恩 《炼金术供应商》";
  AMCL["Cemmorhan"] = "塞摩尔汉 《草药学训练师》";

  AMCL["Tolo"] = "图尔洛 《阿拉希盆地军官》";

  AMCL["Mahul"] = "玛霍尔 《奥特兰克山谷军官》";
  AMCL["Mitia"] = "米提亚 《风暴之眼军官》";

  AMCL["Jihi"] = "伊希 《战歌峡谷军官》";
  AMCL["Buhurda"] = "布霍达 《远古海滩军官》";

  AMCL["Prophet Velen"] = "先知维伦";

  AMCL["Anchorites' Sanctum"] = "学者圣殿";
  AMCL["Izmir"] = "伊兹米尔 《牧师训练师》";
  AMCL["Fallat"] = "法尔拉特 《牧师训练师》";
  AMCL["Caedmos"] = "凯德莫斯 《牧师训练师》";

  --White
  AMCL["The Crystal Hall"] = "水晶大厅";

  --AMCL["Enchanting"] = "Enchanting"; -- Duplicated
  AMCL["Nahogg"] = "纳霍加 《附魔训练师》";
  AMCL["Egomis"] = "艾苟米斯 《附魔材料商》";
  AMCL["Thoth"] = "索斯 《铭文训练师》";
  AMCL["Sessoh"] = "萨索 《铭文供应商》";

  AMCL["Sixx"] = "希克斯 《蛾子商人》(一层)";

  AMCL["Gurrag"] = "古尔拉格 《萨满祭司训练师》";

  AMCL["F Nobundo"] = "预言者努波顿 《萨满祭司训练师》 (坡道之上)";
  AMCL["F Dunaer"] = "工头度纳尔";
  AMCL["Valon"] = "瓦隆";

  AMCL["Sulaa"] = "苏兰 《萨满祭司训练师》";

  --AMCL["Fishing"] = "Fishing";
  AMCL["Erett"] = "伊雷特 《钓鱼训练师》";
  AMCL["Dekin"] = "德金 《钓鱼供应商》";

  AMCL["Hobahken"] = "霍巴肯 《萨满祭司训练师》";

  AMCL["Reagents"] = "材料";
  AMCL["Bildine"] = "比尔迪恩 《材料商》";

  --AMCL["First Aid"] = "First Aid";
  AMCL["Nus"] = "努丝 《急救训练师》";

  AMCL["Jewelcrafting"] = "珠宝加工";
  AMCL["Farii"] = "法里 《珠宝加工训练师》";
  AMCL["Arred"] = "阿尔雷德 《珠宝加工供应商》";
  AMCL["Padaar"] = "帕达尔 《初级珠宝匠》";

  AMCL["Seer Skaltesh"] = "先知斯卡泰斯";

  --NPC Ironforge
  --White
  AMCL["The Common"] = "大厅";

  AMCL["Barim"] = "巴瑞姆材料店";
  AMCL["Barim J"] = "巴瑞姆·贾根斯塔德 《材料商》";

  AMCL["Stonefire Tavern"] = "石火旅店";
  AMCL["Innkeeper Firebrew"] = "旅店老板洛雷·火酒";
  AMCL["Gwenna F"] = "吉温娜·火酒 《招待员》";
  AMCL["Larkin T"] = "拉尔金·雷酒 《本月美酒俱乐部》";
  AMCL["Brew Vendor"] = "美酒商人 《本月美酒俱乐部》";
  AMCL["Sheldonore"] = "炮兵舍尔杜";

  AMCL["Pella B"] = "贝拉·布拉鲁斯 《理发师》";

  AMCL["Ironforge Armory"] = "铁炉堡军械库";
  AMCL["Mangorn F"] = "曼高恩·火锤 《重甲商》";
  AMCL["Raena F"] = "莱纳·火锤 《轻甲商》";
  AMCL["Bromiir O"] = "波洛米尔·奥姆森 《重甲商》";

  AMCL["Dinita S"] = "丁尼塔·石衣 《宝库管理员》";
  AMCL["Lieutenant Rot"] = "洛泰姆中尉 《雷矛卫兵招募处》";
  AMCL["Lieutenant Rot &"] = "           (银行门口)";

  AMCL["Steelfury's Weapon Emporium"] = "钢怒武器店";
  AMCL["Dolman S"] = "杜尔曼·钢怒 《武器商》";
  AMCL["Grenil S"] = "格雷尼尔·钢怒 《武器商》";

  AMCL["Fizzlespinner"] = "菲留斯杂货店";
  AMCL["Fillius F"] = "菲留斯·旋翼 《商人》";
  AMCL["Bryllia I"] = "布莱利亚·铁印 《杂货商》";

  AMCL["Marblesten"] = "大石匠玛布勒斯坦 《皇家石匠协会》";
--AMCL["Marblesten&"] = "          Union";

  AMCL["Ironforge V C"] = "铁炉堡访客中心";
  AMCL["Jondor S"] = "乔多·钢眉 《公会注册员》";
  AMCL["Lyesa S"] = "利莎·钢眉 《战袍商人》";

  AMCL["Myra T"] = "米拉·泰恩加德 《面包商》 (在";
  AMCL["Myra T &"] = "          银行和拍卖行前叫卖)";

  --Gren
  AMCL["Mystic Ward"] = "秘法区";

  AMCL["Fighting Wizard"] = "作战法师";
  AMCL["Bingus"] = "宾古斯 《武器商》";
  AMCL["Harick B"] = "哈瑞克·石鼓 《魔杖商人》";

  AMCL["Hall of Mysteries"] = "秘法大厅";
  AMCL["Toldren D"] = "托德雷·铁矿 《牧师训练师》";
  AMCL["Braenna F"] = "布莱纳·火崖 《牧师训练师》";
  AMCL["High Priest Rohan"] = "高阶牧师洛汉 《牧师训练师》";
  AMCL["Theodrus F"] = "塞欧杜斯·霜须 《牧师训练师》";
  AMCL["Bink"] = "彬克 《法师训练师》";
  AMCL["Dink"] = "丁克 《法师训练师》";
  AMCL["Juli S"] = "朱莉·雷线 《法师训练师》";
  AMCL["Milstaff S"] = "贝尔斯塔弗·风暴之眼 《传送门训练师》";
  AMCL["Brandur I"] = "布兰度尔·铁锤 《圣骑士训练师》";
  AMCL["Beldruk D"] = "贝尔杜克·凝眉 《圣骑士训练师》";
  AMCL["Muiredon B"] = "穆里顿·热炉";
  AMCL["Valgar H"] = "瓦尔加·高炉 《圣骑士训练师》";
  AMCL["Nittlebur S"] = "尼特布尔·火花 《法师训练师》";
  AMCL["Tiza B"] = "蒂萨·热炉";

  AMCL["Mage Tymor"] = "法师泰摩尔";

  AMCL["Talvash Kissel"] = "塔瓦斯德·基瑟尔";

  AMCL["Maeva's"] = "麦瓦的魔法衣饰店";
  AMCL["Maeva"] = "麦瓦·雪衣 《长袍商》";
  AMCL["Ingrys S"] = "因格瑞斯·石眉 《布甲商》";

  AMCL["Longberry's"] = "比布尔材料店";
  AMCL["Ginny L"] = "吉恩 《材料商》";

  AMCL["Bimble L"] = "比布尔 《水果商》 (围绕";
  AMCL["Bimble L&"] = "          秘法区的水池叫卖)";

  --Blue
  AMCL["Forlorn Cavern"] = "荒弃的洞穴";

  AMCL["Stoneblades"] = "石刃小店";
  AMCL["Hjoldir S"] = "霍迪尔·石刃 《铸剑商》";
  AMCL["Binny"] = "宾尼·冰刃";
  AMCL["Prynne"] = "普莱恩";

  AMCL["Traveling Fisherman"] = "旅行渔具店";
  AMCL["Grimnur S"] = "格瑞诺尔·石印 《钓鱼训练师》";
  AMCL["Tansy P"] = "坦斯·泥泡 《钓鱼供应商》";

  AMCL["Lago B"] = "拉戈·黑钳";

  AMCL["Thistleheart"] = "瑟斯哈特 《术士训练师》";
  AMCL["Briarthorn"] = "布瑞尔索恩 《术士训练师》";
  AMCL["Alexander C"] = "亚历山大·考德尔 《术士训练师》";
  AMCL["Gerrig B"] = "葛利·硬骨";

  AMCL["Tynnus V"] = "泰努斯·毒芽 《毒药商》";
  AMCL["Fenthwick"] = "芬斯维克 《潜行者训练师》";
  AMCL["Ormyr F"] = "奥米尔·火眼 《潜行者训练师》";
  AMCL["Hulfdan B"] = "霍夫丹·黑须 《潜行者训练师》";
  AMCL["Durtham G"] = "杜尔萨姆·格雷顿";

  AMCL["Ransin D"] = "兰森·东尼";
  AMCL["Murky"] = "奔波尔霸";

  --Purp
  AMCL["Hall of Explorers"] = "探险者大厅";

  AMCL["Roetten S"] = "罗顿·石锤 《寻物公司》";
  AMCL["Magellas"] = "资深探险家麦格拉斯 《探险者协会》";

  AMCL["The Library"] = "图书馆";
  AMCL["Thorius"] = "索里奥斯馆长";

  AMCL["Lyon M"] = "莱恩·山心";

  AMCL["Laris G"] = "拉里斯·空轮";

  AMCL["Krom S"] = "克罗姆·粗臂";
  AMCL["Prospector S"] = "勘察员塔伯斯·雷矛";
  AMCL["Mae P"] = "图书馆员麦伊·苍尘 《探险者协会》";
  AMCL["Advisor B"] = "顾问贝尔格拉姆";
  AMCL["Historian K"] = "史学家卡尼克";

  --Cyan
  AMCL["Tinker Town"] = "侏儒区";

  AMCL["Bubulo"] = "巴巴罗·阿克巴斯 《联盟布匹军需官》";

  AMCL["Boom!"] = "易爆品！";
  AMCL["Lomac"] = "洛玛克·链带";
  AMCL["Fizzlebang"] = "菲斯巴恩 《焰火商人》";

  AMCL["Berryfizz's"] = "苏雷的药水饮料店";
  AMCL["Tally B"] = "塔雷·浆泡 《炼金术训练师》";
  AMCL["Soolie B"] = "苏雷·浆泡 《炼金术供应商》";

  AMCL["Overspark"] = "工匠大师欧沃斯巴克";
  AMCL["Overspark&"] = "        《侏儒工程学训练师》";
  AMCL["Gnoarn"] = "诺恩";

  AMCL["Mekkatorque"] = "大工匠梅卡托克 《侏儒之王》";

  AMCL["Castpipe"] = "大机械师卡斯派普";
  AMCL["Klockmort"] = "科罗莫特·钢尺";
  AMCL["Porterhouse"] = "军官波特霍斯 《诺莫";
  AMCL["Porterhouse&"] = "          瑞根嘉奖处》";

  AMCL["Springspindle's"] = "宾斯匹德器具店";
  AMCL["Fizzlegear"] = "宾斯匹德 《工程学训练师》";
  AMCL["Cogspinner"] = "考格斯宾 《工程学供应商》";

  AMCL["Deeprun Tram"] = "矿道地铁";
  AMCL["Monty"] = "蒙提 《灭鼠特派员》";
  AMCL["Haggle"] = "哈格尔";

  --Orng
  AMCL["The Military Ward"] = "军事区";

  AMCL["Goldfury's"] = "金怒狩猎用品店";
  AMCL["BrettaG"] = "布雷塔·金怒 《枪械商》";
  AMCL["SkolminG"] = "斯克米·金怒 《弓箭商人》";

  AMCL["Bruuk's Corner"] = "布鲁克小店";
  AMCL["BruukB"] = "布鲁克·麦须 《调酒师》";
  AMCL["TisaM"] = "蒂萨·马丁";
  AMCL["EdrisB"] = "埃德瑞斯·麦须 《招待员》";

  AMCL["SognarC"] = "索戈纳尔·硬须 《肉商》(在";
  AMCL["SognarC&"] = "          军事区转圈游走)";

  AMCL["Hall of Arms"] = "武器大厅";
  AMCL["RegnusT"] = "雷格努斯·雷石 《猎人训练师》";
  AMCL["OlminB"] = "奥尔明·燃须 《猎人训练师》";
  AMCL["UlbrekF"] = "乌布雷克·火拳 《兽栏管理员》";
  AMCL["BeliaT"] = "贝莉亚·雷岩 《宠物训练师》";
  AMCL["DemnulF"] = "德姆恩·远山";
  AMCL["DaeraB"] = "戴拉·锐矛 《猎人训练师》";
  AMCL["KelvS"] = "凯夫·重锤 《战士训练师》";
  AMCL["MaxX"] = "麦克斯·克希姆 《竞技场管理员》";
  AMCL["DonalO"] = "杜纳尔·奥斯古德 《阿拉希盆地军官》";
  AMCL["Lylandris"] = "莱兰迪斯 《战歌峡谷军官》";
  AMCL["MargaB"] = "玛尔加·比布雷 《远古海滩军官》";
  AMCL["MargaB&"] = "";
  AMCL["GlordrumS"] = "格罗杜姆·钢须 《奥特兰克山谷军官》";
  AMCL["Kandaar"] = "坎达尔 《风暴之眼军官》";
  AMCL["MurenS"] = "穆伦·雷矛";
  AMCL["KelstrumS"] = "克斯塔姆·碎石 《战士训练师》";
  AMCL["BilbanT"] = "比尔班·飞钳 《战士训练师》";
  AMCL["GilbartaG"] = "吉尔巴塔·巨锤 《战场爱好者》";
  AMCL["PLongbeard"] = "飞行员比罗·长须 《铁炉堡攻城坦克旅》";
  AMCL["XiggsF"] = "希格斯·熔火";

  AMCL["Timberline Arms"] = "密林武器店";
  AMCL["BuliwyfS"] = "布里维夫·石拳 《武器大师》";
  AMCL["BixiW"] = "比克斯 《武器大师》";
  AMCL["KelomirI"] = "凯洛米尔·铁手 《锤和法杖》";
  AMCL["ThalgusT"] = "萨古斯·雷拳 《武器商》";
  AMCL["HegnarS"] = "海格纳·快斧 《斧商》";
  AMCL["BrenwynW"] = "布雷文·寒钢 《铸剑商》";

  AMCL["Craghelm's"] = "石盔护甲店";
  AMCL["LissyphusF"] = "利塞弗斯·钢轴 《轻甲商》";
  AMCL["DolkinC"] = "杜尔金·石盔 《锁甲商》";
  AMCL["OlthranC"] = "奥斯兰·石盔 《重甲商》";

  AMCL["SaraB"] = "萨拉·巴鲁";

  --Yell
  AMCL["The Great Forge"] = "大锻炉";

  AMCL["Ironforge Physician"] = "铁炉堡医师协会";
  AMCL["ReynaS"] = "雷纳·石枝 《草药学训练师》";
  AMCL["GwinaS"] = "戈维纳·石枝 《草药学供应商》";
  AMCL["NissaF"] = "尼莎·火石 《急救训练师》";

  AMCL["GrythT"] = "格莱斯·瑟登 《狮鹫管理员》";

  AMCL["Thistlefuzz Arcanery"] = "草须魔法用品店";
  AMCL["EJademoon"] = "塞纳里奥使者安亚·碧月";
  AMCL["GimbleT"] = "吉布·草须 《附魔训练师》";
  AMCL["TilliT"] = "提尔利·草须 《附魔供应商》";
  AMCL["EliseB"] = "艾莉丝·布莱里特 《铭文训练师》";
  AMCL["ThargenH"] = "萨尔根·重羽 《铭文供应商》";

  AMCL["Bronze Kettle"] = "铜壶铁罐";
  AMCL["DarylR"] = "达瑞尔·瑞克努索 《烹饪训练师》";
  AMCL["EmrulR"] = "埃姆鲁尔·里克努斯 《烹饪供应商》";
  AMCL["DBcook"] = "(城市里的任何一个矮人火盆";
  AMCL["DBcook&"] = "           都可以帮你完成烹饪)";

  AMCL["FJavad"] = "先知亚瓦德 《萨满祭司训练师》";

  AMCL["DMMG"] = "深山矿工协会";
  AMCL["GeoframB"] = "吉尔弗拉姆·石趾 《采矿训练师》";
  AMCL["GolnirB"] = "高尼尔·石趾 《采矿供应商》";

  AMCL["Burbik's"] = "巴比克物资店";
  AMCL["BurbikG"] = "巴比克·齿轮 《商人》";

  AMCL["Stonebrow's"] = "石眉布衣店";
  AMCL["JormundS"] = "约莫德·石眉 《裁缝训练师》";
  AMCL["PorannaS"] = "博兰纳·雪衣 《裁缝供应商》";
  AMCL["OEric"] = "埃瑞克 《特殊裁缝物资》";
  AMCL["MistinaS"] = "米斯蒂娜·钢盾 《联盟布匹";
  AMCL["MistinaS&"] = "          军需官》 (矮人)";

  AMCL["Finespindle's"] = "皮甲用品店";
  AMCL["FimbleF"] = "费布·钢轴 《制皮训练师》";
  AMCL["BombusF"] = "伯布斯·钢轴 《制皮供应商》";
  AMCL["BalthusS"] = "巴尔萨斯·裂石 《剥皮训练师》";

  AMCL["OIronbeard"] = "军官彼尔德·铁须 《铁炉堡嘉奖处》";

  AMCL["Sraaz"] = "斯拉兹 《馅饼商人》 (围绕";
  AMCL["Sraaz&"] = "          大熔炉叫卖)";

  AMCL["High Seat"] = "王座厅";
  AMCL["KingMagni"] = "国王麦格尼·铜须 《铁炉堡国王》";
  AMCL["SBarinR"] = "参议员巴林·红石";
  AMCL["RHArchesonus"] = "皇家历史学家阿克瑟努斯";
  AMCL["Deliana"] = "德莉亚娜";

  AMCL["Great Forge"] = "大锻炉";
  AMCL["GrumnusS"] = "格鲁努斯·削钢 《护甲锻造训练师》";
  AMCL["IronusC"] = "埃隆努斯·冷钢 《武器铸造训练师》";
  AMCL["ThurgrumD"] = "索格拉姆·深炉 《锻造供应商》";
  AMCL["BengusD"] = "本古斯·深炉 《锻造训练师》";
  AMCL["MyolorS"] = "米洛尔·怒斩";
  AMCL["BrombarH"] = "布罗巴尔·西格雷比 《钥匙大师》";
  AMCL["TormusD"] = "托姆斯·深炉";
  
  --NPC Orgrimmar
  --White
  AMCL["Valley Strength"] = "力量谷";
  
  AMCL["FARokhs"] = "霜狼大使";

  AMCL["Gryshka"] = "旅店老板格雷什卡";
  AMCL["Morag J"] = "酒吧老板莫拉格";
  AMCL["Kozish"] = "考基什";
  AMCL["Sarok"] = "萨洛克";
  AMCL["Doyo'da"] = "多尤达";
  AMCL["Zaro"] = "Zaro";    --？？
  AMCL["Goma"] = "高玛";
  AMCL["Gamon"] = "加摩尔";

  AMCL["SLSA"] = "索兰装甲店";
  AMCL["Sana"] = "萨纳 《锁甲商》";
  AMCL["Morgum"] = "摩古姆 《皮甲商》";
  AMCL["Ollanus"] = "奥兰努斯 《轻甲商》";

  AMCL["BImports"] = "火枪进口公司";
  AMCL["Kaja"] = "卡加 《枪械和弹药商》";

  AMCL["SReagents"] = "灵魂之怒材料店";
  AMCL["Horthus"] = "霍苏斯 《材料商》";

  AMCL["Horde Embassy"] = "部落大使馆";
  AMCL["Urtrun"] = "乌特伦 《公会注册员》";
  AMCL["Garyl"] = "伽雷尔 《战袍商人》";

  AMCL["GenStore"] = "奥格瑞玛杂货店";
  AMCL["Trak'gen"] = "特拉克根 《杂货商》";
  AMCL["Shimra"] = "史穆拉 《商人》";

  AMCL["ShattAxe"] = "破碎战斧";
  AMCL["Urtharo"] = "乌萨罗 《武器商》";

  AMCL["Chophouse"] = "排骨餐馆";
  AMCL["Olvia"] = "奥维亚 《肉商》";
  AMCL["OrcCook"] = "兽人厨具 (当然，城内的";
  AMCL["OrcCook&"] = "          任何大火盆也可以烹饪)";

  AMCL["SlopeVS"] = "通向精神谷的斜坡";

  AMCL["Zankaja"] = "赞卡沙";
  AMCL["MBlaze"] = "大火盆";

  AMCL["Skytower"] = "通天塔";
  AMCL["Doras"] = "多拉斯 《驭风者管理员》";
  AMCL["CEhoof"] = "塞纳里奥使者托尔·黑蹄";

  AMCL["HallLegends"] = "传说大厅";
  AMCL["SGZarg"] = "石头守卫扎尔格 《武器军需官》";
  AMCL["DorisV"] = "桃丽丝·沃兰休斯 《护甲军需官》";
  AMCL["BraveSton"] = "卫兵布莱恩·石皮 《皮甲军需官》";
  AMCL["BraveSton&"] = "";
  AMCL["Zar'shi"] = "Blood Guard Zar'shi 《护甲军需官》";           --translation needed
  AMCL["LadyPal"] = "潘兰希尔女士 《护甲军需官》";
  AMCL["SergThunder"] = "雷角中士 《武器军需官》";
--AMCL["SergThunder&"] = "          Quartermaster";
  AMCL["Bork"] = "狼骑兵波尔克 《坐骑军需官》";
  AMCL["Hola'mahi"] = "一等军士长霍拉麦 《护甲军需官》";
  AMCL["Earthbind"] = "酋长泰恩·地鸣";
  AMCL["Willington"] = "顾问威灵顿";
  AMCL["Teena"] = "军团士兵蒂娜 《护甲军需官》";
  AMCL["CArial"] = "议员阿尔里亚·丹纳塔斯";
  AMCL["D'Anastasis"] = "议员阿尔里亚·丹纳塔斯";
  AMCL["Hini'wana"] = "血卫士希尼瓦纳";
  AMCL["Bek'rah"] = "步兵贝克拉";
  AMCL["Korf"] = "步兵科尔夫";

  AMCL["SkyStaves"] = "天空之怒法杖店";
  AMCL["Ukra'nor"] = "尤克拉诺 《法杖商》";

  AMCL["Keldran"] = "科尔丹";

  AMCL["Xan'tish"] = "克萨迪斯 《蛇商》(在西门和";
  AMCL["Xan'tish&"] = "          灵魂谷之间转悠)";

  AMCL["Krixx"] = "克里克斯 《飞艇技师》(在荣誉谷的诺格机械店";
  AMCL["Krixx&"] = "           和南门之间走动";
--AMCL["Krixx&1"] = "           Nogg's Machine Shop in The Valley of";
--AMCL["Krixx&2"] = "           Honor)";


  --Purp
  AMCL["ValleySpirits"] = "精神谷";

  AMCL["DarkbriarL"] = "黑石南小屋";
  AMCL["Uthel'nay"] = "尤塞尔奈 《法师训练师》";
  AMCL["Enyo"] = "恩尤 《法师训练师》";
  AMCL["Deino"] = "迪诺 《法师训练师》";
  AMCL["Pephredo"] = "皮菲瑞多 《法师训练师》";
  AMCL["Thuul"] = "索乌 《传送门训练师》";
  AMCL["Vehena"] = "维赫纳 《部落布匹军需官》(巨魔)";
  AMCL["Ray'ma"] = "莱玛 《本月美酒俱乐部》";
  AMCL["Brew Vendor"] = "美酒商人 《本月美酒俱乐部》";

  AMCL["SpiLodge"] = "灵魂小屋";
  AMCL["Ur'kyo"] = "乌尔库 《牧师训练师》";
  AMCL["X'yera"] = "克塞拉 《牧师训练师》";
  AMCL["Zayus"] = "萨尤斯 《高阶祭司》";

  AMCL["SurvivalF"] = "适者生存";
  AMCL["Arnok"] = "阿诺克 《急救训练师》";

  --Yell
  AMCL["Drag"] = "暗巷区";

  AMCL["Borstan's"] = "博斯坦的火坑 (楼上)";
  AMCL["Borstan"] = "博斯坦 《肉商》";
  AMCL["Zamja"] = "扎姆沙 《烹饪训练师》";
  AMCL["Xen'to"] = "克森图 《烹饪供应商》";

  AMCL["Jo'mah"] = "犹尔曼 《铭文训练师》";
  AMCL["Xantili"] = "夏蒂莉 《铭文供应商》";
  AMCL["Zilzibin"] = "基尔兹宾·鼓眼";
  AMCL["Sarlek"] = "萨雷克";
  AMCL["Tamaro"] = "塔玛洛";

  AMCL["Arboretum"] = "加迪植物园 (上层)";
  AMCL["Jandi"] = "加迪 《草药学训练师》";
  AMCL["Zeal'aya"] = "希尔拉亚 《草药学供应商》";

  AMCL["Runeworks"] = "古丹的符文工艺店";
  AMCL["Jhag"] = "夏格 《附魔训练师》";
  AMCL["Slope1"] = "连接上下两层的斜坡";

  AMCL["Yelmak's"] = "耶尔玛克药剂店";
  AMCL["Yelmak"] = "耶尔玛克 《炼金术训练师》";
  AMCL["Kor'geld"] = "考吉尔德 《炼金术供应商》";
  AMCL["Jes'rimon"] = "杰斯雷蒙";

  AMCL["Salvage"] = "杜佛斯回收店";
  AMCL["Dran"] = "德兰·杜佛斯";
  AMCL["Malton"] = "玛尔顿·杜佛斯";

  AMCL["KLeatherworks"] = "科多兽皮工店";
  AMCL["Karolek"] = "卡洛雷克 《制皮训练师》";
  AMCL["Tamar"] = "达玛尔 《制皮供应商》";
  AMCL["Thuwd"] = "苏尔德 《剥皮训练师》";
  AMCL["Handor"] = "罕杜尔 《布甲和皮甲商人》";

  AMCL["ClothG"] = "玛加尔布品店";
  AMCL["Magar"] = "玛加尔 《裁缝训练师》";
  AMCL["Borya"] = "博亚 《裁缝供应商》";
  AMCL["Tor'phan"] = "托尔凡 《布甲和皮甲商人》";
  AMCL["Rashona"] = "莱什纳·刺藤 《部落布匹军需官》";
  AMCL["Rashona&"] = "";

  AMCL["Gotri's"] = "高特雷的旅行装备 (主楼层)";
  AMCL["Malton"] = "高特雷 《背包商人》";

  AMCL["Krixx2"] = "克里克斯 《飞艇技师》";
  AMCL["Felika"] = "菲利卡 《商人》在智慧谷入口";
  AMCL["Felika&"] = "          和力量谷之间走动";
--AMCL["Felika&1"] = "";

  --Blue
  AMCL["ValleyHonor"] = "荣誉谷";

  AMCL["Kiro's"] = "基罗护甲店";
  AMCL["Kiro"] = "基罗 《护甲商》";

  AMCL["OBowyer"] = "奥格瑞玛弓箭店";
  AMCL["Jin'sora"] = "金索拉 《弓箭商人》";

  AMCL["HallBrave"] = "勇者大厅";
  AMCL["Zel'mak"] = "泽尔玛克 《战士训练师》";
  AMCL["Sorek"] = "索瑞克 《战士训练师》";
  AMCL["Grezz"] = "格雷兹·怒拳 《战士训练师》";
  AMCL["Andrissa"] = "安蒂萨·心矛 《风暴之眼军官》";
  AMCL["Andrissa&"] = "";
  AMCL["Deze"] = "迪兹·斯诺班 《阿拉希盆地军官》";
  AMCL["Zeggon"] = "赛戈·波斯纳普 《竞技场管理员》";
  AMCL["Brakgul"] = "布拉古尔 《战歌峡谷军官》";
  AMCL["Brakgul&"] = "";
  AMCL["Ufuda"] = "巨人杀手乌芙达 《远古海滩军官》";
  AMCL["Ufuda&"] = "";
  AMCL["Kartra"] = "卡尔特拉·血喉 《奥特兰克山谷军官》";
  AMCL["Muja"] = "穆贾 《战场爱好者》";
  AMCL["HordeWar"] = "部落战争使者";
  AMCL["BelgR"] = "贝尔戈洛姆·石槌";

  AMCL["Lumak's"] = "鲁玛克渔具店";
  AMCL["Lumak"] = "鲁玛克 《钓鱼训练师》";
  AMCL["Shankys"] = "山吉斯 《钓鱼供应商》";
  AMCL["Zas'tysh"] = "沙泰什";

  AMCL["RedMining"] = "红石谷矿业工会";
  AMCL["Makaru"] = "马卡鲁 《采矿训练师》";
  AMCL["Gorina"] = "高里纳 《采矿供应商》";

  AMCL["Orphanage"] = "孤儿院";

  AMCL["Nogg's"] = "诺格机械店";
  AMCL["Nogg"] = "诺格 《初级技师》";
  AMCL["Roxxik"] = "罗克希克 《工程学训练师》";
  AMCL["Sovik"] = "索维克 《工程学供应商》";
  AMCL["Rilli"] = "雷里·格里斯高布";

  AMCL["Shayis"] = "莎伊斯·钢怒 《护甲锻造训练师》";
  AMCL["Okothos"] = "奥克索斯·铁怒 《护甲锻造师》";
  AMCL["Borgosh"] = "伯古什 《武器锻造师》";
  AMCL["OxMO"] = "奥克斯 《秘银会》";
  AMCL["Aturk"] = "铁砧阿图尔克";
  AMCL["OrokkO"] = "奥罗克·沃姆什";

  AMCL["BurnAnvil"] = "燃烧的铁砧";
  AMCL["Saru"] = "萨鲁·钢怒 《锻造训练师》";
  AMCL["Sumi"] = "苏米 《锻造供应商》";
  AMCL["Tumi"] = "图米 《重甲商》";

  AMCL["ArmsLegend"] = "传说中的装备";
  AMCL["Kelgruk"] = "克尔格鲁克·血斧 《武器锻造训练师》";
  AMCL["Zendo'"] = "森度吉安 《武器商》";
  AMCL["Shoma"] = "索玛 《武器商》";
  AMCL["Galthuk"] = "加尔萨克 《双手武器商人》";
  AMCL["Sayoc"] = "塞尤克 《武器大师》";
  AMCL["Hanashi"] = "哈纳什 《武器大师》";
  AMCL["Koru"] = "考鲁 《锤和法杖商人》";

  AMCL["RingValor"] = "勇气之环";
  AMCL["Molog"] = "狩猎者莫洛戈 《竞技场管理员》";
  AMCL["Greela"] = "“步兵”格莉拉·克拉奇 《竞技场管理员》";
  AMCL["Greela&"] = "";

  AMCL["Ogunaro"] = "奥古纳罗 《驯狼者》";
  AMCL["Kildar"] = "基尔达 《骑术训练师》";
  AMCL["Xon'cha"] = "克苏卡 《兽栏管理员》";

  AMCL["HuntHall"] = "猎手大厅";
  AMCL["Sian'dur"] = "萨杜尔 《猎人训练师》";
  AMCL["Xor'juul"] = "科索祖尔 《猎人训练师》";
  AMCL["Ormak"] = "奥玛克 《猎人训练师》";

  --Gren
  AMCL["CleftShad"] = "暗影裂口";

  AMCL["DarkEncl"] = "暗火营地";
  AMCL["Mirket"] = "米尔科特 《术士训练师》";
  AMCL["Zevrost"] = "泽弗洛斯特 《术士训练师》";
  AMCL["Grol'dar"] = "格罗达尔 《术士训练师》";
  AMCL["Gan'rul"] = "甘鲁尔·血眼";

  AMCL["ShadReag"] = "深渊材料店";
  AMCL["Hagrus"] = "哈格鲁斯 《材料商》";
  AMCL["Cazul"] = "卡祖尔";

  AMCL["ISW"] = "铁木法杖店";
  AMCL["Muragus"] = "穆拉古斯 《法杖商》";
  AMCL["Katis"] = "卡提斯 《魔杖商人》";

  AMCL["Neeru"] = "尼尔鲁·火刃";

  AMCL["RCI"] = "怒焰裂谷副本";

  AMCL["DEFM"] = "黑土蘑菇";
  AMCL["Kor'jus"] = "考苏斯 《蘑菇商》";

  AMCL["Barbershop"] = "理发店";
  AMCL["Berbri"] = "贝布莉·科弗库尔 《理发师》";

  AMCL["SlowBlade"] = "迟钝之刃";
  AMCL["Kareth"] = "卡雷斯 《铸剑商》";

  AMCL["ShadowBroth"] = "迅影兄弟会";
  AMCL["Gest"] = "盖斯特 《潜行者训练师》";
  AMCL["Ormok"] = "奥莫克 《潜行者训练师》";
  AMCL["Shenthul"] = "申苏尔 《潜行者训练师》";
  AMCL["Zando'zan"] = "赞杜沙";
  AMCL["Therzok"] = "瑟祖克";

  AMCL["Rekkul's"] = "雷库尔毒药店";
  AMCL["Rekkul"] = "雷库尔 《毒药商》";
  AMCL["Kor'ghan"] = "考格汉";
  
  AMCL["Drok"] = "克拉文·德洛克 (游走于暗影裂口) ";
  AMCL["Drok&"] = "";

  --Cyan
  AMCL["ValleyWisdom"] = "智慧谷";

  AMCL["STVIF"] = "荆棘谷水果进口公司";
  AMCL["Shan'ti"] = "珊迪 《水果商》";

  AMCL["ORedblade"] = "军官布莱德·红刺 《奥格瑞玛嘉奖处》";

  AMCL["GromHold"] = "格罗玛什堡垒";
  AMCL["Sian'tsu"] = "萨祖 《萨满祭司训练师》";
  AMCL["Kardris"] = "卡德里斯 《萨满祭司训练师》";
  AMCL["Sagorne"] = "萨格尼 《萨满祭司训练师》";
  AMCL["Zor"] = "佐尔·孤树 《先知长老》";
  AMCL["Searn"] = "希尔恩·火结";
  AMCL["Eitrigg"] = "伊崔格";
  AMCL["Vol'jin"] = "沃金";
  AMCL["Mokvar"] = "莫克瓦尔";
  AMCL["Pyreanor"] = "派雷亚诺 《圣骑士训练师》";
  AMCL["Dawnsinger"] = "银月大使帕拉·晨歌";
  AMCL["Thrall"] = "萨尔 《酋长》";

  AMCL["Asoran's"] = "阿索兰的市场";
  AMCL["Asoran"] = "阿索兰 《杂货商》";
  AMCL["Magenius"] = "玛基努斯 《材料商》";

  AMCL["Vu'Shalay"] = "军官乌萨雷 《暗矛嘉奖处》";

  --NPC Shattrath
  --White
  AMCL["TerLight"] = "圣光广场";

  AMCL["ABank"] = "银行 (奥尔多)";
  AMCL["Endarin"] = "军需官恩达尔林 《奥尔多军需官》";
  AMCL["ISaalyn"] = "铭文师萨莉恩 《奥尔多铭文师》";
  AMCL["HaldorC"] = "哈杜尔 《奥尔多药剂师》";

  AMCL["SBank_Scryer"] = "银行 (占星者)";
  AMCL["Enuril"] = "军需官恩努利尔 《占星者军需官》";
  AMCL["IVeredis"] = "铭文师维雷迪斯 《占星者铭文师》";
  AMCL["Xorith"] = "奥术师索瑞斯 《占星者药剂师》";

  AMCL["LeagArat"] = "阿拉索联军大使 (阿拉希盆地)";
  AMCL["Defil"] = "污染者大使 (阿拉希盆地)";

  AMCL["A'dal"] = "阿达尔";
  AMCL["Khadgar"] = "卡德加";
  AMCL["Almonen"] = "资深学者奥蒙纳";
  AMCL["Tiras'alan"] = "提拉萨兰将军";

  AMCL["G'eras"] = "基厄拉斯 《公正徽章商人 ,";
  AMCL["G'eras&"] = "          上层》";
  AMCL["Almaador"] = "奥玛多尔 《沙塔尔军需官》";
  AMCL["Nasuun"] = "主教纳苏恩";
  AMCL["Ontuvo"] = "昂图沃 《珠宝加工供应商》 (破碎残阳)";
  AMCL["PorQuel"] = "奎尔丹纳斯岛传送门";
  AMCL["Anwehu"] = "安维赫 《武器和护甲商》(公正徽章兑换商人)";
--AMCL["Anwehu&"] = "          Mode Instance reward vendor)";
  AMCL["Mehlisah"] = "间谍女王梅丽萨·海克隆";

  AMCL["Iorioa"] = "艾欧莉娅 《传送门训练师》";
  AMCL["V'eru"] = "弗埃卢 (上层)";

  AMCL["WarVet"] = "憔悴的志愿兵";
  AMCL["HordeWar"] = "部落战争使者";

  AMCL["Mordin"] = "摩尔丁特使 《破碎残阳》";
  AMCL["Torvos"] = "托沃斯男爵 《破碎残阳》";

  AMCL["Nutral"] = "努特拉尔 《飞行管理员》";
  AMCL["Yuula"] = "尤拉 《征募官》";

  AMCL["Haronem"] = "先驱者哈隆奈姆 《破碎残阳》";
  AMCL["Wafflefry"] = "维尔基格·瓦菲雷 《侏儒发明家》";

  AMCL["LiftScry"] = "通往占星者平台的电梯";

  AMCL["LiftAR"] = "通往奥尔多高地的电梯";
  
  AMCL["Ezekiel"] = "	伊瑟基尔 (围绕圣光大厅顺时针走动)";
--AMCL["Ezekiel&"] = "         of Light)";

  --Yell
  AMCL["LowCity"] = "贫民窟";

  AMCL["DLarry"] = "“脏鬼”拉瑞 《无赖》";
  AMCL["EMalone"] = "“史诗”马龙 《无赖》";
  AMCL["Creepjack"] = "懒鬼杰克 《无赖》";

  AMCL["AldBank"] = "奥尔多银行下层入口";

  AMCL["Araac"] = "阿莱克";

  AMCL["Karokka"] = "卡罗卡 《毒药商》";
  AMCL["Skreah"] = "斯克雷亚 《炼金术供应商》 (下层)";
  AMCL["Lorokeem"] = "罗罗基姆 《大师级炼金术训练师》 (下层)";
  AMCL["Vekax"] = "维卡克斯 (沿着桥来回走动)";

  AMCL["Lissaf"] = "里萨弗 《铸剑商》";

  AMCL["RampL"] = "通往圣光大厅的斜坡";
  AMCL["Rilak"] = "救赎者瑞拉克";
  AMCL["Adyria"] = "奥术师艾蒂莉亚 《占星者》";
  AMCL["DGrashna"] = "防卫者戈纳斯纳";

  AMCL["Oloraak"] = "	欧罗拉克, 《鱼商》";

  AMCL["ShattInf"] = "沙塔斯医院";
  AMCL["Sha'nir"] = "卡罗卡 《奥尔多》";
  AMCL["Seth"] = "塞瑟";
  AMCL["Zahlia"] = "萨恩莉亚";
  AMCL["Rokk"] = "巨石洛克 《烹饪大师》";
  AMCL["Barth"] = "巴萨姆斯";

  AMCL["ExitTF"] = "通往泰罗卡森林的出口";

  AMCL["ABG"] = "联盟准将 ";
--AMCL["ABG&"] = "          Battlemasters)";
  AMCL["Vinvo"] = "	维沃·金齿 《远古海滩军官》";
--AMCL["Vinvo&"] = "          Battlemaster";
  AMCL["Haelga"] = "哈尔加·岩拳 《奥特兰克山谷军官》";
  AMCL["Lylandor"] = "莱兰多尔 《战歌峡谷军官》";
  AMCL["Iravar"] = "伊拉瓦尔 《风暴之眼军官》";
  AMCL["AEternum"] = "亚当·希曼 《阿拉希盆地军官》";

  AMCL["WorldEndT"] = "天涯旅店";
  AMCL["Lathrai"] = "星界商人拉斯莱";
  AMCL["Shaarubo"] = "沙鲁波 《调酒师》";
  AMCL["Lonika"] = "洛妮卡·静刃 《盗贼学院经营者》";
  AMCL["Kylene"] = "凯蕾妮 《招待员》";
  AMCL["Pilton"] = "哈莉丝·西尔顿 《社交名媛》";
  AMCL["Zhareem"] = "商人扎雷姆";
  AMCL["Mah'duun"] = "虚空猎手玛哈杜恩";
  AMCL["Zephyr"] = "	塞菲尔 (时光之穴 传送人)";
  AMCL["salabim"] = "	萨萨拉比姆";
  AMCL["Raliq"] = "醉鬼拉里克";

  AMCL["Kradu"] = "克拉度·利刃 《武器铸造训练师》";
  AMCL["Zula"] = "祖拉·熔怒 《护甲锻造训练师》";

  AMCL["Orph"] = "孤儿院";
  AMCL["Bartlett"] = "瑟伦尼 《孤儿监护人》";

  AMCL["HWB"] = "部落战争使者";
  AMCL["Jojindi"] = "尤金蒂 《远古海滩军官》";
  AMCL["Montok"] = "蒙图克·红手 《战歌峡谷军官》";
  AMCL["Maka"] = "狼女玛卡 《奥特兰克山谷军官》";
  AMCL["Keldor"] = "骷髅王克尔多 《阿拉希盆地军官》";
  AMCL["Yula"] = "美丽的尤拉 《风暴之眼军官》";
  AMCL["Issca"] = "伊斯卡 《战袍商人》";

  AMCL["Seymour"] = "	塞莫尔 《大师级剥皮训练师》";
  AMCL["Ernie"] = "埃尔尼·帕克维尔 《商人》";
  AMCL["Cro"] = "克鲁·粗线 《制皮供应商》";
  AMCL["Darmari"] = "达尔玛里 《大师级制皮训练师》";
  AMCL["Andrion"] = "安迪恩·达克斯宾 《暗纹大师》";
  AMCL["Gidge"] = "金吉·斯比维尔 《魔焰大师》";
  AMCL["Nasmara"] = "纳丝玛拉·月歌 《月布大师》";
  AMCL["Eiin"] = "伊恩 《特殊裁缝物资商人》";
  AMCL["Griftah"] = "格里伏塔 《绝世宝物商人》";
  AMCL["Viggz"] = "维格兹·沙斯巴克 《工程学供应商》";
  AMCL["Fantei"] = "芬提 《材料商》";
  AMCL["Aaron"] = "埃隆·霍尔曼 《锻造供应商》";
  AMCL["MRuby"] = "卢比夫人 《附魔供应商》";
  AMCL["Eral"] = "伊拉尔 《杂货商》";
  AMCL["Moser"] = "松饼人穆瑟尔 《面包商》";
  AMCL["Nakodu"] = "纳克杜 《贫民窟军需官》";
  AMCL["JackT"] = "猎户杰克 《厨师》";
  AMCL["Saltit"] = "吉姆·萨迪特 《烹饪供应商》";
  AMCL["GSmith"] = "史密斯奶奶 《水果商》";
  AMCL["BTurner"] = "	布雷丹·特纳 《肉商》";
  AMCL["Grok"] = "葛罗克";
  AMCL["Oven"] = "陶炉";
  AMCL["Tobias"] = "暴食者托比亚斯";
  AMCL["Gordie"] = " 	戈尔迪";

  AMCL["LowerSB"] = "通往占星者银行的下层入口";

  AMCL["Browning"] = "	凯文·布朗宁 《咖啡爱好者》";
  AMCL["Browning&"] = "          (在东出口和南出口之间走动)";

  --Red
  AMCL["Scryer's Tier"] = "占星者平台";

  AMCL["Haelthol"] = "旅店老板海索恩";

  AMCL["Ilthuril"] = "伊苏瑞尔 《兽栏管理员》";
  AMCL["Endernor"] = "	商人恩德诺尔 《商人》";
  AMCL["Lisrythe"] = "利萨尔丝·血目 《黑市商人》";
  AMCL["Mahir"] = "曼西尔·红箭 《匕首商人》";
  AMCL["Dathris"] = "达斯雷·射日者";

  AMCL["Kirembri"] = "Kirembri Silvermane, Master Jewelcrafting";     --translation needed
  AMCL["Kirembri&"] = "          Trainer";
  AMCL["Hanlir"] = "Hanlir, Master Mining Trainer";
  AMCL["Lanloer"] = "Scribe Lanloer, Master Inscription Trainer";
  AMCL["Andiala"] = "Enchantress Andiala 《大师级附魔训练师》 Trainer";

  AMCL["Nalama"] = "	商人纳拉玛 《杂货商》";
  AMCL["Urumir"] = "	乌鲁米尔 《法杖商》";

  AMCL["Falris"] = "魔导师法尔里斯";
  AMCL["Fyalenn"] = "魔导师菲亚琳 (接受火翼印记";
  AMCL["Fyalenn&"] = "         和日怒印记用以冲占星者声望)";

  AMCL["SeerLib"] = "先知的图书馆";
  AMCL["Arodis"] = "阿罗迪斯·炎刃 《沙塔尔神器管理者》";
  AMCL["Veynna"] = "维恩娜·晨星 《沙塔尔宝物管理者》";
  AMCL["Volali"] = "附魔师沃拉莉 《附魔训练师》";
  AMCL["Bardolan"] = "高阶附魔师巴尔杜兰 《大师级";
--AMCL["Bardolan&"] = "          附魔训练师》";
  AMCL["Voren"] = "	先知沃雷塔尔";
  AMCL["Lisrythe"] = "Loremaster Skosiris";                          --translation needed
  AMCL["Traini"] = "Training for all professions up to Master level";
  AMCL["Traini&"] = "          (Book stacks)";

  AMCL["Mi'irku"] = "	米尔卡·远步 《传送门训练师》";
  AMCL["Mi'irku&"] = "         (外圈上层)";
  AMCL["Olodam"] = "奥洛达姆·远环";

  AMCL["Alamaro"] = "调酒师奥拉玛罗 《酒商》";
  AMCL["Amshesha"] = "安瑟莎·默夜 《材料商》";
  AMCL["Yurial"] = "尤利安·魂水 《附魔供应商》";

  AMCL["Quelama"] = "奎尔拉玛·光刃 《魔杖商人》";
  AMCL["Selanam"] = "	利刃塞拉纳姆 《剑商》";

  AMCL["Aelthin"] = "Aelthin 《大师级炼金术训练师》";                --translation needed
  AMCL["Alaenra"] = "Botanist Alaenra, Master Herbalism Trainer";

  AMCL["Delvinar"] = "Archer Delvinar, Specialty Ammunition";
  AMCL["Daenril"] = "Daenril 《大师级制皮训练师》";
  AMCL["Miralisse"] = "Miralisse, Master Tailoring Trainer";
  AMCL["Irduil"] = "Irduil 《大师级剥皮训练师》";
  AMCL["Barien"] = "Barien, Master Blacksmithing Trainer";
  AMCL["Sinbei"] = "Engineer Sinbei, Master Engineering Trainer";

  --Blue
  AMCL["ARise"] = "奥尔多高地";

  AMCL["Minalei"] = "米娜蕾 《旅店老板》";
  AMCL["Garul"] = "加卢尔 《餐饮供应商》";
  AMCL["Oruhe"] = "奥尔鲁赫 《兽栏管理员》";

  AMCL["Nemiha"] = "Nemiha, Master Jewelcrafting Trainer";              --translation needed
  AMCL["Fono"] = "Fono, Master Mining Trainer";
  AMCL["Zurii"] = "Zurii 《大师级附魔训练师》 Trainer";
  AMCL["Lidio"] = "Recorder Lidio, Master Inscription Trainer";

  AMCL["Caylee"] = "凯莉·达克";

  AMCL["Erothem"] = "先驱者艾罗塞姆";
  AMCL["Adyen"] = "圣光护卫者阿德因";

  AMCL["Hamanar"] = "Hamanar, Master Jewelcrafting Trainer";             --translation needed
  AMCL["Inessera"] = "英妮瑟拉 《珠宝加工供应商》";
  AMCL["Ahemen"] = "埃赫门 《法杖商》";

  AMCL["Dremm"] = "Dremm 《大师级剥皮训练师》";                         --translation needed
  AMCL["Aoa"] = "Weaver Aoa, Master Tailoring Trainer";
  AMCL["Korim"] = "Korim 《大师级制皮训练师》";
  AMCL["Bova"] = "Marksman Bova, Specialty Ammuntion";
  AMCL["Kanhu"] = "Alchemist Kanhu 《大师级炼金术训练师》";
  AMCL["Jijia"] = "Jijia, Master Herbalism Trainer";
  AMCL["Onodo"] = "Onodo, Master Blacksmithing Trainer";
  AMCL["Mihila"] = "Technician Mihila, Master Engineering Trainer";

  AMCL["UnenLight"] = "永恒圣光神殿";
  AMCL["Ishanah"] = "	伊沙娜 《奥尔多高阶女祭司》";
  AMCL["Kelara"] = "克尔拉兰 《沙塔尔宝物管理者》";
  AMCL["Asuur"] = "阿苏尔 《沙塔尔神器管理者》";

  AMCL["ENagrand"] = "通往纳格兰的出口";
    
  --NPC Silvermoon
  --White
  AMCL["Bazaar"] = " 	花园街市";

  AMCL["Wayfar"] = "旅者的梦乡";
  AMCL["Jovia"] = " 旅店老板约维娅 《旅店老板》";
  AMCL["Sylann"] = "塞莱恩 《厨师》";
  AMCL["Quelis"] = "奎尔里斯 《烹饪供应商》";

  AMCL["SFinery"] = "银月城服装店";
  AMCL["Zyandrel"] = "夏德雷尔 《布甲商》";
  AMCL["Andra"] = "	安德拉 《布商》";
  AMCL["Rathin"] = "	拉提恩 《背包商人》";

  AMCL["Bithrus"] = "比斯鲁斯 《焰火商人》";

  AMCL["Keelen's"] = "基伦的裁缝店";
  AMCL["SorimL"] = "索瑞姆·轻歌 《部落布匹军需官》";
  AMCL["Keelen"] = "基伦·希斯 《裁缝训练师》";
  AMCL["Deynna"] = "德伊娜 《裁缝供应商》";

  AMCL["Welethelon"] = "维雷塞隆 《钝器商人》";
  AMCL["Noraelath"] = "诺莱拉斯 《皮甲商》";

  AMCL["BladesbR"] = "勒希恩武器店";
  AMCL["Rahein"] = "勒希恩 《刀剑商人》";
  AMCL["Feledis"] = "	费雷迪斯 《斧商》";

  AMCL["GeGoods"] = "杂货店";
  AMCL["Sathren"] = "萨斯雷·蓝空 《杂货商》";
  AMCL["Zalle"] = "萨尔雷 《材料商》";

  AMCL["SSPMP"] = "板甲和锁甲";
  AMCL["Winthren"] = "温斯雷 《盾牌商人》";
  AMCL["Tynna"] = "泰恩娜 《板甲商人》";
  AMCL["Keeli"] = "基里 《锁甲商》";

  AMCL["Parnis"] = "帕尼斯 《商人》";

  --Purp
  AMCL["WElders"] = "长者步道";

  AMCL["Harene"] = "哈雷尼·平原行者 《德鲁伊训练师》";

  AMCL["Velaani's"] = "维兰尼的魔法用品店";
  AMCL["Velanni"] = "维尔拉妮 《炼金术和材料供应商》";
  AMCL["Zathanna"] = "莎萨娜 《魔杖商人》";

  AMCL["CGate"] = "牧羊人之门";

  AMCL["SilRegistry"] = "银月城登记处";
  AMCL["Tandrine"] = "坦德莉恩 《公会注册员》";
  AMCL["Kredis"] = "克雷迪斯 《战袍商人》";

  AMCL["Lynalis"] = "莱纳里斯 《制皮训练师》";
  AMCL["Zaralda"] = "萨拉尔达 《制皮供应商》";
  AMCL["Tyn"] = "提恩 《剥皮训练师》";

  AMCL["Drathen"] = "德拉森 《钓鱼训练师》";
  AMCL["Olirea"] = "奥里雷 《钓鱼供应商》";
  AMCL["Alestus"] = "埃雷图斯 《急救训练师》";

  --Gren
  AMCL["RoyEx"] = "皇家贸易区";

  AMCL["SCI"] = "银月城旅店";
  AMCL["Velandra"] = "旅店老板维兰德拉 《旅店老板》";
  AMCL["Suntouched"] = "调酒师桑塔基德 《酒类商人》";
  AMCL["BKAdept"] = "资深血骑士";
  AMCL["Stillb"] = "血骑士桑利亚斯·静刃";

  AMCL["Kalinda"] = "卡琳达 《珠宝加工训练师》";
  AMCL["Gelanthis"] = "基兰希斯 《珠宝加工供应商》";
  AMCL["Amin"] = "埃米恩 《初级珠宝匠》";

  --Red
  AMCL["FarSquare"] = "远行者广场";

  AMCL["Celana"] = "塞兰娜 《弓箭商》";
  AMCL["Matha"] = "	玛萨雷伦 《枪械商》";

  AMCL["Osselan"] = "欧塞兰 《圣骑士训练师》";
  AMCL["Ithelis"] = "伊瑟里斯 《圣骑士训练师》";
  AMCL["CBachi"] = "勇士巴卡希 《圣骑士训练师》";
  AMCL["Bvalor"] = "骑士领主布拉德瓦罗";
  AMCL["Astalor"] = "魔导师阿斯塔洛·血誓 (下层)";
  AMCL["Solanar"] = "索拉纳·血怒 (下层)";
  AMCL["Ileda"] = "伊蕾达 《武器大师》";

  AMCL["Bipp"] = "比普·格利兹托 《竞技场管理员》";
  AMCL["Karen"] = "比普·格利兹托 《阿拉希盆地军官》";
  AMCL["Gurak"] = "古拉克 《奥特兰克山谷军官》";
  AMCL["Duyash"] = "残忍的杜亚希 《风暴之眼军官》";
  AMCL["Krukk"] = "克鲁克 《战歌峡谷军官》";
  AMCL["Mabrian"] = "玛布利安·远晨 《远古海滩军官》";
--AMCL["Mabrian&"] = "          Battlemaster";

  AMCL["SLowerSec"] = "到下层的楼梯";

  AMCL["Shalenn"] = "	沙尔蕾恩 《兽栏管理员》";
  AMCL["Tana"] = "塔纳 《猎人训练师》";
  AMCL["Oninath"] = "欧尼纳斯 《猎人训练师》";
  AMCL["Zandine"] = "桑迪恩 《猎人训练师》";
  AMCL["Halthenis"] = "哈森尼斯 《宠物训练师》";

  AMCL["Zelan"] = "	泽兰 《采矿供应商》";
  AMCL["Belil"] = "比利尔 《采矿训练师》";
  AMCL["Bemarrin"] = "波玛尔 《锻造训练师》";
  AMCL["Eriden"] = "恩里德 《锻造供应商》";

  AMCL["Danwe"] = "丹文 《工程学训练师》";
  AMCL["Yatheon"] = "亚瑟恩 《工程学供应商》";

  --Ltblu
  AMCL["MurRow"] = "谋杀小径";

  AMCL["Nerisen"] = "奈里森 《潜行者训练师》";
  AMCL["Elara"] = "艾尔兰拉 《潜行者训练师》";
  AMCL["Zelanis"] = "瑟兰尼斯 《潜行者训练师》";
  AMCL["Darlia"] = "达尔莉亚 《毒药商》";

  AMCL["Talionia"] = "塔莱尼娅 《术士训练师》";
  AMCL["Alamma"] = "奥拉玛 《术士训练师》";
  AMCL["Zanien"] = "萨尼恩 《术士训练师》";

  --Orng
  AMCL["CourtSun"] = "逐日王庭";

  AMCL["Camberon"] = "卡博隆 《炼金术训练师》";
  AMCL["Nathera"] = "植物学家娜萨兰 《草药学训练师》";
  AMCL["elaris"] = "梅拉瑞斯 《炼金术供应商》";

  AMCL["Sedana"] = "瑟丹娜 《附魔训练师》";
  AMCL["Lyna"] = "琳娜 《附魔供应商》";
  AMCL["Zantasia"] = "赞塔希娅 《铭文训练师》";
  AMCL["Lelorian"] = "莱洛里安 《铭文供应商》";

  --Blue
  AMCL["SunSpire"] = "日怒之塔";

  AMCL["OrbTrans"] = "传送幽暗城的传送宝珠";

  AMCL["Lor'themar"] = "洛瑟玛·塞隆 《奎尔萨拉斯的摄政王》";
  AMCL["Brightwing"] = "哈杜伦·明翼 《游侠将军》";
  AMCL["Rommath"] = "大法师罗曼斯";

  AMCL["Lotheolan"] = "洛塞兰 《牧师训练师》";
  AMCL["Belestra"] = "贝蕾丝特拉 《牧师训练师》";
  AMCL["Aldrae"] = "奥德兰 《牧师训练师》";

  AMCL["Zaedana"] = "塞伊丹纳 《法师训练师》";
  AMCL["Quithas"] = "奎恩萨斯 《法师训练师》";
  AMCL["Inethven"] = "伊尼文 《法师训练师》";
  AMCL["Narinth"] = "纳林斯 《传送门训练师》";
  
  --NPC Stormwind
  --Ltblu

  AMCL["Barbershop"] = "理发店";

  AMCL["ValHer"] = "英雄谷";

  AMCL["SBank"] = "暴风城会计室";
  AMCL["Maloof"] = "军官马洛尔夫 《暴风城嘉奖处》";

  AMCL["Jorgen"] = "乔贞";
  AMCL["Umbrua"] = "先知安布洛尔 《萨满祭司训练师》";
  AMCL["GMarcus"] = "马库斯·乔纳森将军";
  AMCL["FMAfras"] = "艾法希比元帅";
  AMCL["MMattin"] = "玛丁雷少校";
  AMCL["Goodman"] = "公告员古德曼 (在城里走动)";

  --White
  AMCL["TDistri"] = "贸易区";

  AMCL["SWVC"] = "暴风城访客中心";
  AMCL["AldwinL"] = "奥德文·拉弗林 《公会注册员》";
  AMCL["RebecL"] = "瑞贝卡·拉弗林 《战袍设计师》";

  AMCL["Trias'C"] = "提亚斯奶酪店";
  AMCL["ElaineT"] = "伊莱恩·提亚斯 《奶酪商》";
  AMCL["BenT"] = "本·提亚斯 《见习奶酪师》";
  AMCL["ETrias"] = "埃林·提亚斯 《奶酪商》";

  AMCL["Pestle's"] = "匹斯特的药剂店";
  AMCL["RenatG"] = " 	雷纳多·加林纳";
  AMCL["KyraB"] = "	凯拉·布舍尔 《材料商》";
  AMCL["KeldrB"] = "凯德雷克·布舍尔 《炼金术和材料供应商》";
  AMCL["MPestl"] = "摩根·匹斯特";

  AMCL["EveryM"] = "日常百货店";
  AMCL["StephanT"] = "斯蒂芬妮·特纳";
  AMCL["EdnaM"] = "艾德娜·穆比 《商人》";
  AMCL["TMull"] = "	萨尔曼·穆比 《杂货商》";

  AMCL["Weller's"] = "维勒武器店";
  AMCL["MardaW"] = "玛尔达·维勒 《武器商》";
  AMCL["GunthW"] = "冈瑟尔·维勒 《武器商》";
  AMCL["WooPing"] = "吴平 《武器大师》";

  AMCL["LionArm"] = "狮心武器库";
  AMCL["CarlaG"] = "卡拉·格兰治 《布甲商》";
  AMCL["LaraM"] = "劳拉·摩尔 《皮甲商》";
  AMCL["AldrM"] = "奥德瑞克·摩尔 《锁甲商》";
  AMCL["HarlB"] = "哈兰·巴格雷";

  AMCL["TGRI"] = "镶金玫瑰";
  AMCL["InnAl"] = "	旅店老板奥里森";

  AMCL["EmpQuiv"] = "空箭袋";
  AMCL["FredeS"] = "弗德瑞克·斯图瓦 《弓箭商》";
  AMCL["LinaS"] = "	黎娜·斯图瓦 《弓箭和枪械》";

  AMCL["JSharp"] = "耶利尼克·沙希尔 《理发师》";

  AMCL["DungL"] = "杜加尔·朗德瑞克 《狮鹫管理员》";

  AMCL["FragFlow"] = "芬芳花朵";
  AMCL["BGump"] = "伯纳德·加姆 《种花人》";
  AMCL["FGump"] = "菲利希亚·加姆 《草药学供应商》";

  AMCL["CanalTail"] = "运河裁缝店";
  AMCL["LisbS"] = "利斯贝·斯涅德 《布商》";
  AMCL["RemaS"] = "雷玛·施涅德";

  AMCL["ArnoL"] = "阿诺德·利兰 《钓鱼训练师》";
  AMCL["CatheL"] = "凯瑟琳·利兰 《钓鱼供应商》";

  AMCL["GallWine"] = "加林纳酒店";
  AMCL["JuliG"] = "	朱莉安·加林纳 《酒商》";
  AMCL["RobertP"] = "罗伯特·奥布斯 《美酒鉴赏家》";
  AMCL["SuzetG"] = "苏泽塔·加林纳";

  --Orng
  AMCL["MageQuart"] = "法师区";

  AMCL["Stock"] = "监狱";
  AMCL["WThelw"] = "典狱官塞尔沃特";
  AMCL["Stocks"] = "暴风城监狱入口";

  AMCL["CStanf"] = "卡塔莉娜·斯坦弗 《铭文训练师》";
  AMCL["McCorm"] = "斯坦利·科尔米克 《铭文供应商》";

  AMCL["Mazen"] = "马森·马克纳迪尔 《魔法和";
--AMCL["Mazen&"] = "          科学研究院》";
  AMCL["AdairG"] = "艾代尔·吉尔罗 《图书管理员》";
  AMCL["ADellis"] = "助手迪利斯";

  AMCL["LucanC"] = "鲁坎·考迪尔 《附魔训练师》";
  AMCL["JessaraC"] = "杰萨拉·考迪尔 《附魔供应商》";

  AMCL["SWStaves"] = " 	暴风法杖店";
  AMCL["ArdwynC"] = "阿德温·凯伦 《魔杖商人》";
  AMCL["AllanH"] = "艾伦·哈弗甘 《法杖商》";

  AMCL["Duncan'sT"] = "邓肯布料店";
  AMCL["DuncanC"] = "邓肯·库仑 《轻甲商》";
  AMCL["AlexanB"] = "亚历山德拉·波利罗 《裁缝供应商》";
  AMCL["GeorgB"] = "乔吉奥·波利罗 《裁缝训练师》";
  AMCL["Clavicus"] = "克拉维斯·纳文哈姆 《联盟";
  AMCL["Clavicus&"] = "          布匹军需官》";

  AMCL["AlcNee"] = "炼金材料店";
  AMCL["Tannysa"] = "塔尼莎 《草药学训练师》";
  AMCL["Lilyss"] = "莉琳希亚·夜风 《炼金术训练师》";
  AMCL["MariaL"] = "玛丽亚·卢米尔 《炼金术供应商》";
  AMCL["Eldra"] = "艾达伊斯 《草药学供应商》";

  AMCL["CollinM"] = "科林·玛伦";

  AMCL["BlueRec"] = "蓝色隐士";
  AMCL["Joachim"] = "扎希姆·布伦罗 《调酒师》";
  AMCL["ConnorR"] = "科诺尔·瑞沃斯 《见习厨师》";
  AMCL["SLohan"] = "史蒂文·洛汉";
  AMCL["AStern"] = "安古斯·斯特恩 《大厨》";
  AMCL["CFire"] = "烹饪用火";

  AMCL["AMalin"] = "大法师马林";

  AMCL["WizSan"] = "巫师圣殿  (中央尖塔)";
  AMCL["HAndromath"] = "高阶巫师安多玛斯";
  AMCL["JCannon"] = "詹妮亚·坎农 《法师训练师》";
  AMCL["Elsharin"] = "艾尔莎林 《法师训练师》";
  AMCL["MDumas"] = "玛吉诺·仲马 《高阶法师》";
  AMCL["LPurdue"] = "拉瑞麦尼·普尔度 《传送门训练师》";

  AMCL["LarsonClo"] = "拉尔森服装店";
  AMCL["WLarson"] = "维恩·拉尔森 《长袍商》";
  AMCL["ELarson"] = "伊万·拉尔森 《帽商》";

  AMCL["EssenComp"] = "精华材料";
  AMCL["OVaughn"] = "欧文·沃弗恩 《材料商》";

  AMCL["AncientCu"] = "古董";
  AMCL["Yserian"] = "查瑞斯·伊瑟里安 《魔法饰品商人》";

  AMCL["SlaughtLa"] = "已宰的羔羊";
  AMCL["Jarel"] = "扎雷·穆尔 《调酒师》";
  AMCL["Jalane"] = "嘉莱恩·艾罗 《大师级暗纹裁缝》";
  AMCL["Zardeth"] = "黑爪加尔德斯";
  AMCL["Sandahl"] = "山达尔 《术士训练师》";
  AMCL["Gakin"] = "黑暗缚灵者加科因";
  AMCL["Cloyce"] = "德米赛特·克劳斯 《术士训练师》";
  AMCL["Deline"] = "厄苏拉·德林 《术士训练师》";
  AMCL["Spackle"] = "斯巴克尔";

  AMCL["Pyrot"] = "焰火店";
  AMCL["Singh"] = "	达利安·辛格 《焰火商人》";

  --Cyan
  AMCL["SWPark"] = "花园";

  AMCL["Folsom"] = "管理员弗索姆";

  AMCL["Sylista"] = "塞丽斯塔 《兽栏管理员》";

  AMCL["SWInn"] = "旅店";

  AMCL["Shylamiir"] = "莎拉米尔 《草药学训练师》";

  AMCL["Tavern"] = "酒店";

  AMCL["ArgosN"] = "阿古斯·夜语";
  AMCL["Sheldras"] = "沙德拉斯·月树 《德鲁伊训练师》";
  AMCL["Theridran"] = "塞瑞德兰 《德鲁伊训练师》";
  AMCL["Maldryn"] = "玛尔德利恩 《德鲁伊训练师》";
  AMCL["NaraM"] = "娜拉·梅德隆 《牧师训练师》";

  AMCL["WAP"] = "这三姐妹在法师区乱走";
  AMCL["Shailiea"] = "莎莉恩";
  AMCL["KimberG"] = "金伯利·格兰特";
  AMCL["KellyG"] = "科莉·格兰特";

  --Red
  AMCL["SWHarbor"] = "暴风城港口";

  AMCL["Thargold"] = "萨古尔德·铁翼";
  AMCL["Nayura"] = "纳尤拉 《码头管理员》";
  AMCL["SAuberd"] = "到奥伯丁的船";
  AMCL["Assurance"] = "自信号";
  AMCL["PCarver"] = "船长保罗·卡维尔";
  AMCL["GCPK"] = "厨师长保罗·库比特 《食品和饮料商》";
  AMCL["kurtisP"] = "工程师库尔提斯·帕多克 《商人》";
  AMCL["LeeshaT"] = "丽莎·坦纳 《码头管理员》";
  AMCL["SVali"] = "到无畏要塞的船";
  AMCL["StevenA"] = "斯特温·艾伦";
  AMCL["SWlight"] = "灯塔";

  --Purp
  AMCL["CathSqua"] = "教堂广场";

  AMCL["MorrisL"] = "莫里斯·劳瑞 ";

  AMCL["FThread"] = "最好的线团";

  AMCL["JMaces"] = "公正之锤";
  AMCL["GArdus"] = "格雷戈里·阿杜斯 《法杖和锤》";

  AMCL["RPlates"] = "正义之甲";
  AMCL["AgustM"] = "阿古塔斯·莫莱恩 《锁甲商》";
  AMCL["TheresM"] = "瑟里莎·莫莱恩 《长袍商》";

  AMCL["BKrist"] = "克里斯托弗修士";

  AMCL["OMNight"] = "孤儿监护员奈丁加尔";
  AMCL["Shel"] = "	瑟伦尼 《孤儿监护人》";

  AMCL["CathLig"] = "光明大教堂";
  AMCL["BSarno"] = "萨尔努修士";
  AMCL["Rall"] = "达索瑞恩·拉尔";
  AMCL["BFarth"] = "主教法席恩";
  AMCL["ABBened"] = "大主教本尼迪塔斯";
  AMCL["Gazin"] = "贾森·坦诺姆";
  AMCL["HPLaur"] = "高阶牧师劳瑞娜 《牧师训练师》";
  AMCL["JoshPT"] = "乔舒修士 《牧师训练师》";
  AMCL["Benj"] = "本杰明修士 《牧师训练师》";

  AMCL["Grayson"] = "格雷森·沙东布瑞克公爵 《圣骑士训练师》";
  AMCL["KathPT"] = "纯洁的凯瑟琳 《圣骑士训练师》";
  AMCL["ArthPT"] = "虔诚的亚瑟 《圣骑士训练师》";

  AMCL["SFull"] = "珊娜·弗勒 《急救训练师》";
  AMCL["BCass"] = "卡苏斯修士 《材料商》";

  AMCL["CathLigD"] = "光明大教堂 (下楼梯)";
  AMCL["BAnton"] = "安东修士 《血色十字军使者》";

  AMCL["CityHall"] = "城市大厅";
  AMCL["BarosA"] = "巴隆斯·阿历克斯顿 《城市建筑师》";
  AMCL["RFBathr"] = "皇家代理人巴瑟罗尔 《暴风城人口普查处》";

  AMCL["ArgentD"] = "银色黎明";

  AMCL["OEmma"] = "艾玛 (每十五分钟艾玛在贸易区喷泉";
  AMCL["OEmma&"] = "        和她的房子之间走动)";

  --Yell
  AMCL["DwarvDist"] = "矮人区";

  AMCL["CTAlley"] = "割喉小巷";

  AMCL["GelmanS"] = "吉尔曼·石手 《采矿训练师》";
  AMCL["BrookeS"] = "布鲁克·石衣 《采矿供应商》";

  AMCL["BorgusS"] = "博古斯·钢拳 《武器铸造训练师》";
  AMCL["KathA"] = "博古斯·钢拳 《斧商》";
  AMCL["Grimand"] = "格瑞曼德·艾尔默";

  AMCL["ThulmF"] = "苏尔曼·火崖 《枪械商》";

  AMCL["Shoni"] = "沉默的舒尼";

  AMCL["LilliS"] = "利廉姆·火轴 《工程学训练师》";
  AMCL["BilliC"] = "比利巴布·旋轮 《工程学供应商》";

  AMCL["EyeStorm"] = "风暴之眼大使";

  AMCL["TherumD"] = "瑟鲁姆·深炉 《锻造训练师》";
  AMCL["KaitaD"] = "凯塔·深炉 《锻造供应商》";
  AMCL["Hank"] = "巨锤汉克 《秘银会》";
  AMCL["Furen"] = "弗伦·长须";
  AMCL["BenikB"] = "本尼克·螺剪《锁匠》";

  AMCL["Jenova"] = "耶诺瓦·石盾 《兽栏管理员》";
  AMCL["Einris"] = "恩瑞斯·锐矛 《猎人训练师》";
  AMCL["Ulfir"] = "奥菲尔·铁须 《猎人训练师》";
  AMCL["Thorfin"] = "索尔芬·石盾 《猎人训练师》";

  AMCL["Morgg"] = "莫格·雷矢";

  AMCL["Brohann"] = "布罗哈恩·铁桶 《探险者协会》";
  AMCL["Wilder"] = "维尔德·蓟草";

  --Blue
  AMCL["SWKeep"] = "暴风要塞";

  AMCL["PetCham"] = "祈愿室";
  AMCL["CRRidge"] = "雷明顿·瑞治维尔伯爵 《贵族》";
  AMCL["LBWishock"] = "鲍雷斯·维沙克公爵 《贵族》";
  AMCL["Caledra"] = "卡雷德拉·晨风";

  AMCL["Varian"] = "瓦里安·乌瑞恩国王 《暴风城的国王》";
  AMCL["Anduin"] = "	安度因·乌瑞恩 《暴风城的王子》";
  AMCL["ETaluun"] = "塔卢恩大使";

  AMCL["Delavey"] = "德拉维主教";

  AMCL["WarRoom"] = "指挥室 ";
  AMCL["Jes-Ter"] = "杰塔瑞斯将军";
  AMCL["MithI"] = "米萨斯·铁山";
  AMCL["Beka"] = "贝卡·兹维 《竞技场管理员》";
  AMCL["ThelmS"] = "塞尔曼·岩拳 《奥特兰克山谷军官》";
  AMCL["Elfarran"] = "艾弗拉兰 《战歌峡谷军官》";
  AMCL["Jovil"] = "尤维尔 《风暴之眼军官》";
  AMCL["Hotes"] = "赫塔希姆 《阿拉希盆地军官》";
  AMCL["Bethany"] = "贝萨妮·奥尔蒂 《远古海滩军官》";

  AMCL["MSamuel"] = "萨缪尔森少校 《暴风城卫兵》";

  AMCL["Tyrion"] = "泰里恩";
  AMCL["Alicia"] = "奥利卡";

  AMCL["RoyLib"] = "皇家图书馆";
  AMCL["Milton"] = "米尔顿·西弗 《图书管理员》";
  AMCL["Donyal"] = "丹亚·托瓦尔德 《图书管理员》";
  AMCL["GregorL"] = "葛瑞格·莱斯科瓦公爵";

  AMCL["RoyGal"] = "皇家画廊";

  --Gren
  AMCL["OldTown"] = "旧城区";

  AMCL["HHW"] = "重型武器 ";
  AMCL["GKoen"] = "格瑞克·考恩 《双手武器商人》";

  AMCL["Pig&W"] = "猪和哨声旅店";
  AMCL["ReeseL"] = "瑞斯·朗斯顿 旅店老板 《旅店老板》";
  AMCL["SRyback"] = "斯蒂芬·雷百克 《烹饪训练师》";
  AMCL["ETate"] = "艾瑞卡·塔特 《烹饪供应商》";
  AMCL["KKabon"] = "肯多尔·卡邦卡 《烹饪大师》";
  AMCL["Bartleby"] = "巴特莱比 《醉鬼》";
  AMCL["DLangs"] = "大卫·朗斯顿";
  AMCL["Aedis"] = "艾迪斯·布洛姆";
  AMCL["Faral"] = "克里斯托弗·法拉尔";
  AMCL["HarryB"] = "哈里·伯加德";
  AMCL["EllyLang"] = "艾丽·朗斯顿 《招待员》";

  AMCL["FDV"] = "五种剧毒";
  AMCL["Lenney"] = "“巧手”雷尼·麦考伊 (门外)";
  AMCL["Beasley"] = "奥比斯雷 (门外)";
  AMCL["Dashel"] = "达舍尔·石拳 (门外)";
  AMCL["MilesS"] = "麦尔斯·西尼 《毒药商》";
  AMCL["Wright"] = "乌雷特·威廉姆斯";

  AMCL["HonestB"] = "乌雷特·威廉姆斯";
  AMCL["Heinrich"] = "亨里克·斯通 《铸剑商》";

  AMCL["Immuni"] = "亨里克·斯通";
  AMCL["OStrang"] = "奥斯瑞克·斯图恩 《重甲商》";
  AMCL["WStrang"] = "维尔海姆·斯图恩 《锁甲商》";

  AMCL["Osborne"] = "夜行者奥斯伯 《潜行者训练师》";

  AMCL["CHall"] = "勇士大厅";
  AMCL["O'Neal"] = "奥尼尔上尉 《护甲军需官》";
  AMCL["Jacksp"] = "	加克斯宾中尉 《武器军需官》";
  AMCL["Biggin"] = "军士长贝金斯 《皮甲军需官》";
--AMCL["Biggin&"] = "          Quartermaster";
  AMCL["Karter"] = "卡特尔中尉 《坐骑商人》";
  AMCL["Tristia"] = "崔丝提亚中尉 《护甲军需官》";
  AMCL["Skyshad"] = "赫尔特·天影";
  AMCL["Ennarth"] = "先驱者恩纳尔斯";
  AMCL["Gaiman"] = "大法师盖曼";
  AMCL["Vaccar"] = "拉切尔·瓦卡";
  AMCL["Dirgeh"] = "迪格汉默上尉 《武器军需官》";
--AMCL["Dirgeh&"] = "          Quartermaster";
  AMCL["Moonst"] = "骑士中尉穆斯塔克 《护甲军需官》";
--AMCL["Moonst&"] = "          Quartermaster";
  AMCL["Clate"] = "克莱特军士长 《护甲军需官》";

  AMCL["ComCent"] = "指挥中心";
  AMCL["Wood"] = "伍德";
  AMCL["IlsaC"] = "	伊尔萨·考宾 《战士训练师》";
  AMCL["WuShen"] = "武神 《战士训练师》";
  AMCL["AnderG"] = "安德尔·杰曼 《战士训练师》";

  AMCL["SI:7"] = "军情七处";
  AMCL["Mathias"] = "马迪亚斯·肖尔 《军情七处领袖》";
  AMCL["Renzik"] = "“剃刀”雷吉克 《军情七处》";
  AMCL["Sloan"] = "斯洛安·麦考伊 《毒药商》";
  AMCL["Fel"] = "贾斯伯·菲尔 《毒药商》";
  AMCL["Romano"] = "托尼·罗曼诺 《潜行者训练师》";
  AMCL["Mixil"] = "道克·米希匹克斯 (楼下)";

  AMCL["ProHide"] = "护体皮甲";
  AMCL["STanner"] = "西蒙·坦纳尔 《制皮训练师》";
  AMCL["JTanner"] = "基利安·坦纳尔 《制皮供应商》";
  AMCL["Granger"] = "马瑞斯·格兰治 《剥皮训练师》";
  AMCL["AlyssaG"] = "奥琳萨·格瑞菲斯 《背包商人》";
  AMCL["SeomanG"] = "希欧曼·格瑞菲斯 《皮甲商》";
  AMCL["Noah"] = "小诺亚";

  AMCL["ThanBoo"] = "希恩靴店";
  AMCL["Mayda"] = "梅达·希恩 《皮匠》";

  AMCL["SilverSh"] = "白银之盾";
  AMCL["BCross"] = "布赖恩·克罗斯 《盾牌商人》";

  AMCL["JennL"] = "吉恩·朗斯顿 (环绕旧城区)";
  AMCL["Nikova"] = "尼科瓦·拉斯克 (环绕旧城区";
  AMCL["Nikova&"] = "        在三个地方会停留一会)";
--AMCL["Nikova&1"] = "          minutes each stop)";
  
  --NPC Thunder Bluff
  --White
  AMCL["LLevel"] = "The Lower Rise";

  AMCL["Pala"] = "Innkeeper Pala";
  AMCL["Bulrug"] = "Bulrug 《兽栏管理员》";
  AMCL["AtHR"] = "Access to The Hunter Rise";

  AMCL["ElevM"] = "Elevator to Mulgore";

  AMCL["TBCI"] = "Thunder Bluff Civic Information";
  AMCL["Thrumn"] = "Thrumn 《战袍商人》";
  AMCL["Krumn"] = "Krumn 《公会注册员》";
  AMCL["Scorch"] = "Scorching Fire";

  AMCL["Kuruk's"] = "Kuruk's Goods";
  AMCL["Kuruk"] = "Kuruk 《杂货商》";
  AMCL["Pakwa"] = "Pakwa 《背包商人》";

  AMCL["TGASu"] = "Trade Goods and Supplies";
  AMCL["ShadiM"] = "Shadi Mistrunner 《商人》 Supplies";

  AMCL["Jyn"] = "Jyn Stonehoof, Weapons Merchant";
  AMCL["Ansek"] = "Ansekhwa 《武器大师》";

  AMCL["Hewa's"] = "Hewa's Armory";
  AMCL["Hewa"] = "Hewa 《布甲商》";
  AMCL["Elki"] = "Elki 《锁甲商》";
  AMCL["Ahanu"] = "Ahanu 《护甲军需官》 Merchant";

  AMCL["Tal"] = "Tal 《驭风者管理员》";
  AMCL["ALLMLUL"] = "Access to The Lower Rise, The Middle Rise and";
  AMCL["ALLMLUL&"] = "          The Upper Rise";

  AMCL["derstr"] = "Officer Thunderstrider, Thunder Bluff";
  AMCL["derstr&"] = "          Commendations";

  AMCL["BandG"] = "Breads and Grains";
  AMCL["Fry"] = "Fry Mistrunner, Bread Vendor";

  AMCL["Karn's"] = "Karn's Smithy";
  AMCL["Karn"] = "Karn Stonehoof 《锻造训练师》";
  AMCL["Taur"] = "Taur Stonehoof 《锻造供应商》";
  AMCL["Orm"] = "Orm Stonehoof";

  AMCL["Truths"] = "Sage Truthseeker";
  AMCL["AtSR"] = "Access to The Spirit Rise";

  AMCL["Geology"] = "Stonehoof Geology";
  AMCL["Brek"] = "Brek Stonehoof 《采矿训练师》";
  AMCL["KurmS"] = "Kurm Stonehoof 《采矿供应商》";

  AMCL["Eyahn"] = "Eyahn Eagletalon";
  AMCL["Auld"] = "Auld Stonespire";

  AMCL["Chepi"] = "Chepi 《材料商》 Vendor (Does a circle around the";
  AMCL["Chepi&"] = "          Lower Rise)";
  AMCL["Windst"] = "Bluff Runner Windstrider (Travels between the";
  AMCL["Windst&"] = "          Lower Rise and the Upper Rise)";

  --Purp
  AMCL["MLevel"] = "The Middle Rise";

  AMCL["Thund"] = "Thunderhorn's Archery";
  AMCL["Kuna"] = "Kuna Thunderhorn 《弓箭商》 & Fletching Goods";

  AMCL["FaV"] = "Fruits and Vegetables";
  AMCL["Nan"] = "Nan Mistrunner 《水果商》";

  AMCL["Holis"] = "Holistic Herbalism";
  AMCL["Komin"] = "Komin Winterhoof 《草药学训练师》";
  AMCL["Nida"] = "Nida Winterhoof 《草药学供应商》";

  AMCL["AtER"] = "Access to The Elder Rise";

  AMCL["CloudB"] = "Cloudeweavers Baskets";
  AMCL["Tand"] = "Tand, Basket Weaver";

  AMCL["Bena's"] = "Bena's Alcehcmy";
  AMCL["Bena"] = "Bena Winterhoof 《炼金术训练师》";
  AMCL["Mani"] = "Mani Winterhoof 《炼金术供应商》";

  AMCL["TBEnchanters"] = "Dawnstrider Enchanters";
  AMCL["Teg"] = "Teg Dawnstrider 《附魔训练师》";
  AMCL["Nata"] = "Nata Dawnstrider 《附魔供应商》";

  AMCL["TBArmorers"] = "Thunder Bluff Armorers";
  AMCL["Mooranta"] = "Mooranta 《剥皮训练师》";
  AMCL["Veren"] = "Veren Tallstrider";
  AMCL["Tepa"] = "Tepa 《裁缝训练师》";
  AMCL["Mahu"] = "Mahu, Leatherworking & Tailoring Supplies";
  AMCL["Tagain"] = "Tagain 《布甲商》";
  AMCL["Fela"] = "Fela 《重甲商》";
  AMCL["Grod"] = "Grod, Leather Armour Merchant";
  AMCL["Una"] = "Una 《制皮训练师》";
  AMCL["Rumstag"] = "Rumstag Proudstrider, Horde Cloth";
  AMCL["Rumstag&"] = "          Quartermaster";

  --Yell
  AMCL["ULevel"] = "The Upper Rise";

  AMCL["Rainsticks"] = "Rainsticks";
  AMCL["Sunn"] = "Sunn Ragetotem 《法杖商》";

  AMCL["KS&R"] = "Kodo Steak & Ribs";
  AMCL["Kaga"] = "Kaga Mistrunner 《肉商》";

  AMCL["WinterT"] = "Winterhoof Totems";
  AMCL["Tah"] = "Tah Winterhoof";

  AMCL["MTB&T"] = "Mountaintop Bait & Tackle";
  AMCL["Kah"] = "Kah Mistrunner 《钓鱼训练师》";
  AMCL["Sewa"] = "Sewa Mistrunner 《钓鱼供应商》";

  AMCL["CairneB"] = "Cairne Bloodhoof, High Chieftain";

  AMCL["Halpa"] = "Halpa, Prairie Dog Vendor";

  AMCL["TBFirea"] = "Thunderbluff Firearms";
  AMCL["Hogor"] = "Hogor Thunderhoof, Guns Merchant";

  AMCL["Raget"] = "Ragetotem Arms";
  AMCL["Delgo"] = "Delgo Ragetotem 《斧商》";
  AMCL["Etu"] = "Etu Ragetotem,  《锤和法杖商人》";
  AMCL["Ohanko"] = "Ohanko, Two Handed Weapon Merchant";
  AMCL["Kard"] = "Kard Ragetotem, Sword & Dagger Merchant";

  AMCL["Sura"] = "Sura Wildmane, War Harness Vendor";

  AMCL["Aska's"] = "Aska's Kitchen";
  AMCL["Aska"] = "Aska Mistrunner 《烹饪训练师》";
  AMCL["Naal"] = "Naal Mistrunner 《烹饪供应商》";

  AMCL["Zangen"] = "Zangen Stonehoof";

  --Blue
  AMCL["HuntR"] = "The Hunter Rise";

  AMCL["HHall"] = "Hunter's Hall";
  AMCL["Urek"] = "Urek Thunderhorn 《猎人训练师》";
  AMCL["Kary"] = "Kary Thunderhorn 《猎人训练师》";
  AMCL["Holt"] = "Holt Thunderhorn 《猎人训练师》";
  AMCL["Sark"] = "Sark Ragetotem 《战士训练师》";
  AMCL["Torm"] = "Torm Ragetotem 《战士训练师》";
  AMCL["Ker"] = "Ker Ragetotem 《战士训练师》";

  AMCL["Saern"] = "Saern Priderunner";
  AMCL["Melor"] = "Melor Stonehoof";

  AMCL["Althal"] = "Althallen Brightblade 《风暴之眼军官》";
  AMCL["Martin"] = "Martin Lindsey 《阿拉希盆地军官》";
  AMCL["Fizim"] = "Fizim Blastwrench 《竞技场管理员》";

  AMCL["Kergul"] = "Kergul Bloodaxe 《战歌峡谷军官》";
  AMCL["Ufuda"] = "Godo Cloudchewer 《远古海滩军官》";
  AMCL["Ufuda&"] = "          Battlemaster";
  AMCL["Taim"] = "Taim Ragetotem 《奥特兰克山谷军官》";

  AMCL["Mosarn"] = "Mosarn";

  AMCL["Hesuwa"] = "Hesuwa Thunderhorn 《宠物训练师》";

  --Gren
  AMCL["ERise"] = "The Elder Rise";

  AMCL["HElders"] = "Hall of Elders";
  AMCL["Kym"] = "Kym Wildmane 《德鲁伊训练师》";
  AMCL["Turak"] = "Turak Runetotem 《德鲁伊训练师》";
  AMCL["Sheal"] = "Sheal Runetotem 《德鲁伊训练师》";
  AMCL["Nara"] = "Nara Wildmane";
  AMCL["ADHamuul"] = "Arch Druid Hamuul Runetotem";

  AMCL["Bashana"] = "Bashana Runetotem";

  AMCL["Rahuro"] = "Rahuro, Magatha's Servant";
  AMCL["Magatha"] = "Magatha Grimtotem, Elder Crone";
  AMCL["Cor"] = "Cor Grimtotem";
  AMCL["Gorm"] = "Gorm Grimtotem";

  AMCL["ERDrums"] = "Elder Rise Drums";
  AMCL["Sheza"] = "Sheza Wildmane";

  AMCL["Ghede"] = "Ghede";

  --Orng
  AMCL["SRise"] = "The Spirit Rise";

  AMCL["HallofS"] = "Hall of Spirits";
  AMCL["Beram"] = "Beram Skychaser 《萨满祭司训练师》";
  AMCL["Siln"] = "Siln Skychaser 《萨满祭司训练师》";
  AMCL["Tigor"] = "Tigor Skychaser 《萨满祭司训练师》";
  AMCL["Xanis"] = "Xanis Flameweaver";

  AMCL["SHealing"] = "Spiritual Healing";
  AMCL["Pand"] = "Pand Stonebinder 《急救训练师》";

  AMCL["Pawe"] = "Pawe Mistrunner";

  AMCL["PVision"] = "Pools of Vision";
  AMCL["Clarice"] = "Clarice Foster";
  AMCL["Poshken"] = "Poshken Hardbinder 《铭文训练师》";
  AMCL["Mertle"] = "Mertle Murkpen 《铭文供应商》";
  AMCL["Malakai"] = "Malakai Cross 《牧师训练师》";
  AMCL["Zamah"] = "Apothecary Zamah, Royal Apothecary Society";
  AMCL["Cranst"] = "Birgitte Cranston 《传送门训练师》";
  AMCL["Shymm"] = "Archmage Shymm 《法师训练师》";
  AMCL["Welsh"] = "Miles Welsh 《牧师训练师》";
  AMCL["Ursyn"] = "Ursyn Ghull 《法师训练师》";
  AMCL["FCobb"] = "Father Cobb 《牧师训练师》";
  AMCL["Xane"] = "Thurston Xane 《法师训练师》";
  
  --NPC Undercity
  --White
  AMCL["TraQuart"] = "The Trade Quarter";

  AMCL["Aucti"] = " Auctioneer (Just outside of the Trade Quarter";
  AMCL["Aucti&"] = "           in the Canals)";

  AMCL["ERusk"] = "Eleanor Rusk 《杂货商》";
  AMCL["GenGoods"] = " General Goods";

  AMCL["FDoan"] = "Felicia Doan 《商人》";
  AMCL["GCallow"] = "Genavie Callow";

  AMCL["BHandler"] = "Bat Handler";
  AMCL["MGarrett"] = "Michael Garrett, Bat Handler";
  AMCL["PGarrett"] = "Patrick Garrett";

  AMCL["OGothena"] = "Officer Gothena, Undercity Commendations";

  AMCL["UWeapons"] = "Weapons";
  AMCL["GWendham"] = "Gordon Wendham, Weapons Merchant";
  AMCL["LWarren"] = "Louis Warren, Weapons Merchant";

  AMCL["UHArmor"] = "Heavy Armor";
  AMCL["TWeldon"] = "Timothy Weldon 《重甲商》";
  AMCL["WElling"] = "Walter Ellingson 《重甲商》";

  AMCL["ULArmor"] = "Light Armor";
  AMCL["LNewcomb"] = "Lauren Newcomb 《轻甲商》";
  AMCL["DBartlett"] = "Daniel Bartlett 《商人》";

  AMCL["AMaulray"] = "Anya Maulray 《兽栏管理员》";
  AMCL["INorman"] = "Innkeeper Norman";

  AMCL["MReagents"] = "Mordan's Reagents";
  AMCL["Mordan"] = "Mordan 《材料商》";

  AMCL["NaznikS"] = "Naznik Sureshave 《理发师》";
  AMCL["ECairn"] = "Edward Cairn, Elder";

  AMCL["GuildCT"] = "Guild Creation/Tabards";
  AMCL["ROBauhaus"] = "Royal Overseer Bauhaus, Undercity  Census";
  AMCL["EReming"] = "Edward Remington 《公会徽章设计师》";
  AMCL["CDrakul"] = "Christopher Drakul 《公会注册员》";
  AMCL["MPleas"] = "Merill Pleasance 《战袍商人》";

  AMCL["UCook"] = "Cooking";
  AMCL["EBurch"] = "Eunice Burch 《烹饪训练师》";
  AMCL["RBurch"] = "Ronald Burch 《烹饪供应商》";
  AMCL["RAndrean"] = "Raleigh Andrean, Ex-Chef";

  AMCL["TawnyG"] = "Tawny Grisette, Mushroom Vendor (Does a";
  AMCL["TawnyG&"] = "          circle on the upper area of the Trade";
  AMCL["TawnyG&1"] = "          Quarter)";

  AMCL["JPayson"] = "Jeremiah Payson, Cockroach Vendor";

  AMCL["Balth"] = "Harbinger Balthazad (Does a circuit in the";
  AMCL["Balth&"] = "          Trade Quarter and in the Canals just";
  AMCL["Balth&1"] = "          outside the Trade Quarter)";

  --Purp
  AMCL["Apothe"] = "The Apothecarium";

  AMCL["dugur"] = "Keeper Bel'dugur";

  AMCL["UHerba"] = "Herbalist";
  AMCL["MAllie"] = "Martha Alliestar 《草药学训练师》";
  AMCL["KAllie"] = "Katrina Alliestar 《草药学供应商》";

  AMCL["ALuca"] = "Alessandro Luca, Blue Moon Odds and Ends";

  AMCL["UEnchant"] = "Enchantment";
  AMCL["LCrowe"] = "Lavinia Crowe 《附魔训练师》";
  AMCL["TWebb"] = "Thaddeus Webb 《附魔供应商》";

  AMCL["Parq"] = "Parqual Fintallas";

  AMCL["AGant"] = "Andron Gant";

  AMCL["Alchemist"] = "Alchemist";
  AMCL["Algernon"] = "Algernon 《炼金术供应商》";
  AMCL["DMarsh"] = "Doctor Marsh, Apprentice Alchemist";

  AMCL["DMFelben"] = "Doctor Martin Felben, Apprentice Alchemist";
  AMCL["MAFaranell"] = "Master Apothecary Faranell, Royal Apothecary";
  AMCL["MAFaranell&"] = "          Society";
  AMCL["DHHalsey"] = "Doctor Herbert Halsey 《炼金术训练师》";
  AMCL["Fuely"] = "Chemist Fuely";
  AMCL["Cuely"] = "Chemist Cuely";
  AMCL["TheodG"] = "Theodore Griffs";
  AMCL["Zinge"] = "Apothecary Zinge";
  AMCL["AKeev"] = "Apothecary Keever, Royal Apothecary Society";

  --Blue
  AMCL["WarQuart"] = "The War Quarter";

  AMCL["GerardA"] = "Gerard Abernathy";
  AMCL["LeonaT"] = "Leona Tharpe";
  AMCL["JoannW"] = "Joanna Whitehall";

  AMCL["UBowM"] = "Bow Merchant";
  AMCL["AbigS"] = "Abigail Sawyer 《弓箭商人》";

  AMCL["UMining"] = "Mining";
  AMCL["BromK"] = "Brom Killian 《采矿训练师》";
  AMCL["SarahK"] = "Sarah Killan 《采矿供应商》";

  AMCL["UWeapM"] = "Weapons Merchants";
  AMCL["Abald"] = "Archibald 《武器大师》";
  AMCL["GeoffH"] = "Geoffrey Hartwell 《武器商》";
  AMCL["BeniF"] = "Benijah Fenner 《武器商》";
  AMCL["FranE"] = "Francis Eliot 《武器商》";

  AMCL["UBlacks"] = "Blacksmith";
  AMCL["JVBrunt"] = "James Van Brunt 《锻造训练师》";
  AMCL["SVBrunt"] = "Samuel Van Brunt 《锻造供应商》";
  AMCL["MTrem"] = "Mirelle Tremayne 《重甲商》";

  AMCL["UGunsm"] = "Gunsmith";
  AMCL["NAtwood"] = "Nicholas Atwood 《枪械商》";

  AMCL["HAtwood"] = "Helena Atwood";

  AMCL["SHouser"] = "Sergeant Houser";
  AMCL["SRutger"] = "Sergeant Rutger";

  AMCL["FLanke"] = "Father Lankester 《牧师训练师》";
  AMCL["FLaza"] = "Father Lazarus 《牧师训练师》";
  AMCL["UAelth"] = "Aelthalyste 《牧师训练师》";
  AMCL["BFowl"] = "Baltus Fowler 《战士训练师》";
  AMCL["ACurt"] = "Angela Curthas 《战士训练师》";
  AMCL["ChristW"] = "Christopher Walker 《战士训练师》";

  --Gren
  AMCL["MagQuart"] = "The Magic Quarter";

  AMCL["UStaff"] = "Staff Merchant";
  AMCL["SUpton"] = "Sydney Upton 《法杖商》";
  AMCL["ZaneB"] = "Zane Bradford 《魔杖商人》";

  AMCL["UTailor"] = "Tailor";
  AMCL["RalsF"] = "Ralston Farnsley 《部落布匹军需官》"; 
  AMCL["SVCroy"] = "Sheldon Von Croy 《布甲商》";
  AMCL["Josef"] = "Josef Gregorian 《裁缝训练师》";
  AMCL["Millie"] = "Millie Gregorian 《裁缝供应商》";
  AMCL["LuciC"] = "Lucille Castleton 《长袍商》";

  AMCL["OranS"] = "Oran Snakewrithe";
  AMCL["SamaS"] = "Samatha Shackleton";
  AMCL["AndrB"] = "Andrew Brownell";

  AMCL["UCarto"] = "Cartography";
  AMCL["JorahA"] = "Jorah Annison";

  AMCL["UBook"] = "Book Dealer";
  AMCL["SalazB"] = "Salazar Bloch, Book Dealer";

  AMCL["UReag"] = "Reagent Vendor";
  AMCL["HannA"] = "Hannah Akeley 《材料商》 Supplies";

  AMCL["URelic"] = "Relic Vendor";
  AMCL["SilasZ"] = "Silas Zimmer";

  AMCL["JList"] = "Josephine Lister 《大师级暗纹裁缝》";

  AMCL["CHalg"] = "Carendin Halgar";

  AMCL["UpLevel"] = "Upper Level";
  AMCL["LMort"] = "Lexington Mortaim 《传送门训练师》";
  AMCL["BIces"] = "Bethor Iceshard";

  AMCL["RKerw"] = "Richard Kerwin 《术士训练师》";

  AMCL["AHart"] = "Anastasia Hartwell 《法师训练师》";

  AMCL["LoLevel"] = "Lower Level";
  AMCL["LPick"] = "Luther Pickman 《术士训练师》";
  AMCL["KaalS"] = "Kaal Soulreaper 《术士训练师》";
  AMCL["KaelyH"] = "Kaelystia Hatebringer 《法师训练师》";
  AMCL["PiercS"] = "Pierce Shackleton 《法师训练师》";
  AMCL["MartS"] = "Martha Strain";
  AMCL["GodrF"] = "Godrick Farsan";

  AMCL["ArmaC"] = "Armand Cromwell 《钓鱼训练师》";
  AMCL["LizbC"] = "Lizbeth Cromwell 《钓鱼供应商》";

  --Orng
  AMCL["RogQuart"] = "The Rogues' Quarter";

  AMCL["UDag"] = "Daggers";
  AMCL["CSeat"] = "Charles Seaton 《铸剑商》";
  AMCL["NStee"] = "Nathaniel Steenwick 《投掷武器商人》";

  AMCL["UPois"] = "Poison";
  AMCL["EGrav"] = "Ezekiel Graves 《毒药商》";

  AMCL["MEdra"] = "Mary Edras 《急救训练师》";

  AMCL["ULeat"] = "Leather Work";
  AMCL["ArthM"] = "Arthur Moore 《制皮训练师》";
  AMCL["JoseM"] = "Joseph Moore 《制皮供应商》";
  AMCL["GillM"] = "Gillian Moore 《皮甲商》";
  AMCL["KillH"] = "Killian Hagey 《剥皮训练师》";

  AMCL["UBag"] = "Bag Vendor";
  AMCL["JonaC"] = "Jonathan Chambers 《背包商人》";

  AMCL["UEngin"] = "Engineering";
  AMCL["FrankL"] = "Franklin Lloyd 《工程学训练师》";
  AMCL["ElizVT"] = "Elizabeth Van Talen 《工程学供应商》";
  AMCL["GrahVT"] = "Graham Van Talen 《初级技师》";
  AMCL["LucF"] = "Lucian Fenner";

  AMCL["EsteG"] = "Estelle Gendry";

  AMCL["CaroW"] = "Carolyn Ward 《潜行者训练师》";
  AMCL["MileD"] = "Miles Dexter 《潜行者训练师》";
  AMCL["GregC"] = "Gregory Charles 《潜行者训练师》";
  AMCL["MennC"] = "Mennet Carkard";

  AMCL["WaltS"] = "Walter Soref 《锁匠》";

  --Red
  AMCL["RoyalQua"] = "The Royal Quarter";

  AMCL["LadWindr"] = "Lady Sylvanas Windrunner, Banshee Queen";
  AMCL["Sharl"] = "Sharlindra";
  AMCL["Varima"] = "Varimathras";
  AMCL["ASunsor"] = "Ambassador Sunsorrow";
  AMCL["CyssaD"] = "Champion Cyssa Dawnrose 《圣骑士训练师》";

  AMCL["GrizHalf"] = "Grizzle Halfmane 《奥特兰克山谷军官》";

  AMCL["RexPix"] = "Rex Pixem 《竞技场管理员》";

  AMCL["SirMalo"] = "Sir Malory Wheeler 《阿拉希盆地军官》";

  AMCL["Lyrlia"] = "Lyrlia Blackshield 《风暴之眼军官》";

  AMCL["KurdB"] = "Kurden Bloodcalw 《战歌峡谷军官》";
  AMCL["SForth"] = "Sara Forthright 《远古海滩军官》";
  AMCL["SForth&"] = "          Battlemaster";
end