--[[
    Project: AtlasMajorCities Traditional Chinese Translation
    Author: arith, Jill 「世界之樹※Ammon Ra Thebes※Tefnut」
    Discripton: Traditional Chinese NPC Plugin for AtlasMajorCities.
    Release Date: May.2009
    Release Version: 1.5
    Internal: AMC.zhTW.15
]]--
--$Id: amc_zhTW.lua 86 2010-07-08 12:34:03Z arith $

local AceLocale = LibStub:GetLibrary("AceLocale-3.0");
local AMCL = AceLocale:NewLocale("AtlasMajorCities", "zhTW", false);

if AMCL then

	--Common	
  AMCL["Major Cities"] = 	"主城地圖";

  ---Common Names, Items & Buildings  
  -- Public Shops, Facilities, Equipments, Tools
  AMCL["Inn"] = "旅館";
  AMCL["Mailbox"] = "郵箱";
  AMCL["Forge"] = "熔爐";
  AMCL["Stove"] = "烹飪火爐";
  AMCL["AH"] = "拍賣場";
  AMCL["Bank"] = "銀行";
  AMCL["Bshop"] = "美容沙龍";
  -- PvP commanders
  AMCL["Alliance Brigadier"] = "聯盟准將";
  AMCL["Ancients Emissary"] = "遠祖灘頭密使";
  -- Training Dummies
  AMCL["E Dummy"] = "專家的訓練假人";
  AMCL["M Dummy"] = "大師的訓練假人";
  AMCL["G Dummy"] = "宗師的訓練假人";
  AMCL["H Dummy"] = "英雄訓練假人";
  AMCL["Practice Dummy"] = "練習假人";
  -- Weapons
  AMCL["Bows"] = 		"          弓";
  AMCL["Fist Weapons"] = 	"          拳套";
  AMCL["Staves"] = 		"          法杖";
  AMCL["Thrown"] = 		"          投擲武器";
  AMCL["Daggers"] = 		"          匕首";
  AMCL["Crossbow"] = 		"          弩";
  AMCL["Guns"] = 		"          槍械";
  AMCL["Polearms"] = 		"          長柄武器";
  AMCL["One-Handed Maces"] = 	"          單手錘";
  AMCL["Two-Handed Maces"] = 	"          雙手錘";
  AMCL["Two-Handed Sword"] = 	"          雙手劍";
  AMCL["One-Handed Sword"] = 	"          單手劍";
  AMCL["One-Handed Axes"] = 	"          單手斧";
  AMCL["Two-Handed Axes"] = 	"          雙手斧";
  -- Portals
  AMCL["PorStor"] = "暴風城傳送門";
  AMCL["PorIron"] = "鐵爐堡傳送門";
  AMCL["PorDarn"] = "達納蘇斯傳送門";
  AMCL["PorExod"] = "艾克索達傳送門";
  AMCL["PorShat"] = "撒塔斯城傳送門";
  AMCL["PorOrgr"] = "奧格瑪傳送門";
  AMCL["PorUnde"] = "幽暗城傳送門";
  AMCL["PorSilv"] = "銀月城傳送門";
  AMCL["PorThBl"] = "雷霆崖傳送門";
  AMCL["PorBlasted"] = "詛咒之地傳送門";
  
  --NPC Dalaran 達拉然
  --White
  -- Krasus' Landing
  AMCL["Aludane Whitecloud"] = "艾魯丹·白雲 <飛行管理員>";
  AMCL["Hira Snowdawn"] = "席拉·雪晨 <寒冷氣候飛行訓練師>";
  AMCL["Officer Van Rossem"] = "軍官凡·羅森";
  AMCL["Sky-Reaver Klum"] = "空奪者克朗";

  --Orng
  AMCL["Runeweaver Square"] = "織符者廣場";

  AMCL["Entrance to the Sewers"] = "下水道入口";

  AMCL["Magical Menagerie"] = "魔法動物園";
  AMCL["Mei Francis"] = "梅·法蘭西斯 <奇特坐騎>";
  AMCL["Breanni"] = "布芮妮 <寵物供應商>";
  AMCL["Tassia Whisperglen"] = "塔西亞·喃谷 <獸欄管理員>";

  AMCL["Teleport to Violet Stand"] = "傳送至紫羅蘭看臺的水晶";
  AMCL["Archmage Celindra"] = "大法師瑟琳卓 <傳送門訓練師>";
  AMCL["Warcaster Fanoraithe"] = "戰爭施法者法諾瑞司 <法師訓練師>";
  AMCL["Jessa Weaver"] = "潔沙·編織者 <法師訓練師>";

  AMCL["The Hunter's Reach"] = "獵人地帶";
  AMCL["Dagna Flintlock"] = "妲戈娜·燧鎖 <槍械商>";
  AMCL["Jarold Puller"] = "傑洛德·普勒 <特殊彈藥商人>";
  AMCL["Aemara"] = "依瑪拉 <弓箭商>";

  AMCL["Aerith Primrose"] = "依利絲·櫻草 <花卉商>";

  AMCL["The Arsenal Absolute"] = "完全軍械庫";
  AMCL["Bartram Haller"] = "巴特瑞·赫勒 <匕首和拳套武器商>";
  AMCL["Kerta the Bold"] = "英勇的克塔 <斧和長柄武器商>";
  AMCL["Valaden Silverblade"] = "汎拉登·銀刃 <刀劍商>";
  AMCL["Walther Whiteford"] = "華瑟·懷特弗德 <錘商>";

  AMCL["Dalaran Visitor Center"] = "達拉然旅客中心";
  AMCL["Andrew Matthews"] = "安德魯·馬修斯 <公會註冊員>";
  AMCL["Elizabeth Ross"] = "伊莉莎白·羅斯 <外袍商人>";
  AMCL["Archivist Betha"] = "檔案管理員貝薩 <城市歷史學家>";

  AMCL["Curiosities & Moore"] = "不只是配件";
  AMCL["Debbi Moore"] = "黛比·摩爾 <飾品和符咒>";
  AMCL["Brammold Deepmine"] = "布朗摩·深礦 <古董和傳家寶>";
  AMCL["Orton Bennet"] = "歐爾頓·班尼特 <副手貨樣>";
  AMCL["Ninsianna"] = "妮西亞娜 <聖物>";

  AMCL["Applebough"] = "蘋果樹枝 <水果商>";
  AMCL["Windle Sparkshine"] = "溫都·炫亮";

  AMCL["Sisters Sorcerous"] = "巫術姊妹";
  AMCL["Hagatha Moorehead"] = "哈嘉薩·莫爾海德 <施法材料商>";
  AMCL["Endora Moorehead"] = "伊朵拉·莫爾海德 <魔法物品>";

  AMCL["The Threads of Fate"] = "命運織坊";
  AMCL["Paldesse"] = "佩德希 <布甲商>";
  AMCL["Karandonna"] = "卡朗多納 <布商>";
  AMCL["Sheddle Glossgleam"] = "薛斗·光爍 <製鞋匠>";
  AMCL["Chameli Banaphash"] = "恰梅里·巴拿費許 <男裝用品商>";
  AMCL["Norvin Alderman"] = "諾文·埃德曼 <披風>";

  AMCL["The Wonderworks"] = "神奇玩具屋";
  AMCL["Jepetto Joybuzz"] = "杰佩托·樂吱 <玩具商>";
  AMCL["Clockwork Assistant"] = "發條助手 <杰佩脫的夥伴>";

  AMCL["The Legerdemain Lounge"] = "戲法旅舍";
  AMCL["Amisi Azuregaze"] = "阿咪希·蒼凝 <旅館老闆>";
  AMCL["Arille Azuregaze"] = "艾立爾·蒼凝 <酒保>";
  AMCL["Sandra Bartan"] = "珊卓拉·巴爾坦 <酒吧女服務員>";
  AMCL["Afsaneh Asrar"] = "艾芙桑奈·亞斯拉 <旅館老闆助理>";

  AMCL["Kizi Copperclip"] = "奇集·銅鉗 <美容師>";

  AMCL["One More Glass"] = "勸君更進一杯酒";
  AMCL["Fialla Sweetberry"] = "菲亞拉·甜莓 <食物和飲料商人>";
  AMCL["Christi Stockton"] = "克利斯蒂·斯托克頓 <酒商>";
  AMCL["Lucian Trias"] = "魯西安·提亞斯 <麵包和起司商>";

  AMCL["Aimee"] = "安咪 <派、餡餅與蛋糕>";

  --Purp
  AMCL["The Eventide"] = "日暮區";

  AMCL["Marcia Chase"] = "瑪西亞·切斯 <宗師級釣魚訓練師和供應商>";
  AMCL["Marcia Chase &"] = "";

  AMCL["Glorious Goods"] = "輝煌商品";
  AMCL["Jack Findle"] = "『赤紅』傑克·芬朵 <貿易供應商>";
  AMCL["Susana Averoy"] = "蘇珊娜·艾維羅 <雜貨商>";

  AMCL["Langrom's Leather & Links"] = "朗格姆的皮甲與鍊甲";
  AMCL["Bragund Brightlink"] = "布拉岡·光鏈 <鎖甲商>";
  AMCL["Valerie Langrom"] = "維勒莉·威樂曼 <皮甲商>";

  AMCL["The Militant Mystic"] = "軍事狂秘術店";
  AMCL["Abra Cadabra"] = "阿布拉·卡達布拉 <魔杖>";
  AMCL["Shen Kang Cheng"] = "沈剛誠 <法杖>";

  --Yell
  AMCL["The Violet Hold"] = "紫羅蘭堡";

  AMCL["Archmage Timear"] = "大法師泰彌亞";
  AMCL["Archmage Lan'dalock"] = "大法師朗達拉克";
  AMCL["Torgo the Younger"] = "小托苟";
  AMCL["The Violet Hold Instance"] = "紫羅蘭堡副本";

  --Blue
  AMCL["The Silver Enclave a"] = "白銀領區（聯盟）";

  AMCL["A Hero's Welcome"] = "英雄光臨";
  AMCL["Isirami Fairwind"] = "伊斯拉米·順風 <旅館老闆>";
  AMCL["Stefen Cotter"] = "史戴芬·寇特 <酒保>";
  AMCL["Katherine Lee"] = "凱薩琳·李 <宗師級烹飪訓練師>";
  AMCL["Derek Odds"] = "德瑞克·奧茨 <烹飪供應商>";
  AMCL["Inzi Charmlight"] = "英姬·魅光 <酒吧女服務員>";
  AMCL["Marcella Bloom"] = "馬塞拉·布魯姆 <酒吧女服務員>";
  AMCL["Caliel Brightwillow"] = "卡利爾·明柳 <旅館老闆助理>";

  AMCL["The Beer Garden"] = "啤酒廣場";
  AMCL["Laire Brewgold"] = "萊爾·釀金 <啤酒辣妹>";
  AMCL["Coira Longrifle"] = "寇伊拉·長槍 <啤酒辣妹>";

  AMCL["The Silver Enclave"] = "白銀領區";

  AMCL["Arcanist Braedin"] = "秘法師布瑞丁 <冬握湖軍需官>";
  AMCL["Portal to Battlefields"] = "戰場傳送門";

  AMCL["Upstair"] = "階梯";
  AMCL["Arcanist Ivrenne"] = "秘法師伊芙瑞琳 <英雄紋章軍需官>";
  AMCL["Arcanist Ivrenne &"] = "";
  AMCL["Arcanist Adurin"] = "秘法師阿度靈 <勇氣紋章軍需官>";
  AMCL["Arcanist Firael"] = "秘法師菲瑞爾 <征服紋章軍需官>";
  AMCL["Arcanist Firael &"] = "";

  --Gren
  AMCL["The Violet Citadel"] = "紫羅蘭城塞";

  AMCL["Rhonin"] = "羅甯 <祈倫托領袖>";
  AMCL["Vereesa Windrunner"] = "凡蕾莎·風行者 <白銀誓盟遊俠將軍>";
  AMCL["Vereesa Windrunner &"] = "";

  AMCL["Archmage Alvareaux"] = "大法師艾瓦勒斯 <祈倫托軍需官>";

  AMCL["Zidormi"] = "茲多米 <時光守望者>";
  AMCL["Portal Cavern Time"] = "時光之穴傳送門";

  AMCL["Portal Purple Parlor"] = "紫羅蘭頂閣傳送門";

  AMCL["The Purple Parlor"] = "紫羅蘭頂閣";
  AMCL["Archmage John Nicholas"] = "大法師約翰·尼可拉斯 <懲罰者>";
  AMCL["Alfred Copperworth"] = "艾佛列特·銅價 <男管家>";

  --Grey
  AMCL["The Magus Commerce"] = "魔導師貿易區";

  AMCL["Simply Enchanting"] = "	完全附魔商店";
  AMCL["Enchanter Nalthanis"] = "附魔師奈爾桑尼斯 <宗師級附魔訓練師>";
  AMCL["Enchanter Nalthanis &"] = "";
  AMCL["Ildine Sorrowspear"] = "伊爾汀·悲矛 <附魔供應商>";
  AMCL["Vanessa Sellers"] = "凡妮莎·塞勒斯 <裂片貿易商>";

  AMCL["First to Your Aid"] = "急救你優先";
  AMCL["Olisarra the Kind"] = "仁慈的歐莉珊拉 <宗師級急救訓練師>";
  AMCL["Angelique Butler"] = "安潔利奎·巴特勒 <急救供應商>";

  AMCL["Talismanic Textiles"] = "咒符織品店";
  AMCL["Charles Worth"] =  "查理斯·沃斯 <宗師級裁縫訓練師>";
  AMCL["Dominique Stefano"] = "多明尼克·史特凡諾 <裁縫供應商>";
  AMCL["Ainderu Summerleaf"] = "安戴魯·夏葉 <月布裁縫專家>";
  AMCL["Ainderu Summerleaf &"] = "";
  AMCL["Lalla Brightweave"] = "拉菈·亮織 <魔焰裁縫專家>";
  AMCL["Linna Bruder"] = "莉娜·布魯德 <影紋裁縫專家>";

  AMCL["Legendary Leathers"] = "傳奇皮革";
  AMCL["Braeg Stoutbeard"] = "布瑞格·厚鬚 <毛和皮貿易者>";
  AMCL["Diane Cannings"] = "黛安·坎寧斯 <宗師級製皮訓練師>";
  AMCL["Diane Cannings &"] = "";
  AMCL["Derik Marks"] = "戴里克·馬克思 <宗師級剝皮訓練師>";
  AMCL["Ranid Glowergold"] = "拉尼德·怒金 <製皮和剝皮供應商>";
  AMCL["Ranid Glowergold &"] = "";
  AMCL["Manfred Staller"] = "邁弗瑞德·斯托勒 <元素製皮訓練師>";
  AMCL["Manfred Staller &"] = "";
  AMCL["Andellion"] = "安戴里昂 <龍鱗製皮訓練師>";
  AMCL["Namha Moonwater"] = "納姆哈·月水 <部族製皮訓練師>";
  AMCL["Namha Moonwater &"] = "";

  AMCL["Like Clockwork"] = "精準如錶發條舖";
  AMCL["Justin Oshenko"] = "賈斯汀·歐先可 <宗師級工程學訓練師>";
  AMCL["Justin Oshenko &"] = "";
  AMCL["Bryan Landers"] = "布萊恩·蘭德森 <工程學供應商>";
  AMCL["Didi the Wrench"] = "『板手』狄迪 <哥布林工程學訓練師>";
  AMCL["Findle Whistlesteam"] = "芬朵·嘯汽 <地精工程學訓練師>";

  AMCL["All That Glitters Prospecting Co"] = "亮晶晶探勘公司";
  AMCL["Jedidiah Handers"] = "捷帝迪亞·漢德斯 <宗師級採礦訓練師>";
  AMCL["Dorian Fines"] = "多里安·范恩斯 <採礦供應商>";

  AMCL["The Forge of Fate"] = "命運熔爐";

  AMCL["Tanks For Everything"] = "萬物皆可坦";
  AMCL["Alard Schmied"] = "艾拉得·席彌德 <宗師級鍛造訓練師>";
  AMCL["Alard Schmied &"] = "";
  AMCL["Palja Amboss"] = "沛爾嘉·安伯斯 <鍛造供應商>";
  AMCL["Imindril Spearsong"] = "伊敏萃兒·矛歌 <武器鍛造訓練師>";
  AMCL["Orland Schaeffer"] = "奧蘭德·席佛 <護甲鍛造訓練師>";
  AMCL["Dubin Clay"] = "杜賓·克雷 <鎧甲商>";
  AMCL["Griselda Hunderland"] = "格力謝爾達·杭得廉 <鎧甲商>";
  AMCL["Anthony Durain"] = "安東尼·都睿 <盾牌商>";

  AMCL["Dorothy Egan"] = "桃樂西·伊根 <宗師級草藥學訓練師>";
  AMCL["Edward Egan"] = "愛德華·伊根 <草藥學供應商>";

  AMCL["The Scribes Sacellum"] = "雕銘師禮拜堂";
  AMCL["Professor Pallin"] = "帕林教授 <宗師級銘文學訓練師>";
  AMCL["Professor Pallin &"] = "";
  AMCL["Larana Drome"] = "拉蕾娜·德羅姆 <銘文學供應商>";
  AMCL["Jessica Sellers"] = "潔西卡·塞勒斯 <墨水商人>";
  AMCL["Theresa Wolf"] = "瑟利莎·沃夫 <博學大師>";

  --_Red
  AMCL["Sunreaver's Sanctuary"] = "奪日者聖堂（部落）";

  AMCL["Horde Warbringer"] = "部落戰爭使者";
  AMCL["High Arcanist Savor"] = "高階秘法師塞佛";

  AMCL["Magister Surdiel"] = "博學者瑟迪爾 <冬握湖軍需官>";
  AMCL["Eye of the Storm Portal"] = "暴風之眼傳送門";
  AMCL["Arathi Basin Portal"] = "阿拉希盆地傳送門";

  AMCL["Strand of the Ancients Portal"] = "遠祖灘頭傳送門";
  AMCL["Alterac Valley Portal"] = "奧特蘭克山谷傳送門";
  AMCL["Warsong Gulch Portal"] = "戰歌峽谷傳送門";

  AMCL["Magister Sarien"] = "博學者薩瑞安 <征服紋章軍需官>";
  AMCL["Magister Sarien &"] = "";
  AMCL["Magister Brasael"] = "博學者巴塞爾 <勇氣紋章軍需官>";
  AMCL["Magistrix Lambriesse"] = "博學者蘭布莉斯 <英雄紋章軍需官>";
  AMCL["Magistrix Lambriesse &"] = "";

  AMCL["The Filthy Animal"] = "下流畜生酒店";
  AMCL["Uda the Beast"] = "『野獸』烏達 <旅館老闆>";
  AMCL["Kyunghee"] = "凱攸熙 <投擲飛斧>";
  AMCL["Mato"] = "瑪托 <食物和飲料>";
  AMCL["Hamaka"] = "哈瑪卡 <酒保>";
  AMCL["Umbiwa"] = "昂比瓦 <酒吧女服務員>";
  AMCL["Mimbihi"] = "敏比西 <酒吧女服務員>";
  AMCL["Awilo Lon'gomba"] = "阿維羅·隆貢巴 <宗師級烹飪訓練師>";
  AMCL["Awilo Lon'gomba &"] = "";
  AMCL["Misensi"] = "米森希 <烹飪供應商>";
  AMCL["Abohba"] = "艾波芭 <旅館老闆助理>";


  --NPC Dalaran Sewers
  --White
  AMCL["D Sew"] = "達拉然下水道";

  AMCL["Entrance"] = "下水道入口";

  AMCL["The Black Market"] = "黑市";
  AMCL["Hexil Garrot"] = "海希爾·加洛特 <商用工具>";
  AMCL["Pazik The Pick"] = "『鎖撬』帕茲克·撬鎖 <鎖匠>";
  AMCL["Scout Nisstina"] = "斥候妮絲蒂娜 <三指強盜>";
  AMCL["Alchemist Cinesra"] = "鍊金師席尼斯拉 <毒藥商>";
  AMCL["Darahir"] = "達拉喜爾 <施法材料和魔法物品>";

  AMCL["Circle of Wills"] = "意志之環";
  AMCL["Blazik Fireclaw"] = "布雷齊克·火爪 <飲水商>";
  AMCL["Nargle Lashcord"] = "納高·鞭索 <老練競技場商人>";
  AMCL["Xazi Smolderpipe"] = "札奇·燻管 <競技場商人>";
  AMCL["Zom Bocom"] = "扎姆·巴康 <見習競技場商人>";
  AMCL["Shifty Vickers"] = "詭詐的維克斯";

  AMCL["Baroness Llana"] = "『女爵』拉娜- 競技場編制者";
  AMCL["Schembari Shearbolt"] = "『塞爾大叔』史金巴利·斷栓 <競技場戰場軍官>";
  AMCL["Schembari Shearbolt &"] = "";

  AMCL["Rickard Rustbolt"] = "『技巧』理查·鏽栓 <競技場戰場軍官>";

  AMCL["Sarah Brady"] = "薩拉·布萊迪 <酒商>";
  AMCL["Minzi Minx"] = "『輕佻』敏姬 <競技場戰場軍官>";

  AMCL["Nixi Fireclaw"] = "尼基·火爪 <飲水商>";

  AMCL["Kanika Goldwell"] = "卡尼塔·金井 <競技場編制者>";
  AMCL["Ramik Slamwrench"] = "拉米克·猛擰 <競技場戰場軍官>";

  AMCL["Danik Blackshaft"] = "精悍的達尼克·黑柄 <競技場戰場軍官>";

  AMCL["Cantrips & Crows"] = "咒語與烏鴉";
  AMCL["Ajay Green"] = "雅杰·格林 <旅館老闆>";
  AMCL["Narisa Redgold"] = "娜莉莎·紅金 <酒吧女服務員>";

  AMCL["Binzik Goldbook"] = "賓奇克·金卷 <銀行職員>";

  AMCL["Angelo Pescatore"] = "安傑羅·佩斯卡多 <釣魚供應商>";

  AMCL["Rin Duoctane"] = "倫·杜克坦";

  AMCL["Sewer Pipe"] = "下水道出口管道（需要飛行坐騎進出）";
  AMCL["Add On"] = "";

  AMCL["Washed-up Mage"] = "疲倦的法師";


  --NPC Darnassus  達納蘇斯
  --White  
  AMCL["Warrior's Terrace"] = "戰士區";
   
  AMCL["Mydrannul"] = "邁德蘭努爾 <雜貨商>";
  AMCL["Shylenai"] = "夏琳奈爾 <貓頭鷹訓練師>";
  AMCL["Fyrenna"] = "菲琳娜 <食物和飲料商人>";
  AMCL["Ancient of War"] = "戰爭古樹";
   
  AMCL["Sildanair"] = "希達奈爾 <戰士訓練師>";
  AMCL["Thyn'tel"] = "塞恩提爾·刃紋";
   
  AMCL["Elanaria"] = "艾蘭娜瑞";
  AMCL["Arias'ta"] = "阿雷亞斯塔·刃歌 <戰士訓練師>";
  AMCL["Darnath"] = "達納斯·刃歌 <戰士訓練師>";
  AMCL["Brogun"] = "布洛岡·石盾 <奧特蘭克山谷戰場軍官>";
  AMCL["Enlae"] = "尹壘 <暴風之眼戰場軍官>";
  AMCL["Aethalas"] = "艾薩拉斯·克羅維爾 <戰歌峽谷戰場軍官>";
  AMCL["Fima"] = "五指費瑪 <競技場戰場軍官>";
  AMCL["Keras"] = "克拉斯·狼心 <阿拉希盆地戰場軍官>";
  AMCL["Nivara"] = "尼瓦拉·刃舞 <遠祖灘頭戰場軍官>";
  AMCL["Nivara &"] = "";
 
  AMCL["Ariyell"] = "阿瑞耶爾·天影 <武器商>";
  AMCL["Mathiel"] = "瑪希爾";
  AMCL["Cylania"] = "塞蘭妮亞 <夜精靈護甲商>";
  AMCL["Ilyenia"] = "伊琳尼雅·月火 <武器大師>";
  
  --Purp
  AMCL["Tradesmen's Terrace"] = "貿易區";
   
  AMCL["General Goods & Bags"] = "雜貨與背包";
  AMCL["Ellandrieth"] = "艾蘭蒂斯 <雜貨商>";
  AMCL["Yldan"] = "伊爾丹 <背包商人>";
   
  AMCL["Weapons"] = "武器";
  AMCL["Glorandiir"] = "格羅拉迪爾 <斧商>";
  AMCL["Merelyssa"] = "米利希亞 <劍刃武器商>";
  AMCL["Mythidan"] = "邁希迪安 <錘和法杖商人>";
  AMCL["Kieran"] = "基爾蘭 <武器商>";
   
  AMCL["Fletcher & Thrown Weapons"] = "弓箭與投擲武器";
  AMCL["Landria"] = "蘭德瑞亞 <弓箭商人>";
  AMCL["Turian"] = "圖里安 <投擲武器商人>";
   
  AMCL["CAHW"] = "布甲與雙手武器";
  AMCL["Vinasia"] = "溫娜希雅 <布甲商>";
  AMCL["Ealyshia D"] = "伊林希亞·露珠 <雙手武器商人>";
  AMCL["Ealyshia D &"] = "";
 
  AMCL["Leather Armor"] = "皮甲";
  AMCL["Cyridan"] = "塞瑞丹 <皮甲商>";
   
  AMCL["Mail Armor & Shields"] = "鎖甲與盾牌";
  AMCL["Melea"] = "梅爾利恩 <鎖甲商>";
  AMCL["Caynrus"] = "坎因魯斯 <盾牌商>";
   
  AMCL["Jareth"] = "加雷斯·深林";
   
  AMCL["Treshala"] = "塔莎拉·靜水";
   
  AMCL["Sentinel's Bunkhouse"] = "哨兵營地";
   
  AMCL["Staff & Robe"] = "法杖與長袍";
  AMCL["Andrus"] = "安德魯斯 <法杖商>";
  AMCL["Anadyia"] = "安達迪雅 <長袍商>";

  AMCL["Jaeana"] = "加伊娜 <肉商>（在武器與弓箭區域徘徊）";
  AMCL["Jaeana&"] = "";

  --Yell
  AMCL["Craftsmen's Terrace"] = "工匠區";

  AMCL["Guild"] = "公會";
  AMCL["Lysheana"] = "琳沙娜 <公會註冊員>";
  AMCL["Shalumon"] = "沙魯蒙 <外袍商人>";
  AMCL["Ellaercia"] = "艾拉希亞 <公會外袍設計師>";

  AMCL["Saelienne"] = "旅店老闆塞琳尼";

  AMCL["Tailoring &"] = "裁縫與製皮";
  AMCL["Me'lynn"] = "邁里恩 <裁縫訓練師>";
  AMCL["Elynna"] = "愛琳娜 <裁縫供應商>";
  AMCL["Raedon D"] = "萊頓·暗影  <聯盟布匹軍需官>";
  AMCL["Raedon D &"] = "";
  AMCL["Telonis"] = "泰龍尼斯 <製皮訓練師>";
  AMCL["Saenorion"] = "塞諾里奧 <製皮供應商>";
  AMCL["Eladriel"] = "艾拉迪爾 <剝皮訓練師>";
  AMCL["Lotherias"] = "洛瑟里亞斯";

  AMCL["General"] = "雜貨店";
  AMCL["Mythrin'dir"] = "邁斯林迪爾 <貿易供應商>";

  AMCL["Enchanting"] = "附魔與銘文";
  AMCL["Taladan"] = "塔蘭丹 <附魔訓練師>";
  AMCL["Vaean"] = "維安 <附魔供應商>";
  AMCL["Feyden D"] = "菲丹·達金 <銘文學訓練師>";
  AMCL["Illianna M"] = "伊利安娜·月繕 <銘文學供應商>";

  AMCL["Alchemy"] = "煉金與銀色黎明";
  AMCL["Ainethil"] = "安尼希爾 <鍊金術訓練師>";
  AMCL["Ulthir"] = "尤希爾 <鍊金術供應商>";
  AMCL["Argent Guard Manados"] = "銀色黎明守衛瑪納杜斯 <銀色黎明>";
  AMCL["D Selgorm"] = "哨兵塞爾高姆 <銀色黎明>";
  AMCL["D Shaedlass"] = "哨兵山德拉斯 <銀色黎明>";

  AMCL["Cooking"] = "烹飪";
  AMCL["Alegorn"] = "阿雷貢 <烹飪訓練師>";
  AMCL["Fyldan"] = "菲爾丹 <烹飪供應商>";

  AMCL["First Aid"] = "急救";
  AMCL["Dannelor"] = "丹納羅爾 <急救訓練師>";

  --Blue
  AMCL["Cenarion Enclave"] = "塞納里奧區";

  AMCL["Tunnel R Trainer"] = "往盜賊訓練師通道";

  AMCL["Food & Drink"] = "食物和飲料";
  AMCL["Dendrythis"] = "德蒂希斯 <食物和飲料商人>";

  AMCL["Rellian G"] = "雷利亞·綠樹";

  AMCL["Mounts"] = "坐騎";
  AMCL["Jartsam"] = "賈薩姆 <騎術訓練師>";
  AMCL["Lelanai"] = "萊蘭奈 <馴豹人>";

  AMCL["Hunter"] = "獵人訓練師";
  AMCL["Alassin"] = "阿拉辛 <獸欄管理員>";
  AMCL["Jocaste"] = "祖卡斯特 <獵人訓練師>";
  AMCL["Corand"] = "科蘭德";
  AMCL["Jeen'ra N"] = "吉恩拉 <獵人訓練師>";
  AMCL["Dorion"] = "多利安 <獵人訓練師>";
  AMCL["Silvaria"] = "西爾瓦莉雅 <寵物訓練師>";

  AMCL["Druid"] = "德魯伊訓練師";
  AMCL["Denatharion"] = "德納薩里安 <德魯伊訓練師>";
  AMCL["Fylerian N"] = "菲勒里亞·夜翼 <德魯伊訓練師>";
  AMCL["Cyroen"] = "塞羅恩 <施法材料>";
  AMCL["Mathrengyl B"] = "瑪斯雷·馭熊者 <德魯伊訓練師>";
  AMCL["Fandral S"] = "大德魯伊范達爾·鹿盔";

  AMCL["Poisons"] = "毒藥商";
  AMCL["Kyrai"] = "凱爾萊 <毒藥供應商>";
  AMCL["Faelyssa"] = "菲琳薩";

  AMCL["Rogue"] = "盜賊訓練師";
  AMCL["Syurna"] = "塞尤娜 <盜賊訓練師>";
  AMCL["Anishar"] = "安妮莎爾 <盜賊訓練師>";
  AMCL["Erion S"] = "艾里安·影語 <盜賊訓練師>";

  --Gren
  AMCL["The Temple Gardens"] = "神殿花園";

  AMCL["Portal to Rut'theran"] = "魯瑟蘭村傳送門";

  AMCL["O Lunalight"] = "軍官魯娜萊 <達納蘇斯表揚處>";

  AMCL["Sister Aquinne"] = "艾奎恩妮修女 <低階女祭司>";

  AMCL["Fishing"] = "釣魚";
  AMCL["Astaia"] = "阿斯坦婭 <釣魚訓練師>";
  AMCL["Voloren"] = "沃洛倫 <釣魚供應商>";
  AMCL["Talaelar"] = "塔萊拉爾 <魚商>";

  AMCL["Herbalism"] = "草藥學訓練師";
  AMCL["Firodren M"] = "菲羅迪恩·喚月 <草藥學訓練師>";
  AMCL["Chardryn"] = "查德瑞恩 <草藥學供應商>";

  AMCL["Greywhisker"] = "首席考古學家杜瑟·灰鬚 <探險者協會>";
  AMCL["Greywhisker &"] = "";

  AMCL["Alaindia"] = "奧蘭蒂亞 <施法材料>";
  AMCL["Alaindia&"] = "         （在四個固定點間輪流停留）";
  AMCL["Alaindia&1"] = "";

  --Cyan
  AMCL["Temple Moon"] = "月神殿";

  AMCL["Main Floor"] = "一樓";
  AMCL["Jandria"] = "賈德莉亞 <牧師訓練師>";
  AMCL["Lariia"] = "拉瑞亞 <牧師訓練師>";
  AMCL["Elissa D"] = "埃麗莎·仲馬 <傳送門訓練師>";
  AMCL["Dalia S"] = "哨兵達莉亞·日刃";

  AMCL["Balconey"] = "露台（二樓）";
  AMCL["P A'moora"] = "女祭司艾茉拉";

  AMCL["Gracina S"] = "格拉希娜·靈風";

  AMCL["AstariiS"] = "阿斯塔利·逐星 <牧師訓練師>";
  AMCL["PAlathea"] = "女祭司阿蘭希雅 <牧師訓練師>";
  AMCL["TyrandeW"] = "泰蘭妲·語風 <伊露恩的高階女祭司>";
  AMCL["Valustraa"] = "大使·瓦魯斯卓";


  --NPC Exodar  艾克索達
  --White
  AMCL["Outside"] = "前門入口外";
  AMCL["Entrance Ex"] = "出入口";

  AMCL["Stephanos"] = "史丹樊那斯 <角鷹獸管理員>";

  AMCL["Torallius"] = "『獸群管理者』托拉利斯 <伊萊克飼者>";
  AMCL["Aalun"] = "阿露恩 <騎術訓練師>";

  --Gren
  AMCL["Seat of the Naaru"] = "那魯之座";

  AMCL["Caregiver B"] = "照顧者布利尤 <旅館老闆>";
  AMCL["Arthaid"] = "阿斯艾德 <獸欄管理員>";
  AMCL["Miglik B"] = "米格萊克·布拉特斯托姆 <競技場戰場軍官>";

  AMCL["O Khaluun"] = "軍官卡盧恩 <艾克索達表揚處>";

  AMCL["Mumman"] = "慕曼 <廚師>";
  AMCL["Phea"] = "菲亞 <烹飪供應商>";
  AMCL["CookP"] = "燉肉煮鍋";

  AMCL["Onnis"] = "歐尼斯 <雜貨商>";
  AMCL["Cuzi"] = "庫奇 <背包商人>";

  AMCL["Bran'daan"] = "信使布拉登";

  AMCL["Nurguni"] = "魯古尼 <商人>";

  AMCL["O'ros"] = "歐蘿絲（斜坡下）";

  --Red
  AMCL["Traders Tier"] = "貿易區";

  AMCL["Tailoring"] = "裁縫";
  AMCL["Refik"] = "瑞費克 <裁縫訓練師>";
  AMCL["Neii"] = "奈伊 <裁縫供應商>";
  AMCL["Dugiru"] = "達葛魯 <聯盟布匹軍需官>";

  AMCL["Leatherworking and Skinning"] = "製皮與剝皮";
  AMCL["Remere"] = "瑞米爾 <剝皮訓練師>";
  AMCL["Akham"] = "艾克漢 <製皮訓練師>";
  AMCL["Haferet"] = "哈弗瑞 <製皮供應商>";

  AMCL["Plate Armor & Shields"] = "鎧甲和盾牌";
  AMCL["Gotaan"] = "葛坦恩 <鎧甲商>";
  AMCL["Treall"] = "崔歐 <盾牌商>";

  AMCL["Bladed Weapons"] = "劍刃武器";
  AMCL["Ven"] = "范恩 <劍刃武器商>";

  AMCL["Blunt Weapons"] = "鈍器";
  AMCL["Ellomin"] = "艾露曼 <錘類武器商>";

  AMCL["Leather & Cloth Armor"] = "皮甲和布甲 （樓上）";
  AMCL["Mahri"] = "馬利 <皮甲商>";
  AMCL["Gornii"] = "柯恩尼 <布甲商>";

  AMCL["Mail Armor"] = "鎖甲 （樓上）";
  AMCL["Yil"] = "易尤 <鎖甲商>";

  AMCL["Mining and Smithing"] = "採礦與鍛造";
  AMCL["Muaat"] = "莫也特 <採礦訓練師>";
  AMCL["Merran"] = "米瑞 <採礦供應商>";
  AMCL["Miall"] = "米歐 <鍛造訓練師>";
  AMCL["Arras"] = "阿拉斯 <鍛造供應商>";

  AMCL["Engineering"] = "工程學";
  AMCL["Ockil"] = "奧克伊歐 <工程學訓練師>";
  AMCL["Feera"] = "菲拉 <工程學供應商>";

  AMCL["Hunters' Sanctum"] = "獵人聖所";
  AMCL["Deremiis"] = "戴爾米斯 <獵人訓練師>";
  AMCL["Vord"] = "奧德 <獵人訓練師>";
  AMCL["Killac"] = "克優萊斯 <獵人訓練師>";
  AMCL["Ganaar"] = "加納 <寵物訓練師>";
  AMCL["Avelii"] = "艾芙琳 <弓箭商>";
  AMCL["Muhaa"] = "姆哈 <槍械商>";

  AMCL["Ring of Arms"] = "武器環";
  AMCL["Fingin"] = "費金 <毒藥供應商>";
  AMCL["Ahonan"] = "阿和南 <戰士訓練師>";
  AMCL["Kazi"] = "卡希 <戰士訓練師>";
  AMCL["Behomat"] = "畢和瑪特 <戰士訓練師>";
  AMCL["Handiir"] = "哈戴爾 <武器大師>";

  AMCL["Guild Master and Tabards"] = "公會註冊員和外袍";
  AMCL["Funaam"] = "范安姆 <公會註冊員>";
  AMCL["Issca"] = "伊斯卡 <外袍商人 >";

  --Purp
  AMCL["The Vault of Lights"] = "聖光地窖";

  AMCL["Hall of the Mystics"] = "神秘大廳";
  AMCL["Bati"] = "巴提 <法師訓練師>";
  AMCL["Harnan"] = "海爾那 <法師訓練師>";
  AMCL["Edirah"] = "艾迪洛 <法師訓練師>";
  AMCL["Lunaraa"] = "路娜瑞 <傳送門訓練師>";
  AMCL["Oss"] = "歐斯 <魔杖商人>";
  AMCL["Musal"] = "慕薩歐 <施法材料和鍊金術供應商>";

  AMCL["Vindicators' Sanctum"] = "復仇者聖所";
  AMCL["Kavaan"] = "卡范恩 <聖騎士訓練師>";
  AMCL["Jol"] = "喬歐 <聖騎士訓練師>";
  AMCL["Baatun"] = "巴特恩 <聖騎士訓練師>";

  AMCL["Alchemy and Herbalism"] = "鍊金和採草";
  AMCL["Lucc"] = "路克 <鍊金術訓練師>";
  AMCL["Altaa"] = "艾歐塔 <鍊金術供應商>";
  AMCL["Cemmorhan"] = "希莫爾汗 <草藥學訓練師>";

  AMCL["Tolo"] = "托洛 <阿拉希盆地戰場軍官>";

  AMCL["Mahul"] = "瑪胡歐 <奧特蘭克山谷戰場軍官>";
  AMCL["Mitia"] = "米綈雅 <暴風之眼戰場軍官>";

  AMCL["Jihi"] = "吉亥 <戰歌峽谷戰場軍官>";
  AMCL["Buhurda"] = "布赫達 <遠祖灘頭戰場軍官>";

  AMCL["Prophet Velen"] = "預言者費倫";

  AMCL["Anchorites' Sanctum"] = "隱士聖所";
  AMCL["Izmir"] = "伊斯米爾 <牧師訓練師>";
  AMCL["Fallat"] = "法拉特 <牧師訓練師>";
  AMCL["Caedmos"] = "希德摩斯 <牧師訓練師>";

  --White
  AMCL["The Crystal Hall"] = "水晶大廳";

  --AMCL["Enchanting"] = "附魔"; -- Duplicated
  AMCL["Nahogg"] = "奈歐格 <附魔訓練師>";
  AMCL["Egomis"] = "伊歐糜斯 <附魔供應商>";
  AMCL["Thoth"] = "索司 <銘文學訓練師>";
  AMCL["Sessoh"] = "塞松 <銘文學供應商>";

  AMCL["Sixx"] = "希克斯 <賣蛾商人> （一樓）";

  AMCL["Gurrag"] = "葛爾拉克 <薩滿訓練師>";

  AMCL["F Nobundo"] = "先知諾柏多 <薩滿訓練師> （斜坡上面）";
  AMCL["F Dunaer"] = "工頭丹那爾";
  AMCL["Valon"] = "瓦倫";

  AMCL["Sulaa"] = "蘇拉 <薩滿訓練師>";

  --AMCL["Fishing"] = "釣魚";
  AMCL["Erett"] = "伊瑞德 <釣魚訓練師>";
  AMCL["Dekin"] = "迪金 <釣魚供應商>";

  AMCL["Hobahken"] = "赫巴肯 <薩滿訓練師>";

  AMCL["Reagents"] = "施法材料";
  AMCL["Bildine"] = "比爾德恩 <施法材料商>";

  --AMCL["First Aid"] = "急救";
  AMCL["Nus"] = "衲斯 <急救訓練師>";

  AMCL["Jewelcrafting"] = "珠寶設計";
  AMCL["Farii"] = "法芮 <珠寶設計訓練師>";
  AMCL["Arred"] = "阿瑞德 <珠寶設計供應商>";
  AMCL["Padaar"] = "帕達爾 <見習珠寶設計師>";

  AMCL["Seer Skaltesh"] = "先知史卡帝斯";

  --NPC Ironforge 鐵爐堡
  --White
  AMCL["The Common"] = "大廳";

  AMCL["Barim"] = "巴瑞姆材料店";
  AMCL["Barim J"] = "巴瑞姆·賈根斯塔德 <施法材料商>";

  AMCL["Stonefire Tavern"] = "石火旅店";
  AMCL["Innkeeper Firebrew"] = "旅店老闆洛雷·火酒";
  AMCL["Gwenna F"] = "吉溫娜·火酒 <酒吧女服務員>";
  AMCL["Larkin T"] = "拉金·雷酒 <每月啤酒俱樂部>";
  AMCL["Brew Vendor"] = "酒商 <每月啤酒俱樂部>";
  AMCL["Sheldonore"] = "砲兵舍爾杜";

  AMCL["Pella B"] = "佩拉·銅刷 <美容師>";

  AMCL["Ironforge Armory"] = "鐵爐堡軍械庫";
  AMCL["Mangorn F"] = "曼高恩·火錘 <重型護甲商人>";
  AMCL["Raena F"] = "萊納·火錘 <輕型護甲商人>";
  AMCL["Bromiir O"] = "波洛米爾·歐姆森 <重型護甲商人>";

  AMCL["Dinita S"] = "丁尼塔·石衣 <金庫管理員>";
  AMCL["Lieutenant Rot"] = "洛泰姆中尉 <雷矛衛兵招募處>";
  AMCL["Lieutenant Rot &"] = "（銀行前面）";

  AMCL["Steelfury's Weapon Emporium"] = "鋼怒武器店";
  AMCL["Dolman S"] = "杜爾曼·鋼怒 <武器商>";
  AMCL["Grenil S"] = "格雷尼爾·鋼怒 <武器商>";

  AMCL["Fizzlespinner"] = "菲留斯雜貨店";
  AMCL["Fillius F"] = "菲留斯·旋翼 <貿易供應商>";
  AMCL["Bryllia I"] = "布萊利亞·鐵印 <雜貨商>";

  AMCL["Marblesten"] = "大石匠瑪布勒斯坦<皇家石匠協會>";
  AMCL["Marblesten&"] = "";

  AMCL["Ironforge V C"] = "鐵爐堡旅客中心";
  AMCL["Jondor S"] = "喬多·鋼眉 <公會註冊員>";
  AMCL["Lyesa S"] = "利莎·鋼眉 <公會外袍商人>";

  AMCL["Myra T"] = "米拉·泰恩加德 <麵包商>";
  AMCL["Myra T &"] = "（在銀行和拍賣場前繞行叫賣）";

  --Gren
  AMCL["Mystic Ward"] = "秘法區";

  AMCL["Fighting Wizard"] = "作戰巫師";
  AMCL["Bingus"] = "賓古斯 <武器商>";
  AMCL["Harick B"] = "哈瑞克·石鼓 <魔杖商人>";

  AMCL["Hall of Mysteries"] = "秘法大廳";
  AMCL["Toldren D"] = "陶德雷·鐵礦 <牧師訓練師>";
  AMCL["Braenna F"] = "布萊納·火崖 <牧師訓練師>";
  AMCL["High Priest Rohan"] = "高階牧師洛漢 <牧師訓練師>";
  AMCL["Theodrus F"] = "塞歐杜斯·霜鬚 <牧師訓練師>";
  AMCL["Bink"] = "彬克 <法師訓練師>";
  AMCL["Dink"] = "丁克 <法師訓練師>";
  AMCL["Juli S"] = "朱莉·雷線 <法師訓練師>";
  AMCL["Milstaff S"] = "貝爾斯塔弗·風暴之眼 <傳送門訓練師>";
  AMCL["Brandur I"] = "布蘭度爾·鐵錘 <聖騎士訓練師>";
  AMCL["Beldruk D"] = "貝爾杜克·凝眉 <聖騎士訓練師>";
  AMCL["Muiredon B"] = "穆里頓·熱爐";
  AMCL["Valgar H"] = "瓦爾加·高爐 <聖騎士訓練師>";
  AMCL["Nittlebur S"] = "尼特布林·火花 <法師訓練師>";
  AMCL["Tiza B"] = "蒂薩·熱爐";

  AMCL["Mage Tymor"] = "法師泰摩爾";

  AMCL["Talvash Kissel"] = "塔瓦斯德·基瑟爾";

  AMCL["Maeva's"] = "麥瓦的魔法衣飾店";
  AMCL["Maeva"] = "麥瓦·雪衣 <長袍商>";
  AMCL["Ingrys S"] = "因格瑞斯·石眉 <布甲商>";

  AMCL["Longberry's"] = "比布林材料店";
  AMCL["Ginny L"] = "金妮·長莓 <施法材料商>";

  AMCL["Bimble L"] = "比布林 <水果商>";
  AMCL["Bimble L&"] = "（在祕法區前的廣場繞行叫賣）";

  --Blue
  AMCL["Forlorn Cavern"] = "荒棄的洞穴";

  AMCL["Stoneblades"] = "石刃小店";
  AMCL["Hjoldir S"] = "霍迪爾·石刃 <劍刃武器商>";
  AMCL["Binny"] = "賓尼·冰刃";
  AMCL["Prynne"] = "普萊恩";

  AMCL["Traveling Fisherman"] = "旅行漁具店";
  AMCL["Grimnur S"] = "格瑞諾爾·石印 <釣魚訓練師>";
  AMCL["Tansy P"] = "坦斯·泥泡 <釣魚供應商>";

  AMCL["Lago B"] = "拉戈·黑鉗";

  AMCL["Thistleheart"] = "瑟斯哈特 <術士訓練師>";
  AMCL["Briarthorn"] = "布瑞爾索恩 <術士訓練師>";
  AMCL["Alexander C"] = "亞歷山大·考德爾 <術士訓練師>";
  AMCL["Gerrig B"] = "葛利·硬骨";

  AMCL["Tynnus V"] = "泰努斯·毒芽 <毒藥商>";
  AMCL["Fenthwick"] = "芬斯維克 <盜賊訓練師>";
  AMCL["Ormyr F"] = "奧米爾·火眼 <盜賊訓練師>";
  AMCL["Hulfdan B"] = "霍夫丹·黑鬚 <盜賊訓練師>";
  AMCL["Durtham G"] = "杜爾薩姆·格雷頓";

  AMCL["Ransin D"] = "蘭森·東尼";
  AMCL["Murky"] = "莫奇";

  --Purp
  AMCL["Hall of Explorers"] = "探險者大廳";

  AMCL["Roetten S"] = "羅頓·石錘 <尋物公司>";
  AMCL["Magellas"] = "資深探險家麥格拉斯 <探險者協會>";

  AMCL["The Library"] = "圖書館";
  AMCL["Thorius"] = "索里奧斯館長";

  AMCL["Lyon M"] = "萊恩·山心";

  AMCL["Laris G"] = "拉里斯·空輪";

  AMCL["Krom S"] = "克羅姆·粗臂";
  AMCL["Prospector S"] = "勘察員雷矛";
  AMCL["Mae P"] = "圖書館員麥伊·蒼塵 <探險者協會>";
  AMCL["Advisor B"] = "顧問貝爾格拉姆";
  AMCL["Historian K"] = "史學家卡尼克";

  --Cyan
  AMCL["Tinker Town"] = "地精區";

  AMCL["Bubulo"] = "巴巴羅·阿克巴斯 <聯盟布匹軍需官> （地精陣營）";

  AMCL["Boom!"] = "易爆品！";
  AMCL["Lomac"] = "洛瑪克·鏈帶";
  AMCL["Fizzlebang"] = "菲斯巴恩 <煙火商人>";

  AMCL["Berryfizz's"] = "漿泡的藥水飲料店";
  AMCL["Tally B"] = "塔利·漿泡 <鍊金術訓練師>";
  AMCL["Soolie B"] = "蘇雷·漿泡 <鍊金術供應商>";

  AMCL["Overspark"] = "技工大師歐沃斯巴克 <地精工程學訓練師>";
  AMCL["Overspark&"] = "";
  AMCL["Gnoarn"] = "諾恩";

  AMCL["Mekkatorque"] = "大工匠梅卡托克 <地精之王>";

  AMCL["Castpipe"] = "大技師卡斯派普";
  AMCL["Klockmort"] = "科羅莫特·鋼尺";
  AMCL["Porterhouse"] = "軍官波特霍斯 <諾姆瑞根表揚處>";
  AMCL["Porterhouse&"] = "";

  AMCL["Springspindle's"] = "賓斯匹德器具店";
  AMCL["Fizzlegear"] = "賓斯匹德 <工程學訓練師>";
  AMCL["Cogspinner"] = "考格斯賓 <工程學供應商>";

  AMCL["Deeprun Tram"] = "礦道地鐵";
  AMCL["Monty"] = "蒙提 <滅鼠特派員>";
  AMCL["Haggle"] = "哈格爾";

  --Orng
  AMCL["The Military Ward"] = "軍事區";

  AMCL["Goldfury's"] = "金怒狩獵用品店";
  AMCL["BrettaG"] = "布雷塔·金怒 <槍械商人>";
  AMCL["SkolminG"] = "斯克米·金怒 <弓箭商人>";

  AMCL["Bruuk's Corner"] = "布魯克小店";
  AMCL["BruukB"] = "布魯克·麥鬚 <酒保>";
  AMCL["TisaM"] = "蒂薩·馬丁";
  AMCL["EdrisB"] = "埃德瑞斯·麥鬚 <酒吧女服務員>";

  AMCL["SognarC"] = "索戈納爾·硬鬚 <肉商> ";
  AMCL["SognarC&"] = "（在軍事區前的廣場繞行叫賣）";

  AMCL["Hall of Arms"] = "武器大廳";
  AMCL["RegnusT"] = "雷格努斯·雷岩 <獵人訓練師>";
  AMCL["OlminB"] = "奧爾明·燃鬚 <獵人訓練師>";
  AMCL["UlbrekF"] = "烏布雷克·火拳 <獸欄管理員>";
  AMCL["BeliaT"] = "貝莉亞·雷岩 <寵物訓練師>";
  AMCL["DemnulF"] = "德姆恩·遠山";
  AMCL["DaeraB"] = "戴拉·銳矛 <獵人訓練師>";
  AMCL["KelvS"] = "凱夫·重錘 <戰士訓練師>";
  AMCL["MaxX"] = "麥克斯·辛恩 <競技場戰場軍官>";
  AMCL["DonalO"] = "杜納爾·奧斯古 <阿拉希盆地戰場軍官>";
  AMCL["Lylandris"] = "萊蘭迪斯 <戰歌峽谷戰場軍官>";
  AMCL["MargaB"] = "瑪加·熊肌<遠祖灘頭戰場軍官>";
  AMCL["MargaB&"] = "";
  AMCL["GlordrumS"] = "格羅杜姆·鋼鬚 <奧特蘭克山谷戰場軍官>";
  AMCL["Kandaar"] = "坎達爾 <暴風之眼戰場軍官>";
  AMCL["MurenS"] = "穆倫·雷矛";
  AMCL["KelstrumS"] = "克斯塔姆·碎石 <戰士訓練師>";
  AMCL["BilbanT"] = "比爾班·飛鉗 <戰士訓練師>";
  AMCL["GilbartaG"] = "吉爾巴特·巨錘 <戰場熱衷者>";
  AMCL["PLongbeard"] = "駕駛員比羅·長鬚 <鐵爐堡攻城坦克旅>";
  AMCL["XiggsF"] = "希格斯·熔火";

  AMCL["Timberline Arms"] = "密林武器店";
  AMCL["BuliwyfS"] = "布里維夫·石拳 <武器大師>";
  AMCL["BixiW"] = "比克斯 <武器大師>";
  AMCL["KelomirI"] = "凱洛米爾·鐵手 <錘和法杖>";
  AMCL["ThalgusT"] = "薩古斯·雷拳 <武器商>";
  AMCL["HegnarS"] = "海格納·快斧 <斧商>";
  AMCL["BrenwynW"] = "布雷文·寒鋼 <劍刃武器商>";

  AMCL["Craghelm's"] = "石盔護甲店";
  AMCL["LissyphusF"] = "利塞弗斯·鋼軸 <輕型護甲商人>";
  AMCL["DolkinC"] = "杜爾金·石盔 <鎖甲商>";
  AMCL["OlthranC"] = "奧斯蘭·石盔 <重型護甲商人>";

  AMCL["SaraB"] = "薩拉·巴魯";

  --Yell
  AMCL["The Great Forge"] = "大鍛爐";

  AMCL["Ironforge Physician"] = "鐵爐堡醫師協會";
  AMCL["ReynaS"] = "雷納·石枝 <草藥學訓練師>";
  AMCL["GwinaS"] = "戈維納·石枝 <草藥學供應商>";
  AMCL["NissaF"] = "尼莎·火石 <急救訓練師>";

  AMCL["GrythT"] = "格萊斯·瑟登 <獅鷲獸管理員>";

  AMCL["Thistlefuzz Arcanery"] = "草鬚魔法用品店";
  AMCL["EJademoon"] = "塞納里奧使者安亞·碧月";
  AMCL["GimbleT"] = "吉布·草鬚 <附魔訓練師>";
  AMCL["TilliT"] = "提爾利·草鬚 <附魔供應商>";
  AMCL["EliseB"] = "艾莉絲·光函 <銘文學訓練師>";
  AMCL["ThargenH"] = "薩根·重羽 <銘文學供應商>";

  AMCL["Bronze Kettle"] = "銅壺鐵罐";
  AMCL["DarylR"] = "達瑞爾·瑞克努索 <烹飪訓練師>";
  AMCL["EmrulR"] = "埃姆盧爾·里克努斯 <烹飪供應商>";
  AMCL["DBcook"] = "（你可以在城市裡的任何一個火盆旁進行烹飪）";
  AMCL["DBcook&"] = "";

  AMCL["FJavad"] = "先知賈瓦德 <薩滿訓練師>";

  AMCL["DMMG"] = "深山礦工協會";
  AMCL["GeoframB"] = "吉爾弗拉姆·石趾 <採礦訓練師>";
  AMCL["GolnirB"] = "高尼爾·石趾 <採礦供應商>";

  AMCL["Burbik's"] = "巴比克物資店";
  AMCL["BurbikG"] = "巴比克·齒輪 <貿易供應商>";

  AMCL["Stonebrow's"] = "石眉布衣店";
  AMCL["JormundS"] = "約莫德·石眉 <裁縫訓練師>";
  AMCL["PorannaS"] = "博蘭納·雪衣 <裁縫供應商>";
  AMCL["OEric"] = "埃瑞克 <特殊裁縫供應商>";
  AMCL["MistinaS"] = "米斯蒂娜·鋼盾 <聯盟布匹軍需官>";
  AMCL["MistinaS&"] = "（矮人陣營）";

  AMCL["Finespindle's"] = "皮甲用品店";
  AMCL["FimbleF"] = "費布·鋼軸 <製皮訓練師>>";
  AMCL["BombusF"] = "伯布斯·鋼軸 <製皮供應商>";
  AMCL["BalthusS"] = "巴爾薩斯·剝石 <剝皮訓練師>";

  AMCL["OIronbeard"] = "軍官彼爾德·鐵鬚 <鐵爐堡表揚處>";

  AMCL["Sraaz"] = "斯拉茲 <餡餅商人>";
  AMCL["Sraaz&"] = "（在大鍛爐旁繞行叫賣）";

  AMCL["High Seat"] = "王座廳";
  AMCL["KingMagni"] = "麥格尼·銅鬚國王 <鐵爐堡國王>";
  AMCL["SBarinR"] = "參議員巴林·紅石";
  AMCL["RHArchesonus"] = "皇家歷史學家阿克瑟努斯";
  AMCL["Deliana"] = "德莉娜";

  AMCL["Great Forge"] = "大鍛爐";
  AMCL["GrumnusS"] = "格魯努斯·削鋼 <護甲鍛造訓練師>";
  AMCL["IronusC"] = "埃隆努斯·冷鋼 <武器鍛造訓練師>";
  AMCL["ThurgrumD"] = "索格拉姆·深爐 <鍛造供應商>";
  AMCL["BengusD"] = "本古斯·深爐 <鍛造訓練師>";
  AMCL["MyolorS"] = "米洛爾·怒斬";
  AMCL["BrombarH"] = "布羅巴爾·西格雷比 <鑰匙大師>";
  AMCL["TormusD"] = "托姆斯·深爐";


  --NPC Orgrimmar 奧格瑪
  --White
  AMCL["Valley Strength"] = "力量谷";

  AMCL["FARokhs"] = "霜狼大使洛蔻斯壯";

  AMCL["Gryshka"] = "旅店老闆格雷什卡";
  AMCL["Morag"] = "酒吧老闆莫拉格";
  AMCL["Kozish"] = "考基什";
  AMCL["Sarok"] = "薩洛克";
  AMCL["Doyo'da"] = "多尤達";
  AMCL["Zaro"] = "札祖";
  AMCL["Goma"] = "高瑪";
  AMCL["Gamon"] = "加摩爾";

  AMCL["SLSA"] = "索蘭裝甲店";
  AMCL["Sana"] = "薩納 <鎖甲商>";
  AMCL["Morgum"] = "摩古姆 <皮甲商>";
  AMCL["Ollanus"] = "奧蘭努斯 <輕型護甲商人>";

  AMCL["BImports"] = "火槍進口公司";
  AMCL["Kaja"] = "卡加 <槍械和彈藥>";

  AMCL["SReagents"] = "靈魂之怒材料店";
  AMCL["Horthus"] = "霍蘇斯 <施法材料>";

  AMCL["Horde Embassy"] = "部落大使館";
  AMCL["Urtrun"] = "烏特倫·氏族使者 <公會註冊員>";
  AMCL["Garyl"] = "伽雷爾 <外袍商人>";

  AMCL["GenStore"] = "奧格瑪雜貨店";
  AMCL["Trak'gen"] = "特拉克根 <雜貨商>";
  AMCL["Shimra"] = "史穆拉 <貿易供應商>";

  AMCL["ShattAxe"] = "破碎戰斧";
  AMCL["Urtharo"] = "烏薩羅 <武器商>";

  AMCL["Chophouse"] = "排骨餐館";
  AMCL["Olvia"] = "奧維亞 <肉商>";
  AMCL["OrcCook"] = "獸人廚具";
  AMCL["OrcCook&"] = "（你可以在城內的任何一個大火盆上烹飪）";

  AMCL["SlopeVS"] = "通往精神谷的斜坡";

  AMCL["Zankaja"] = "贊卡沙";
  AMCL["MBlaze"] = "大火盆";

  AMCL["Skytower"] = "通天塔";
  AMCL["Doras"] = "朵拉斯 <雙足飛龍管理員>";
  AMCL["CEhoof"] = "塞納里奧使者黑蹄";

  AMCL["HallLegends"] = "傳說大廳";
  AMCL["SGZarg"] = "石頭守衛札爾格 <武器軍需官>";
  AMCL["DorisV"] = "朵莉絲·維倫修斯 <護甲軍需官>";
  AMCL["BraveSton"] = "勇者石皮 <雜貨軍需官>";
  AMCL["BraveSton&"] = "";
  AMCL["Zar'shi"] = "血衛士札爾希 <護甲軍需官>";
  AMCL["LadyPal"] = "帕蘭蒂爾女士 <珠寶設計軍需官>";
  AMCL["SergThunder"] = "雷角中士 <見習護甲軍需官>";
  AMCL["SergThunder&"] = "";
  AMCL["Bork"] = "狼騎兵波爾克 <坐騎軍需官>";
  AMCL["Hola'mahi"] = "一等士官霍拉麥 <護甲軍需官>";
  AMCL["Earthbind"] = "酋長泰恩·地鳴";
  AMCL["Willington"] = "顧問威靈頓";
  AMCL["Teena"] = "軍團士兵蒂娜 <護甲軍需官>";
  AMCL["CArial"] = "議員艾瑞歐·丹納斯塔";
  AMCL["D'Anastasis"] = "";
  AMCL["Hini'wana"] = "血衛士希尼瓦納";
  AMCL["Bek'rah"] = "蠻兵貝克拉";
  AMCL["Korf"] = "蠻兵科爾夫";

  AMCL["SkyStaves"] = "天空之怒法杖店";
  AMCL["Ukra'nor"] = "尤克拉諾 <法杖商>";

  AMCL["Keldran"] = "科爾丹";

  AMCL["Xan'tish"] = "克薩迪斯 <蛇商>";
  AMCL["Xan'tish&"] = "（在西部大門和精神谷之間繞行叫賣）";

  AMCL["Krixx"] = "克里克斯克 <飛艇工程師>";
  AMCL["Krixx&"] = "（在榮譽谷的諾格機械店和南邊大門之間繞行）";
  AMCL["Krixx&1"] = "";
  AMCL["Krixx&2"] = "";


  --Purp
  AMCL["ValleySpirits"] = "精神谷";

  AMCL["DarkbriarL"] = "暗木小屋";
  AMCL["Uthel'nay"] = "尤塞爾奈 <法師訓練師>";
  AMCL["Enyo"] = "恩尤 <法師訓練師>";
  AMCL["Deino"] = "迪諾 <法師訓練師>";
  AMCL["Pephredo"] = "皮菲瑞多 <法師訓練師>";
  AMCL["Thuul"] = "索烏 <傳送門訓練師>";
  AMCL["Vehena"] = "維赫納 <部落布匹軍需官> （食人妖陣營）";
  AMCL["Ray'ma"] = "雷瑪 <每月啤酒俱樂部>";
  AMCL["Brew Vendor"] = "酒商 <每月啤酒俱樂部>";

  AMCL["SpiLodge"] = "靈魂小屋";
  AMCL["Ur'kyo"] = "烏爾庫 <牧師訓練師>";
  AMCL["X'yera"] = "克塞拉 <牧師訓練師>";
  AMCL["Zayus"] = "薩尤斯 <高階祭司>";

  AMCL["SurvivalF"] = "適者生存";
  AMCL["Arnok"] = "阿諾克 <急救訓練師>";

  --Yell
  AMCL["Drag"] = "暗巷區";

  AMCL["Borstan's"] = "博斯坦的火坑 （樓上）";
  AMCL["Borstan"] = "博斯坦 <肉商>";
  AMCL["Zamja"] = "札姆沙 <烹飪訓練師>";
  AMCL["Xen'to"] = "克森圖 <烹飪供應商>";

  AMCL["Jo'mah"] = "裘瑪 <銘文學訓練師> （上層）";
  AMCL["Xantili"] = "桑提利 <銘文學供應商>";
  AMCL["Zilzibin"] = "基爾茲賓·鼓眼";
  AMCL["Sarlek"] = "薩雷克";
  AMCL["Tamaro"] = "塔瑪洛";

  AMCL["Arboretum"] = "加迪植物園 （上層）";
  AMCL["Jandi"] = "加迪 <草藥學訓練師>";
  AMCL["Zeal'aya"] = "希爾拉亞 <草藥學供應商>";

  AMCL["Runeworks"] = "古丹的符文工藝店";
  AMCL["Jhag"] = "夏格 <附魔訓練師>";
  AMCL["Kithas"] = "基薩斯 <附魔供應商>";
  AMCL["Slope1"] = "通往上下兩層的斜坡";

  AMCL["Yelmak's"] = "耶爾瑪克藥劑店";
  AMCL["Yelmak"] = "耶爾瑪克 <鍊金術訓練師>";
  AMCL["Kor'geld"] = "考吉爾德 <鍊金術供應商>";
  AMCL["Jes'rimon"] = "傑斯雷蒙";

  AMCL["Salvage"] = "杜佛斯回收店";
  AMCL["Dran"] = "德蘭·杜佛斯";
  AMCL["Malton"] = "瑪爾頓·杜佛斯";

  AMCL["KLeatherworks"] = "科多獸皮工店";
  AMCL["Karolek"] = "卡洛雷克 <製皮訓練師>";
  AMCL["Tamar"] = "達瑪爾 <製皮供應商>";
  AMCL["Thuwd"] = "蘇爾德 <剝皮訓練師>";
  AMCL["Handor"] = "罕杜爾 <布甲和皮甲商人>";

  AMCL["ClothG"] = "瑪加爾布品店";
  AMCL["Magar"] = "瑪加爾 <裁縫訓練師>";
  AMCL["Borya"] = "博亞 <裁縫供應商>";
  AMCL["Tor'phan"] = "托爾凡 <布甲和皮甲商人>";
  AMCL["Rashona"] = "萊什納·刺藤 <部落布匹軍需官>";
  AMCL["Rashona&"] = "（獸人陣營）";

  AMCL["Gotri's"] = "高特雷的旅行裝備 （主要樓層）";
  AMCL["Malton"] = "高特雷 <背包商人>";

  AMCL["Krixx2"] = "克里克斯克 <飛艇工程師>";
  AMCL["Felika"] = "菲利卡 <貿易供應商>";
  AMCL["Felika&"] = "（在智慧谷入口和力量谷之間繞行叫賣）";
  AMCL["Felika&1"] = "";

  --Blue
  AMCL["ValleyHonor"] = "榮譽谷";

  AMCL["Kiro's"] = "基羅護甲店";
  AMCL["Kiro"] = "基羅 <護甲商>";

  AMCL["OBowyer"] = "奧格瑪弓箭店";
  AMCL["Jin'sora"] = "金索拉 <弓箭商人>";

  AMCL["HallBrave"] = "勇者大廳";
  AMCL["Zel'mak"] = "澤爾瑪克 <戰士訓練師>";
  AMCL["Sorek"] = "索瑞克 <戰士訓練師>";
  AMCL["Grezz"] = "格雷茲·怒拳 <戰士訓練師>";
  AMCL["Andrissa"] = "安崔莎·心矛 <暴風之眼戰場軍官>";
  AMCL["Andrissa&"] = "";
  AMCL["Deze"] = "迪茲·斯諾班 <阿拉希盆地戰場軍官>";
  AMCL["Zeggon"] = "賽剛恩·波斯奈伯 <競技場戰場軍官>";
  AMCL["Brakgul"] = "布萊克歐·死亡召喚者 <戰歌峽谷戰場軍官>";
  AMCL["Brakgul&"] = "";
  AMCL["Ufuda"] = "烏弗達·巨人殺戮者 <遠祖灘頭戰場軍官>";
  AMCL["Ufuda&"] = "";
  AMCL["Kartra"] = "卡爾特拉·血喉 <奧特蘭克山谷戰場軍官>";
  AMCL["Muja"] = "穆迦 <戰場熱衷者>";
  AMCL["HordeWar"] = "部落戰爭使者";
  AMCL["BelgR"] = "貝爾戈洛姆·石槌";

  AMCL["Lumak's"] = "魯瑪克漁具店";
  AMCL["Lumak"] = "魯瑪克 <釣魚訓練師>";
  AMCL["Shankys"] = "山吉斯 <釣魚供應商>";
  AMCL["Zas'tysh"] = "沙泰什";

  AMCL["RedMining"] = "紅石谷礦業工會";
  AMCL["Makaru"] = "馬卡魯 <採礦訓練師>";
  AMCL["Gorina"] = "高里納 <採礦供應商>";

  AMCL["Orphanage"] = "孤兒院";

  AMCL["Nogg's"] = "諾格機械店";
  AMCL["Nogg"] = "諾格 <見習工程師>";
  AMCL["Roxxik"] = "羅克希克 <工程學訓練師>";
  AMCL["Sovik"] = "索維克 <工程學供應商>";
  AMCL["Rilli"] = "雷里·格里斯高布";

  AMCL["Shayis"] = "莎伊斯·鋼怒 <護甲鍛造訓練師>";
  AMCL["Okothos"] = "奧克索斯·鐵怒 <護甲鍛造>";
  AMCL["Borgosh"] = "伯古西 <武器鍛造>";
  AMCL["OxMO"] = "奧克斯 <秘銀會>";
  AMCL["Aturk"] = "『鐵砧』阿圖爾克";
  AMCL["OrokkO"] = "奧羅克·沃姆什";

  AMCL["BurnAnvil"] = "燃燒的鐵砧";
  AMCL["Saru"] = "薩魯·鋼怒 <鍛造訓練師>";
  AMCL["Sumi"] = "蘇米 <鍛造供應商>";
  AMCL["Tumi"] = "圖米 <重型護甲商人>";

  AMCL["ArmsLegend"] = "傳說中的裝備";
  AMCL["Kelgruk"] = "克爾格魯克·血斧 <武器鍛造訓練師>";
  AMCL["Zendo'"] = "森度吉安 <武器商>";
  AMCL["Shoma"] = "索瑪 <武器商>";
  AMCL["Galthuk"] = "加爾薩克 <雙手武器商人>";
  AMCL["Sayoc"] = "塞尤克 <武器大師>";
  AMCL["Hanashi"] = "哈納什 <武器大師>";
  AMCL["Koru"] = "考魯 <錘和法杖>";

  AMCL["RingValor"] = "勇氣之環";
  AMCL["Molog"] = "戰爭獵人莫洛格 <競技場戰場軍官>";
  AMCL["Greela"] = "『蠻兵』格力拉·柄鏈 <競技場編制者>";
  AMCL["Greela&"] = "";

  AMCL["Ogunaro"] = "奧古納羅·狼行者 <馴狼者>";
  AMCL["Kildar"] = "基爾達 <騎術訓練師>";
  AMCL["Xon'cha"] = "克蘇卡 <獸欄管理員>";

  AMCL["HuntHall"] = "獵手大廳";
  AMCL["Sian'dur"] = "薩杜爾 <獵人訓練師>";
  AMCL["Xor'juul"] = "科索祖爾 <獵人訓練師>";
  AMCL["Ormak"] = "奧瑪克 <獵人訓練師>";

  --Gren
  AMCL["CleftShad"] = "暗影裂口";

  AMCL["DarkEncl"] = "暗火營地";
  AMCL["Mirket"] = "米爾科特 <術士訓練師>";
  AMCL["Zevrost"] = "澤弗洛斯特 <術士訓練師>";
  AMCL["Grol'dar"] = "格羅達爾 <術士訓練師>";
  AMCL["Gan'rul"] = "甘盧爾·血眼";

  AMCL["ShadReag"] = "深淵材料店";
  AMCL["Hagrus"] = "哈格魯斯 <施法材料商>";
  AMCL["Cazul"] = "卡祖爾";

  AMCL["ISW"] = "鐵木法杖店";
  AMCL["Muragus"] = "穆拉古斯 <法杖商>";
  AMCL["Katis"] = "卡提斯 <魔杖商人>";

  AMCL["Neeru"] = "尼爾魯·火刃";

  AMCL["RCI"] = "怒焰裂谷";

  AMCL["DEFM"] = "黑土蘑菇";
  AMCL["Kor'jus"] = "考蘇斯 <蘑菇商>";

  AMCL["Barbershop"] = "美容沙龍";
  AMCL["Berbri"] = "貝伯利·髮捲 <美容師>";

  AMCL["SlowBlade"] = "遲鈍之刃";
  AMCL["Kareth"] = "卡雷斯 <劍刃武器商>";

  AMCL["ShadowBroth"] = "迅影兄弟會";
  AMCL["Gest"] = "蓋斯特 <盜賊訓練師>";
  AMCL["Ormok"] = "奧莫克 <盜賊訓練師>";
  AMCL["Shenthul"] = "申蘇爾 <盜賊訓練師>";
  AMCL["Zando'zan"] = "贊杜沙";
  AMCL["Therzok"] = "瑟祖克";

  AMCL["Rekkul's"] = "雷庫爾毒藥店";
  AMCL["Rekkul"] = "雷庫爾 <毒藥商>";
  AMCL["Kor'ghan"] = "考格漢";

  AMCL["Drok"] = "克拉文·德洛克";
  AMCL["Drok&"] = "（在暗影裂口繞行）";

  --Cyan
  AMCL["ValleyWisdom"] = "智慧谷";

  AMCL["STVIF"] = "荊棘谷水果進口公司";
  AMCL["Shan'ti"] = "珊迪 <水果商>";

  AMCL["ORedblade"] = "軍官布萊德·紅刺 <奧格瑪表揚處>";

  AMCL["GromHold"] = "葛羅瑪許堡";
  AMCL["Sian'tsu"] = "薩祖 <薩滿訓練師>";
  AMCL["Kardris"] = "卡德里斯 <薩滿訓練師>";
  AMCL["Sagorne"] = "薩格尼 <薩滿訓練師>";
  AMCL["Zor"] = "佐爾·孤樹 <先知長老>";
  AMCL["Searn"] = "希爾恩·火衛";
  AMCL["Eitrigg"] = "伊崔格";
  AMCL["Vol'jin"] = "沃金";
  AMCL["Mokvar"] = "莫克瓦";
  AMCL["Pyreanor"] = "大師皮禮諾 <聖騎士訓練師>";
  AMCL["Dawnsinger"] = "曦詠大使";
  AMCL["Thrall"] = "索爾 <大酋長>";

  AMCL["Asoran's"] = "阿索蘭的市場";
  AMCL["Asoran"] = "阿索蘭 <雜貨商>";
  AMCL["Magenius"] = "瑪基努斯 <施法材料>";

  AMCL["Vu'Shalay"] = "軍官烏薩雷 <暗矛表揚處>";

  --NPC Shattrath 撒塔斯城
  --White
  AMCL["TerLight"] = "聖光露臺";

  AMCL["ABank"] = "銀行 （奧多爾陣營）";
  AMCL["Endarin"] = "軍需官伊恩達瑞 <奧多爾軍需官>";
  AMCL["ISaalyn"] = "抄寫員薩歐林 <奧多爾銘文商人>";
  AMCL["HaldorC"] = "固執的海多爾 <奧多爾藥劑師>";

  AMCL["SBank_Scryer"] = "銀行 （占卜者陣營）";
  AMCL["Enuril"] = "軍需官伊奴瑞歐 <占卜者軍需官>";
  AMCL["IVeredis"] = "抄寫員伏瑞迪斯 <占卜者銘文商人>";
  AMCL["Xorith"] = "秘法師科諾斯 <占卜者藥劑師>";

  AMCL["LeagArat"] = "阿拉索聯軍大使 （阿拉希盆地）";
  AMCL["Defil"] = "污染者大使 （阿拉希盆地）";

  AMCL["A'dal"] = "阿達歐";
  AMCL["Khadgar"] = "卡德加";
  AMCL["Almonen"] = "大隱士艾蒙南";
  AMCL["Tiras'alan"] = "提拉薩蘭將軍";

  AMCL["G'eras"] = "吉爾拉斯 （正義徽章裝備商人）";
  AMCL["G'eras&"] = "（樓上）";
  AMCL["Almaador"] = "阿拉瑪多爾 <薩塔軍需官>";
  AMCL["Nasuun"] = "主教納蘇安";
  AMCL["Ontuvo"] = "昂圖沃 <珠寶設計供應商>";
  AMCL["Ontuvo&"] = "（破碎之日進攻部隊）";
  AMCL["PorQuel"] = "撒塔斯至奎爾達納斯之島的傳送門";
  AMCL["Anwehu"] = "安威修 <武器和護甲鍛造>";
  AMCL["Anwehu&"] = "（正義徽章裝備商人）";
  AMCL["Mehlisah"] = "間諜首領麥莉莎·陽冠";

  AMCL["Iorioa"] = "艾歐瑞雅 <傳送門訓練師>";
  AMCL["V'eru"] = "范魯 （樓上）";

  AMCL["WarVet"] = "哈迦德戰爭老兵";
  AMCL["HordeWar"] = "部落戰爭使者";

  AMCL["Mordin"] = "大使莫爾丁 <破碎之日進攻部隊>";
  AMCL["Torvos"] = "托沃斯領主 <破碎之日進攻部隊>";

  AMCL["Nutral"] = "紐卓 <飛行管理員>";
  AMCL["Yuula"] = "尤拉 <薩塔禦天者招募軍官>";

  AMCL["Haronem"] = "先驅者哈洛尼恩 <破碎之日進攻部隊>";
  AMCL["Wafflefry"] = "轉轉炸餅 <地精發明家>";

  AMCL["LiftScry"] = "前往占卜者階梯的升降梯";

  AMCL["LiftAR"] = "前往奧多爾高地的升降梯";

  AMCL["Ezekiel"] = "伊斯奇歐";
  AMCL["Ezekiel&"] = "（以順時鐘方向繞行聖光露臺）";

  --Yell
  AMCL["LowCity"] = "陰鬱城";

  AMCL["DLarry"] = "'骯髒賴瑞 <無賴>";
  AMCL["EMalone"] = "史詩馬龍 <無賴>";
  AMCL["Creepjack"] = "瘸腿傑克 <無賴>";

  AMCL["AldBank"] = "陰鬱城通往奧多爾銀行";

  AMCL["Araac"] = "阿洛克";

  AMCL["Karokka"] = "卡洛卡 <毒藥供應商>";
  AMCL["Skreah"] = "史卡瑞 <鍊金術供應商> （階梯下）";
  AMCL["Lorokeem"] = "羅洛其恩 <大師級鍊金術訓練師> （階梯下）";
  AMCL["Vekax"] = "威卡斯 （在橋上來來回回行走）";

  AMCL["Lissaf"] = "麗莎夫 <劍刃武器商>";

  AMCL["RampL"] = "通往聖光露臺的斜坡";
  AMCL["Rilak"] = "『贖罪者』里拉克";
  AMCL["Adyria"] = "秘法師艾德蕊雅 <占卜者>";
  AMCL["DGrashna"] = "防衛者赫拉希娜";

  AMCL["Oloraak"] = "歐洛艾克 <魚商>";

  AMCL["ShattInf"] = "撒塔斯醫務室";
  AMCL["Sha'nir"] = "薩尼爾 <奧多爾>";
  AMCL["Seth"] = "塞斯";
  AMCL["Zahlia"] = "札麗亞";
  AMCL["Rokk"] = "洛克 <烹飪大師>";
  AMCL["Barth"] = "巴薩姆斯";

  AMCL["ExitTF"] = "往泰洛卡森林的出口";

  AMCL["ABG"] = "聯盟准將 （聯盟戰場軍官）";
  AMCL["ABG&"] = "";
  AMCL["Vinvo"] = "維沃·金備 <遠祖灘頭戰場軍官>";
  AMCL["Vinvo&"] = "";
  AMCL["Haelga"] = "海爾卡·石拳 <奧特蘭克山谷戰場軍官>";
  AMCL["Lylandor"] = "萊蘭朵爾 <戰歌峽谷戰場軍官>";
  AMCL["Iravar"] = "伊瑞瓦爾 <暴風之眼戰場軍官>";
  AMCL["AEternum"] = "亞當·伊特納姆 <阿拉希盆地戰場軍官>";

  AMCL["WorldEndT"] = "世界的盡頭小酒館";
  AMCL["Lathrai"] = "風之貿易者拉斯蕊";
  AMCL["Shaarubo"] = "薩路伯 <酒保>";
  AMCL["Lonika"] = "羅尼卡·堅刃 <盜賊學院經營者>";
  AMCL["Kylene"] = "凱歐妮 <酒吧女服務員>";
  AMCL["Pilton"] = "哈瑞斯·皮爾頓 <社交名流>";
  AMCL["Zhareem"] = "風之貿易者札令姆";
  AMCL["Mah'duun"] = "虛空行者瑪頓恩";
  AMCL["Zephyr"] = "賽佛 （青銅龍聲望尊敬後可透過她前往時光洞穴）";
  AMCL["salabim"] = "沙薩拉畢恩";
  AMCL["Raliq"] = "『酒鬼』拉利克";

  AMCL["Kradu"] = "克拉杜·恐懼之刃 <武器鍛造訓練師>";
  AMCL["Zula"] = "祖拉·渣怒 <護甲鍛造訓練師>";

  AMCL["Orph"] = "孤兒院";
  AMCL["Bartlett"] = "妮可·巴特勒 <女監護者>";

  AMCL["HWB"] = "部落戰爭使者 （部落戰場軍官）";
  AMCL["Jojindi"] = "喬金迪 <遠祖灘頭戰場軍官>";
  AMCL["Montok"] = "蒙托克·紅手 <戰歌峽谷戰場軍官>";
  AMCL["Maka"] = "狼女瑪卡 <奧特蘭克山谷戰場軍官>";
  AMCL["Keldor"] = "『迷失者』卡爾多 <阿拉希盆地戰場軍官>";
  AMCL["Yula"] = "公正的優菈 <暴風之眼戰場軍官>";
  AMCL["Issca"] = "伊斯卡 <外袍商人>";

  AMCL["Seymour"] = "希摩爾 <大師級剝皮訓練師>";
  AMCL["Ernie"] = "厄尼·帕克衛歐 <商人>";
  AMCL["Cro"] = "克洛·絲壯 <製皮供應商>";
  AMCL["Darmari"] = "達瑪力 <大師級製皮訓練師>";
  AMCL["Andrion"] = "安德利恩·暗紋紡織者 <影紋專家>";
  AMCL["Gidge"] = "蓋吉·術法編織者 <魔焰專家>";
  AMCL["Nasmara"] = "那斯馬拉·月歌 <月布專家>";
  AMCL["Eiin"] = "伊恩 <特殊裁縫供應商>";
  AMCL["Griftah"] = "格利夫塔 <令人驚異的護符>";
  AMCL["Viggz"] = "維格斯·亮星 <工程學供應商>";
  AMCL["Fantei"] = "范提 <施法材料商>";
  AMCL["Aaron"] = "艾朗·赫曼 <鍛造供應商>";
  AMCL["MRuby"] = "魯比夫人 <附魔供應商>";
  AMCL["Eral"] = "伊瑞歐 <雜貨商>";
  AMCL["Moser"] = "鬆餅人慕瑟爾 <麵包商>";
  AMCL["Nakodu"] = "納克杜 <陰鬱城軍需官>";
  AMCL["JackT"] = "傑克·崔柏爾 <廚師>";
  AMCL["Saltit"] = "吉姆·沙提 <烹飪供應商>";
  AMCL["GSmith"] = "葛蘭尼·史密斯 <水果商>";
  AMCL["BTurner"] = "布蘭登·透納 <肉商>";
  AMCL["Grok"] = "葛羅克";
  AMCL["Oven"] = "泥土爐灶";
  AMCL["Tobias"] = "『骯髒吞嚥者』圖比亞斯";
  AMCL["Gordie"] = "哥迪";

  AMCL["LowerSB"] = "陰鬱城通往占卜者銀行";

  AMCL["Browning"] = "凱文·白朗寧 <咖啡狂>";
  AMCL["Browning&"] = "（在東方與東南方出口處繞行）";

  --Red
  AMCL["Scryer's Tier"] = "占卜者階梯";

  AMCL["Haelthol"] = "旅店老闆海斯索";

  AMCL["Ilthuril"] = "利斯瑞歐 <獸欄管理員>";
  AMCL["Endernor"] = "商人安德諾爾 <商人>";
  AMCL["Lisrythe"] = "麗斯瑞司·血望 <贓物商人>";
  AMCL["Mahir"] = "瑪亥爾·紅劃 <匕首商人>";
  AMCL["Dathris"] = "戴斯瑞司·擊日者";

  AMCL["Kirembri"] = "奇倫伯里·銀鬃 <大師級珠寶設計訓練師>";
  AMCL["Kirembri&"] = "";
  AMCL["Hanlir"] = "漢里爾 <大師級採礦訓練師>";
  AMCL["Lanloer"] = "抄寫員蘭洛爾 <大師級銘文學訓練師>";
  AMCL["Andiala"] = "女附魔師安狄雅菈 <大師級附魔訓練師>";

  AMCL["Nalama"] = "商人納拉瑪 <雜貨商>";
  AMCL["Urumir"] = "烏魯密爾·史戴夫布萊 <法杖商>";

  AMCL["Falris"] = "博學者法爾瑞斯";
  AMCL["Fyalenn"] = "博學者菲雅蘭";
  AMCL["Fyalenn&"] = "（接受交換占卜者聲望的物品）";

  AMCL["SeerLib"] = "先知書庫";
  AMCL["Arodis"] = "阿羅迪斯·日刃 <薩塔神器保管人>";
  AMCL["Veynna"] = "維娜·黎星 <薩塔傳家寶保管人>";
  AMCL["Volali"] = "女巫師梵拉妮 <附魔訓練師>";
  AMCL["Bardolan"] = "最高附魔師巴多蘭 <大師級附魔訓練師>";
  AMCL["Bardolan&"] = "";
  AMCL["Voren"] = "『先知』沃藍索";
  AMCL["Lisrythe"] = "博學大師斯科希利斯";
  AMCL["Traini"] = "提升所有的專業技能至大師級";
  AMCL["Traini&"] = "（書堆）";

  AMCL["Mi'irku"] = "米伊庫·遠步 <傳送門訓練師>";
  AMCL["Mi'irku&"] = "（外面的斜坡上）";
  AMCL["Olodam"] = "歐洛丹·遠虛";

  AMCL["Alamaro"] = "植物大師·阿拉瑪洛 <酒商>";
  AMCL["Amshesha"] = "安姆旭沙·史帝歐達克 <施法材料商>";
  AMCL["Yurial"] = "優立歐·靈魂之水 <附魔供應商>";

  AMCL["Quelama"] = "奎拉瑪·光刃 <魔杖商人>";
  AMCL["Selanam"] = "『劍刃』塞拉南 <劍商人>";

  AMCL["Aelthin"] = "艾爾辛 <大師級鍊金術訓練師>";
  AMCL["Alaenra"] = "植物學家愛蓮拉 <大師級草藥學訓練師>";

  AMCL["Delvinar"] = "弓箭手戴文納 <特殊彈藥商人>";
  AMCL["Daenril"] = "丹瑞爾 <大師級製皮訓練師>";
  AMCL["Miralisse"] = "米拉莉絲 <大師級裁縫訓練師>";
  AMCL["Irduil"] = "伊杜爾 <大師級剝皮訓練師>";
  AMCL["Barien"] = "巴瑞恩 <大師級鍛造訓練師>";
  AMCL["Sinbei"] = "工程師辛貝 <大師級工程學訓練師>";

  --Blue
  AMCL["ARise"] = "奧多爾高地";

  AMCL["Minalei"] = "米納勒 <旅館老闆>";
  AMCL["Garul"] = "嘎魯歐 <食物和飲料商>";
  AMCL["Oruhe"] = "歐魯息 <獸欄管理員>";

  AMCL["Nemiha"] = "奈米哈 <大師級珠寶設計訓練師>";
  AMCL["Fono"] = "弗諾 <大師級採礦訓練師>";
  AMCL["Zurii"] = "祖瑞 <大師級附魔訓練師>";
  AMCL["Lidio"] = "記錄者里迪歐 <大師級銘文學訓練師>";

  AMCL["Caylee"] = "凱莉·達克";

  AMCL["Erothem"] = "『先驅者』伊洛丹";
  AMCL["Adyen"] = "『護光者』艾德伊恩";

  AMCL["Hamanar"] = "哈曼那 <大師級珠寶設計訓練師>";
  AMCL["Inessera"] = "伊奈思娜 <珠寶設計供應商>";
  AMCL["Ahemen"] = "阿希曼 <法杖商>";

  AMCL["Dremm"] = "卓姆 <大師級剝皮訓練師>";
  AMCL["Aoa"] = "織者艾歐雅 <大師級裁縫訓練師>";
  AMCL["Korim"] = "柯瑞姆 <大師級製皮訓練師>";
  AMCL["Bova"] = "神射手波瓦 <特殊彈藥商人>";
  AMCL["Kanhu"] = "鍊金師坎修 <大師級鍊金術訓練師>";
  AMCL["Jijia"] = "吉吉雅 <大師級草藥學訓練師>";
  AMCL["Onodo"] = "昂杜 <大師級鍛造訓練師>";
  AMCL["Mihila"] = "技師米希菈 <大師級工程學訓練師>";

  AMCL["UnenLight"] = "永恆聖光神殿";
  AMCL["Ishanah"] = "伊莎納 <奧多爾的高階女祭司>";
  AMCL["Kelara"] = "奇拉娜 <薩塔傳家寶保管人>";
  AMCL["Asuur"] = "阿蘇爾 <薩塔神器保管人>";

  AMCL["ENagrand"] = "通往納葛蘭的出口";


  --NPC Silvermoon  銀月城
  --White
  AMCL["Bazaar"] = "商店街";

  AMCL["Wayfar"] = "旅人休憩";
  AMCL["Jovia"] = "旅館老闆喬維亞 <旅館老闆>";
  AMCL["Sylann"] = "賽藍恩 <廚師>";
  AMCL["Quelis"] = "奎利斯 <烹飪供應商>";

  AMCL["SFinery"] = "銀月城華服";
  AMCL["Zyandrel"] = "希雅德 <布甲商>";
  AMCL["Andra"] = "安卓 <布商>";
  AMCL["Rathin"] = "洛辛 <背包商人>";

  AMCL["Bithrus"] = "畢斯拉斯 <煙火商人>";

  AMCL["Keelen's"] = "奇蘭的可靠裁縫";
  AMCL["SorimL"] = "索瑞姆·光歌 <部落布匹軍需官>";
  AMCL["Keelen"] = "奇蘭 <裁縫訓練師>";
  AMCL["Deynna"] = "笛娜 <裁縫供應商>";

  AMCL["Welethelon"] = "威爾薩隆 <錘類武器商>";
  AMCL["Noraelath"] = "諾拉雷斯 <皮甲商>";

  AMCL["BladesbR"] = "洛海恩的刀劍";
  AMCL["Rahein"] = "洛海恩 <劍刃武器商>";
  AMCL["Feledis"] = "費利迪斯 <斧商>";

  AMCL["GeGoods"] = "雜貨商";
  AMCL["Sathren"] = "賽詩倫·藍晨 <雜貨商>";
  AMCL["Zalle"] = "賽爾 <施法材料商>";

  AMCL["SSPMP"] = "銀質盾牌／鎧甲和鎖甲防護";
  AMCL["Winthren"] = "衛斯藍 <盾牌商>";
  AMCL["Tynna"] = "泰娜 <鎧甲商>";
  AMCL["Keeli"] = "淇麗 <鎖甲商>";

  AMCL["Parnis"] = "巴尼斯 <商人>";

  --Purp
  AMCL["WElders"] = "長者步道";

  AMCL["Harene"] = "海若妮·大地行者 <德魯伊訓練師>";

  AMCL["Velaani's"] = "瓦拉尼的秘法物品";
  AMCL["Velanni"] = "維菈尼 <施法材料和鍊金術供應商>";
  AMCL["Zathanna"] = "賽斯安娜 <魔杖商人>";

  AMCL["CGate"] = "牧羊人之門";

  AMCL["SilRegistry"] = "銀月登記簿";
  AMCL["Tandrine"] = "泰德林 <公會註冊員>";
  AMCL["Kredis"] = "奎戴斯 <外袍商人>";

  AMCL["Lynalis"] = "萊娜利斯 <製皮訓練師>";
  AMCL["Zaralda"] = "莎拉達 <製皮供應商>";
  AMCL["Tyn"] = "帝恩 <剝皮訓練師>";

  AMCL["Drathen"] = "崔森 <釣魚訓練師>";
  AMCL["Olirea"] = "歐莉蕊 <釣魚供應商>";
  AMCL["Alestus"] = "艾瑞斯塔 <急救訓練師>";

  --Gren
  AMCL["RoyEx"] = "皇家交易所";

  AMCL["SCI"] = "銀月城旅店";
  AMCL["Velandra"] = "旅店老闆費蘭卓 <旅館老闆>";
  AMCL["Suntouched"] = "植物大師·日觸 <酒和烈酒商人>";
  AMCL["BKAdept"] = "血騎士大師";
  AMCL["Stillb"] = "血騎士靜刃";

  AMCL["Kalinda"] = "卡琳達 <珠寶設計訓練師>";
  AMCL["Gelanthis"] = "吉藍迪斯 <珠寶設計供應商>";
  AMCL["Amin"] = "艾銘 <見習珠寶設計師>";

  --Red
  AMCL["FarSquare"] = "遠行者廣場";

  AMCL["Celana"] = "賽蓮娜 <弓箭商>";
  AMCL["Matha"] = "麥薩隆 <槍械商>";

  AMCL["Osselan"] = "奧斯藍 <聖騎士訓練師>";
  AMCL["Ithelis"] = "伊德利斯 <聖騎士訓練師>";
  AMCL["CBachi"] = "貝戚勇士 <聖騎士訓練師>";
  AMCL["Bvalor"] = "騎士領主伯洛德瓦勒";
  AMCL["Astalor"] = "博學者阿斯塔樂·血誓（下層）";
  AMCL["Solanar"] = "索拉納爾·血怒領主（下層）";
  AMCL["Ileda"] = "伊利達 <武器大師>";

  AMCL["Bipp"] = "畢皮·克利斯特 <競技場戰場軍官>";
  AMCL["Karen"] = "凱倫·文沃思 <阿拉希盆地戰場軍官>";
  AMCL["Alenjon"] = "亞倫強·日刃 <戰鬥大師>";
  AMCL["Irissa"] = "伊芮莎·血星 <戰場軍官>";
  AMCL["Caradess"] = "博學者卡拉德絲 <冬握湖戰鬥法師>";
--  AMCL["Gurak"] = "古拉克 <奧特蘭克山谷戰場軍官>";
--  AMCL["Duyash"] = "殘忍的杜亞司 <暴風之眼戰場軍官>";
--  AMCL["Krukk"] = "克魯克 <戰歌峽谷戰場軍官>";
--  AMCL["Mabrian"] = "瑪布里安·遙晨 <遠祖灘頭戰場軍官>";
--  AMCL["Mabrian&"] = "";

  AMCL["SLowerSec"] = "通往下層的階梯";

  AMCL["Shalenn"] = "賽玲 <獸欄管理員>";
  AMCL["Tana"] = "塔娜 <獵人訓練師>";
  AMCL["Oninath"] = "奧尼那斯 <獵人訓練師>";
  AMCL["Zandine"] = "席丹 <獵人訓練師>";
  AMCL["Halthenis"] = "海德尼斯 <寵物訓練師>";

  AMCL["Zelan"] = "塞爾藍 <採礦供應商>";
  AMCL["Belil"] = "貝利爾 <採礦訓練師>";
  AMCL["Bemarrin"] = "貝瑪倫 <鍛造訓練師>";
  AMCL["Eriden"] = "艾利丹 <鍛造供應商>";

  AMCL["Danwe"] = "丹威 <工程學訓練師>";
  AMCL["Yatheon"] = "亞斯恩 <工程學供應商>";
  AMCL["Gloresse"] = "哥羅瑞斯 <見習工程師>";

  --Ltblu
  AMCL["MurRow"] = "兇殺路";

  AMCL["Nerisen"] = "尼瑞森 <盜賊訓練師>";
  AMCL["Elara"] = "艾拉蘿 <盜賊訓練師>";
  AMCL["Zelanis"] = "賽藍尼斯 <盜賊訓練師>";
  AMCL["Darlia"] = "達莉亞 <毒藥供應商>";

  AMCL["Talionia"] = "塔萊妮亞 <術士訓練師>";
  AMCL["Alamma"] = "阿拉瑪 <術士訓練師>";
  AMCL["Zanien"] = "賽尼安 <術士訓練師>";

  --Orng
  AMCL["CourtSun"] = "陽光庭院";

  AMCL["Sedana"] = "希丹娜 <附魔訓練師>";
  AMCL["Lyna"] = "萊娜 <附魔供應商>";
  AMCL["Dolothos"] = "多洛索斯 <見習附魔師>";
  AMCL["Zantasia"] = "贊塔西亞 <銘文學訓練師>";
  AMCL["Lelorian"] = "雷洛里安 <銘文學供應商>";
  AMCL["Camberon"] = "坎伯朗 <鍊金術訓練師>";
  AMCL["Nathera"] = "草藥師納德娜 <草藥學訓練師>";
  AMCL["Melaris"] = "米拉瑞斯 <鍊金術供應商>";
  AMCL["Razia"] = "洛希亞 <見習鍊金師>";


  --Blue
  AMCL["SunSpire"] = "日怒尖塔";

  AMCL["OrbTrans"] = "幽暗城傳送水晶球";

  AMCL["Lor'themar"] = "洛索瑪·塞隆 <奎爾薩拉斯攝政王>";
  AMCL["Brightwing"] = "赫杜倫·亮翼 <遊俠將軍>";
  AMCL["Rommath"] = "大博學者洛摩斯";

  AMCL["Lotheolan"] = "洛斯藍 <牧師訓練師>";
  AMCL["Belestra"] = "拜拉斯卓 <牧師訓練師>";
  AMCL["Aldrae"] = "艾爾崔 <牧師訓練師>";

  AMCL["Zaedana"] = "賽戴娜 <法師訓練師>";
  AMCL["Quithas"] = "奎薩斯 <法師訓練師>";
  AMCL["Inethven"] = "伊奈凡 <法師訓練師>";
  AMCL["Narinth"] = "納利斯 <傳送門訓練師>";
  AMCL["Elrodan"] = "伊羅丹";
  AMCL["Aurosalia"] = "奧羅莎莉雅";
  
  --NPC Stormwind 暴風城
  --Ltblu

  AMCL["Barbershop"] = "美容沙龍";

  AMCL["ValHer"] = "英雄谷";

  AMCL["SBank"] = "暴風城會計室";
  AMCL["Maloof"] = "軍官馬婁爾夫 <暴風城表揚處>";

  AMCL["Jorgen"] = "喬貞";
  AMCL["Umbrua"] = "先知安布洛 <薩滿訓練師>";
  AMCL["GMarcus"] = "馬庫斯·喬納森將軍";
  AMCL["FMAfras"] = "戰場元帥艾法希比";
  AMCL["MMattin"] = "瑪丁雷少校";
  AMCL["Goodman"] = "公告員古德曼 （於城市中繞行）";

  --White
  AMCL["TDistri"] = "貿易區";

  AMCL["SWVC"] = "暴風城接待中心";
  AMCL["AldwinL"] = "奧德文·拉弗林 <公會註冊員>";
  AMCL["RebecL"] = "瑞貝卡·拉弗林 <外袍商人>";

  AMCL["Trias'C"] = "提亞斯乳酪店";
  AMCL["ElaineT"] = "伊萊恩·提亞斯 <乳酪商>";
  AMCL["BenT"] = "本·提亞斯 <見習乳酪師>";
  AMCL["ETrias"] = "伊林·提亞斯 <乳酪商>";

  AMCL["Pestle's"] = "匹斯特的藥劑店";
  AMCL["RenatG"] = "雷納多·加林納";
  AMCL["KyraB"] = "凱拉·布舍爾 <施法材料>";
  AMCL["KeldrB"] = "凱德雷克·布舍爾 <施法材料和鍊金術供應商>";
  AMCL["MPestl"] = "摩根·匹斯特";

  AMCL["EveryM"] = "日常百貨店";
  AMCL["StephanT"] = "斯蒂芬妮·特納";
  AMCL["EdnaM"] = "艾德娜·穆比 <貿易供應商>";
  AMCL["TMull"] = "薩爾曼·穆比 <雜貨商>";

  AMCL["Weller's"] = "維勒武器店";
  AMCL["MardaW"] = "瑪爾達·維勒 <武器商>";
  AMCL["GunthW"] = "岡瑟爾·維勒 <武器商>";
  AMCL["WooPing"] = "吳平 <武器大師>";

  AMCL["LionArm"] = "獅心武器庫";
  AMCL["CarlaG"] = "卡拉·格蘭治 <布甲商>";
  AMCL["LaraM"] = "蘿拉·摩爾 <皮甲商>";
  AMCL["AldrM"] = "奧德瑞克·摩爾 <鎖甲商>";
  AMCL["HarlB"] = "哈蘭·巴格雷";

  AMCL["TGRI"] = "鑲金玫瑰";
  AMCL["InnAl"] = "旅店老闆奧里森";

  AMCL["EmpQuiv"] = "空箭袋";
  AMCL["FredeS"] = "弗德瑞克·斯圖瓦 <弓箭商>";
  AMCL["LinaS"] = "黎娜·斯圖瓦 <弓箭和槍械商>";

  AMCL["JSharp"] = "捷林奈克·利剪 <美容師>";

  AMCL["DungL"] = "杜加爾·朗德瑞克 <獅鷲獸管理員>";

  AMCL["FragFlow"] = "芬芳花朵";
  AMCL["BGump"] = "伯納德·加姆 <種花人>";
  AMCL["FGump"] = "菲利希亞·加姆 <草藥學供應商>";

  AMCL["CanalTail"] = "運河裁縫店";
  AMCL["LisbS"] = "利斯貝·斯涅德 <布商>";
  AMCL["RemaS"] = "雷瑪·施涅德";

  AMCL["ArnoL"] = "阿諾德·利蘭 <釣魚訓練師>";
  AMCL["CatheL"] = "凱薩琳·利蘭 <釣魚供應商>";

  AMCL["GallWine"] = "加林納酒店";
  AMCL["JuliG"] = "朱莉安·加林納 <酒商>";
  AMCL["RobertP"] = "羅伯特·奧布斯 <美酒鑒賞家>";
  AMCL["SuzetG"] = "蘇澤塔·加林納";

  --Orng
  AMCL["MageQuart"] = "法師區";

  AMCL["Stock"] = "監獄";
  AMCL["WThelw"] = "典獄官塞爾沃特";
  AMCL["Stocks"] = "暴風城監獄地城";

  AMCL["CStanf"] = "卡特麗娜·史丹佛 <銘文學訓練師>";
  AMCL["McCorm"] = "史丹力·麥寇米克 <銘文學供應商>";

  AMCL["Mazen"] = "馬森·馬克納迪爾 <魔法和科學研究院>";
  AMCL["Mazen&"] = "";
  AMCL["AdairG"] = "艾代爾·吉爾羅 <圖書管理員>";
  AMCL["ADellis"] = "隨從迪利斯";

  AMCL["LucanC"] = "魯坎·考迪爾 <附魔訓練師>";
  AMCL["JessaraC"] = "傑薩拉·考迪爾 <附魔供應商>";

  AMCL["SWStaves"] = "暴風法杖店";
  AMCL["ArdwynC"] = "阿德溫·凱倫 <魔杖商人>";
  AMCL["AllanH"] = "艾倫·哈弗甘 <法杖商>";

  AMCL["Duncan'sT"] = "鄧肯布料店";
  AMCL["DuncanC"] = "鄧肯·庫侖 <輕甲商>";
  AMCL["AlexanB"] = "亞歷山卓·波利羅 <裁縫供應商>";
  AMCL["GeorgB"] = "喬吉奧·波利羅 <裁縫訓練師>";
  AMCL["Clavicus"] = "克拉維斯·納文哈姆 <聯盟布匹軍需官>";
  AMCL["Clavicus&"] = "";

  AMCL["AlcNee"] = "鍊金材料店";
  AMCL["Tannysa"] = "塔尼莎 <草藥學訓練師>";
  AMCL["Lilyss"] = "莉琳希亞·夜風 <鍊金術訓練師>";
  AMCL["MariaL"] = "瑪麗亞·盧米爾 <鍊金術供應商>";
  AMCL["Eldra"] = "艾達伊斯 <草藥學供應商>";

  AMCL["CollinM"] = "科林·馬倫";

  AMCL["BlueRec"] = "藍色隱士";
  AMCL["Joachim"] = "札希姆·布倫羅 <酒保>";
  AMCL["ConnorR"] = "科諾爾·瑞沃斯 <見習廚師>";
  AMCL["SLohan"] = "史蒂芬·洛漢";
  AMCL["AStern"] = "安古斯·斯特恩 <大廚>";
  AMCL["CFire"] = "烹飪用火";

  AMCL["AMalin"] = "大法師馬林";

  AMCL["WizSan"] = "巫師聖所 （中心高塔）";
  AMCL["HAndromath"] = "高階巫士安多瑪斯";
  AMCL["JCannon"] = "詹妮亞·坎農 <法師訓練師>";
  AMCL["Elsharin"] = "艾爾莎林 <法師訓練師>";
  AMCL["MDumas"] = "瑪姬諾·仲馬 <高階法師>";
  AMCL["LPurdue"] = "拉瑞麥尼·普爾度 <傳送門訓練師>";

  AMCL["LarsonClo"] = "拉爾森服裝店";
  AMCL["WLarson"] = "威恩·拉爾森 <長袍商>";
  AMCL["ELarson"] = "伊萬·拉爾森 <帽商>";

  AMCL["EssenComp"] = "精華材料";
  AMCL["OVaughn"] = "歐文·沃弗恩 <施法材料>";

  AMCL["AncientCu"] = "古董";
  AMCL["Yserian"] = "查瑞斯·伊瑟里安 <魔法飾品商人>";

  AMCL["SlaughtLa"] = "已宰的羔羊";
  AMCL["Jarel"] = "札雷·莫爾 <酒保>";
  AMCL["Jalane"] = "嘉萊恩·艾羅 <大師級影紋裁縫>";
  AMCL["Zardeth"] = "黑爪加爾德斯";
  AMCL["Sandahl"] = "山達爾 <術士訓練師>";
  AMCL["Gakin"] = "『黑暗縛靈師』加金";
  AMCL["Cloyce"] = "德米賽特·克勞斯 <術士訓練師>";
  AMCL["Deline"] = "厄蘇拉·德林 <術士訓練師>";
  AMCL["Spackle"] = "斯巴克爾";

  AMCL["Pyrot"] = "煙火店";
  AMCL["Singh"] = "達利安·辛格 <煙火商人>";

  --Cyan
  AMCL["SWPark"] = "花園";

  AMCL["Folsom"] = "管理員弗索姆";

  AMCL["Sylista"] = "塞麗斯塔 <獸欄管理員>";

  AMCL["SWInn"] = "旅店";

  AMCL["Shylamiir"] = "莎拉米爾 <草藥學訓練師>";

  AMCL["Tavern"] = "旅店";

  AMCL["ArgosN"] = "阿茍斯·夜語";
  AMCL["Sheldras"] = "沙德拉斯·月樹 <德魯伊訓練師>";
  AMCL["Theridran"] = "塞瑞德蘭 <德魯伊訓練師>";
  AMCL["Maldryn"] = "瑪爾德利恩 <德魯伊訓練師>";
  AMCL["NaraM"] = "娜拉·梅德隆 <牧師訓練師>";

  AMCL["WAP"] = "這三個人在花園中徘徊";
  AMCL["Shailiea"] = "莎莉恩";
  AMCL["KimberG"] = "金伯利·格蘭特";
  AMCL["KellyG"] = "科莉·格蘭特";

  --Red
  AMCL["SWHarbor"] = "暴風港";

  AMCL["Thargold"] = "薩茍德·鐵翼";
  AMCL["Nayura"] = "奈攸拉 <碼頭管理員>";
  AMCL["SAuberd"] = "通往奧伯丁的船";
  AMCL["Assurance"] = "保險";
  AMCL["PCarver"] = "保羅·卡佛上尉";
  AMCL["GCPK"] = "船艙長保羅·庫比特 <食物和飲料商人>";
  AMCL["kurtisP"] = "工程師克帝斯·沛達克 <貿易供應商>";
  AMCL["LeeshaT"] = "莉夏·坦稜拜 <碼頭管理員>";
  AMCL["SVali"] = "通往驍勇要塞的船";
  AMCL["StevenA"] = "史蒂芬·艾倫";
  AMCL["SWlight"] = "暴風燈塔";

  --Purp
  AMCL["CathSqua"] = "教堂廣場";

  AMCL["MorrisL"] = "莫里斯·勞瑞";

  AMCL["FThread"] = "最好的線團";

  AMCL["JMaces"] = "公正之錘";
  AMCL["GArdus"] = "葛列格里·阿杜斯 <法杖和鑄錘商>";

  AMCL["RPlates"] = "正義之甲";
  AMCL["AgustM"] = "阿古塔斯·莫萊恩 <鎖甲商>";
  AMCL["TheresM"] = "泰瑞莎·莫萊恩 <長袍商>";

  AMCL["BKrist"] = "克里斯多夫修士";

  AMCL["OMNight"] = "孤兒監護員南丁格爾";
  AMCL["Shel"] = "瑟倫尼 <孤兒監護人>";

  AMCL["CathLig"] = "聖光大教堂";
  AMCL["BSarno"] = "薩爾努修士";
  AMCL["Rall"] = "達索瑞恩·拉爾";
  AMCL["BFarth"] = "主教法席恩";
  AMCL["ABBened"] = "大主教本尼迪塔斯";
  AMCL["Gazin"] = "傑生·坦諾姆";
  AMCL["HPLaur"] = "高階牧師勞瑞娜 <牧師訓練師>";
  AMCL["JoshPT"] = "喬舒修士 <牧師訓練師>";
  AMCL["Benj"] = "本傑明修士 <牧師訓練師>";

  AMCL["Grayson"] = "格雷森·破影者領主 <聖騎士訓練師>";
  AMCL["KathPT"] = "純潔的凱薩琳 <聖騎士訓練師>";
  AMCL["ArthPT"] = "虔誠的亞瑟 <聖騎士訓練師>";

  AMCL["SFull"] = "珊娜·弗勒 <急救訓練師>";
  AMCL["BCass"] = "卡蘇斯修士 <施法材料商>";

  AMCL["CathLigD"] = "聖光大教堂 （樓下）";
  AMCL["BAnton"] = "安東修士 <血色十字軍使者>";

  AMCL["CityHall"] = "城市大廳";
  AMCL["BarosA"] = "巴洛斯·艾力克斯頓 <城市建築師>";
  AMCL["RFBathr"] = "皇家代理人巴瑟羅爾 <暴風城人口普查處>";

  AMCL["ArgentD"] = "銀色黎明";

  AMCL["OEmma"] = "艾瑪";
  AMCL["OEmma&"] = "（每15分鐘往來繞行於她家與貿易區中的井之間）";

  --Yell
  AMCL["DwarvDist"] = "矮人區";

  AMCL["CTAlley"] = "割喉小巷";

  AMCL["GelmanS"] = "吉爾曼·石手 <採礦訓練師>";
  AMCL["BrookeS"] = "布魯克·石衣 <採礦供應商>";

  AMCL["BorgusS"] = "博古斯·鋼拳 <武器鍛造訓練師>";
  AMCL["KathA"] = "卡斯魯姆·斧拳 <斧商>";
  AMCL["Grimand"] = "格瑞曼德·艾爾默";

  AMCL["ThulmF"] = "蘇爾曼·火崖 <槍械商>";

  AMCL["Shoni"] = "沉默的舒尼";

  AMCL["LilliS"] = "利廉姆·火軸 <工程學訓練師>";
  AMCL["BilliC"] = "比利巴布·考格斯賓 <工程學供應商>";

  AMCL["EyeStorm"] = "暴風之眼大使";

  AMCL["TherumD"] = "瑟魯姆·深爐 <鍛造訓練師>";
  AMCL["KaitaD"] = "凱塔·深爐 <鍛造供應商>";
  AMCL["Hank"] = "『巨錘』漢克 <秘銀會>";
  AMCL["Furen"] = "弗倫·長鬚";
  AMCL["BenikB"] = "班尼克·栓剪 <鎖匠>";

  AMCL["Jenova"] = "耶諾瓦·石盾 <獸欄管理員>";
  AMCL["Einris"] = "恩瑞斯·銳矛 <獵人訓練師>";
  AMCL["Ulfir"] = "奧菲爾·鐵鬚 <獵人訓練師>";
  AMCL["Thorfin"] = "托爾芬·石盾 <獵人訓練師>";

  AMCL["Morgg"] = "莫格·雷矢";

  AMCL["Brohann"] = "布羅哈恩·鐵桶 <探險者協會>";
  AMCL["Wilder"] = "維爾德·薊草";

  --Blue
  AMCL["SWKeep"] = "暴風要塞";

  AMCL["PetCham"] = "祈願室";
  AMCL["CRRidge"] = "雷明頓·瑞治維爾伯爵 <貴族>";
  AMCL["LBWishock"] = "鮑雷斯·維沙克領主 <貴族>";
  AMCL["Caledra"] = "卡雷德拉·晨風";

  AMCL["Varian"] = "瓦里安·烏瑞恩國王 <暴風城之王>";
  AMCL["Anduin"] = "安杜因·烏瑞恩 <暴風城王子>";
  AMCL["ETaluun"] = "大使塔魯恩";

  AMCL["Delavey"] = "德拉維主教";

  AMCL["WarRoom"] = "指揮室";
  AMCL["Jes-Ter"] = "傑塔瑞斯上將";
  AMCL["MithI"] = "米薩斯·鐵山";
  AMCL["Beka"] = "貝卡·昔普威索 <競技場戰場軍官>";
  AMCL["ThelmS"] = "塞爾曼·岩拳 <奧特蘭克山谷戰場軍官>";
  AMCL["Elfarran"] = "艾弗拉蘭 <戰歌峽谷戰場軍官>";
  AMCL["Jovil"] = "喬維爾 <暴風之眼戰場軍官>";
  AMCL["Hotes"] = "赫塔希姆女士 <阿拉希盆地戰場軍官>";
  AMCL["Bethany"] = "貝薩尼·艾迪爾 <遠祖灘頭戰場軍官>";

  AMCL["MSamuel"] = "山繆森少校 <暴風城衛兵>";

  AMCL["Tyrion"] = "泰里恩";
  AMCL["Alicia"] = "艾利西亞";

  AMCL["RoyLib"] = "皇家圖書館";
  AMCL["Milton"] = "密爾頓·西弗 <圖書管理員>";
  AMCL["Donyal"] = "丹亞·托瓦爾德 <圖書管理員>";
  AMCL["GregorL"] = "葛瑞格·萊斯科瓦領主";

  AMCL["RoyGal"] = "皇家畫廊";

  --Gren
  AMCL["OldTown"] = "舊城區";

  AMCL["HHW"] = "重型武器";
  AMCL["GKoen"] = "格瑞克·考恩 <雙手武器商人>";

  AMCL["Pig&W"] = "豬和哨聲旅店";
  AMCL["ReeseL"] = "瑞斯·朗斯頓 <旅店老闆>";
  AMCL["SRyback"] = "斯蒂芬·雷百克 <烹飪訓練師>";
  AMCL["ETate"] = "艾瑞卡·塔特 <烹飪供應商>";
  AMCL["KKabon"] = "肯多爾·卡邦卡 <烹飪大師>";
  AMCL["Bartleby"] = "巴托比 <醉鬼>";
  AMCL["DLangs"] = "大衛·朗斯頓";
  AMCL["Aedis"] = "艾迪斯·布洛姆";
  AMCL["Faral"] = "克里斯多夫·法拉爾";
  AMCL["HarryB"] = "哈里·伯加德";
  AMCL["EllyLang"] = "艾麗·朗斯頓 <酒吧女服務員>";

  AMCL["FDV"] = "五種劇毒";
  AMCL["Lenney"] = "『巧手』雷尼·麥考伊 （外面）";
  AMCL["Beasley"] = "奧比斯雷 （外面）";
  AMCL["Dashel"] = "達舍爾·石拳 （外面）";
  AMCL["MilesS"] = "邁爾斯·西德尼 <毒藥供應商>";
  AMCL["Wright"] = "萊特·威廉斯";

  AMCL["HonestB"] = "正直之劍";
  AMCL["Heinrich"] = "亨里克·斯通 <劍刃武器商>";

  AMCL["Immuni"] = "有限防護";
  AMCL["OStrang"] = "奧斯瑞克·斯圖恩 <重型護甲商人>";
  AMCL["WStrang"] = "維爾海姆·斯圖恩 <鎖甲商>";

  AMCL["Osborne"] = "『夜行者』奧斯伯 <盜賊訓練師>";

  AMCL["CHall"] = "勇士大廳";
  AMCL["O'Neal"] = "奧尼爾上尉 <珠寶設計軍需官>";
  AMCL["Jacksp"] = "加克斯賓中尉 <武器軍需官>";
  AMCL["Biggin"] = "上士貝金斯 <雜貨軍需官>";
  AMCL["Biggin&"] = "";
  AMCL["Karter"] = "卡特爾中尉 <坐騎商人>";
  AMCL["Tristia"] = "翠斯堤亞中尉 <老練護甲軍需官>";
  AMCL["Skyshad"] = "士官長天影";
  AMCL["Ennarth"] = "先驅者伊納爾司";
  AMCL["Gaiman"] = "大法師蓋曼";
  AMCL["Vaccar"] = "拉切爾·瓦卡中尉 <護甲軍需官>";
  AMCL["Dirgeh"] = "戴格哈默上尉 <見習護甲軍需官>";
  AMCL["Dirgeh&"] = "";
  AMCL["Moonst"] = "中尉騎士月擊 <護甲軍需官>";
  AMCL["Moonst&"] = "";
  AMCL["Clate"] = "士官長克萊特 <護甲軍需官>";

  AMCL["ComCent"] = "指揮所";
  AMCL["Wood"] = "伍德";
  AMCL["IlsaC"] = "伊爾莎·考賓 <戰士訓練師>";
  AMCL["WuShen"] = "武神 <戰士訓練師>";
  AMCL["AnderG"] = "安得爾·傑曼 <戰士訓練師>";

  AMCL["SI:7"] = "軍情七處";
  AMCL["Mathias"] = "馬迪亞斯·肖爾 <軍情七處領袖>";
  AMCL["Renzik"] = "『剃刃』雷吉克 <軍情七處>";
  AMCL["Sloan"] = "斯洛安·麥考伊 <毒藥供應商>";
  AMCL["Fel"] = "賈斯伯·菲爾 <黑市商人>";
  AMCL["Romano"] = "東尼·羅曼諾領主 <盜賊訓練師>";
  AMCL["Mixil"] = "道克·米希匹克斯 （地下室）";

  AMCL["ProHide"] = "護體皮甲";
  AMCL["STanner"] = "西蒙·坦納爾 <製皮訓練師>";
  AMCL["JTanner"] = "吉莉安·坦納爾 <製皮供應商>";
  AMCL["Granger"] = "馬瑞斯·格蘭治 <剝皮訓練師>";
  AMCL["AlyssaG"] = "艾莉莎·格瑞菲斯 <背包商人>";
  AMCL["SeomanG"] = "希歐曼·格瑞菲斯 <皮甲商>";
  AMCL["Noah"] = "小諾亞";

  AMCL["ThanBoo"] = "希恩靴店";
  AMCL["Mayda"] = "梅達·希恩 <製鞋匠>";

  AMCL["SilverSh"] = "白銀之盾";
  AMCL["BCross"] = "布賴恩·克羅斯 <盾牌商>";

  AMCL["JennL"] = "吉恩·朗斯頓 （在舊城區繞行）";
  AMCL["Nikova"] = "尼科瓦·拉斯克";
  AMCL["Nikova&"] = "（在舊城區繞行並且每幾分鐘便會停下來，";
  AMCL["Nikova&1"] = "一共停三個地方）";


  --NPC Thunder Bluff 雷霆崖
  --White
  AMCL["LLevel"] = "高地下部";

  AMCL["Pala"] = "旅店老闆帕拉";
  AMCL["Bulrug"] = "布爾魯格 <獸欄管理員>";
  AMCL["AtHR"] = "通往獵人高地";

  AMCL["ElevM"] = "莫高雷升降機";

  AMCL["TBCI"] = "雷霆崖諮詢處";
  AMCL["Thrumn"] = "瑟拉姆 <外袍商人>";
  AMCL["Krumn"] = "克拉姆 <公會註冊員>";
  AMCL["Scorch"] = "營火";

  AMCL["Kuruk's"] = "庫魯克的貨物";
  AMCL["Kuruk"] = "庫魯克 <雜貨商>";
  AMCL["Pakwa"] = "派克瓦 <背包商人>";

  AMCL["TGASu"] = "商品和補給品";
  AMCL["ShadiM"] = "沙迪·迷霧行者 <貿易供應商>";

  AMCL["Jyn"] = "吉恩·石蹄 <武器商>";
  AMCL["Ansek"] = "安塞瓦 <武器大師>";

  AMCL["Hewa's"] = "海瓦的防具店";
  AMCL["Hewa"] = "海瓦 <布甲商>";
  AMCL["Elki"] = "艾爾基 <鎖甲商>";
  AMCL["Ahanu"] = "安哈努 <護甲商>";

  AMCL["Tal"] = "塔爾 <雙足飛龍管理員>";
  AMCL["ALLMLUL"] = "通往高地下部 <高地中部和高地上部>";
  AMCL["ALLMLUL&"] = "";

  AMCL["derstr"] = "軍官森德·雷蹄 <雷霆崖表揚處>";
  AMCL["derstr&"] = "";

  AMCL["BandG"] = "麵包和榖物";
  AMCL["Fry"] = "法爾·迷霧行者 <麵包商>";

  AMCL["Karn's"] = "卡恩鐵匠鋪";
  AMCL["Karn"] = "卡恩·石蹄 <鍛造訓練師>";
  AMCL["Taur"] = "陶爾·石蹄 <鍛造供應商>";
  AMCL["Orm"] = "歐姆·石蹄";

  AMCL["Truths"] = "賢者圖希克";
  AMCL["AtSR"] = "通往靈魂高地";

  AMCL["Geology"] = "石蹄地質學會";
  AMCL["Brek"] = "布瑞克·石蹄 <採礦訓練師>";
  AMCL["KurmS"] = "卡姆·石蹄 <採礦供應商>";

  AMCL["Eyahn"] = "伊恩·鷹爪";
  AMCL["Auld"] = "奧爾德·石塔";

  AMCL["Chepi"] = "切比 <施法材料商>";
  AMCL["Chepi&"] = "（在高地下部繞行叫賣）";
  AMCL["Windst"] = "雷霆崖信差斯塔德爾";
  AMCL["Windst&"] = "（在高地下部與上部之間行走）";

  --Purp
  AMCL["MLevel"] = "高地中部";

  AMCL["Thund"] = "雷角弓箭店";
  AMCL["Kuna"] = "庫納·雷角 <弓箭商>";

  AMCL["FaV"] = "水果和蔬菜";
  AMCL["Nan"] = "納恩·迷霧行者 <水果商>";

  AMCL["Holis"] = "綠色草藥";
  AMCL["Komin"] = "克米恩·冬蹄 <草藥學訓練師>";
  AMCL["Nida"] = "尼達·冬蹄 <草藥學供應商>";

  AMCL["AtER"] = "通往長者高地";

  AMCL["CloudB"] = "織雲者的籃子";
  AMCL["Tand"] = "坦德 <織籃者>";

  AMCL["Bena's"] = "貝娜的鍊金店";
  AMCL["Bena"] = "貝娜·冬蹄 <鍊金術訓練師>";
  AMCL["Mani"] = "曼尼·冬蹄 <鍊金術供應商>";

  AMCL["TBEnchanters"] = "晨行者附魔商店";
  AMCL["Teg"] = "泰戈·晨行者 <附魔訓練師>";
  AMCL["Nata"] = "納塔·晨行者 <附魔供應商>";

  AMCL["TBArmorers"] = "雷霆崖防具店";
  AMCL["Mooranta"] = "莫蘭塔 <剝皮訓練師>";
  AMCL["Veren"] = "維爾倫·陸行者";
  AMCL["Tepa"] = "坦帕 <裁縫訓練師>";
  AMCL["Mahu"] = "曼胡 <製皮＆裁縫供應商>";
  AMCL["Tagain"] = "塔蓋恩 <布甲商>";
  AMCL["Fela"] = "菲爾拉 <重型護甲商人>";
  AMCL["Grod"] = "格洛德 <皮甲商>";
  AMCL["Una"] = "猶納 <製皮訓練師>";
  AMCL["Rumstag"] = "拉姆斯塔格 <部落布匹軍需官>";
  AMCL["Rumstag&"] = "";

  --Yell
  AMCL["ULevel"] = "高地上部";

  AMCL["Rainsticks"] = "雨棒";
  AMCL["Sunn"] = "蘇恩·狂暴圖騰 <法杖商>";

  AMCL["KS&R"] = "科多獸肉品店";
  AMCL["Kaga"] = "卡加·迷霧行者 <肉商>";

  AMCL["WinterT"] = "冬蹄圖騰";
  AMCL["Tah"] = "塔恩·冬蹄";

  AMCL["MTB&T"] = "山頂漁具店";
  AMCL["Kah"] = "卡爾·迷霧行者 <釣魚訓練師>";
  AMCL["Sewa"] = "蘇瓦·迷霧行者 <釣魚供應商>";

  AMCL["CairneB"] = "凱恩·血蹄 <大酋長>";

  AMCL["Halpa"] = "哈爾帕 <草原土撥鼠商人>";

  AMCL["TBFirea"] = "雷蹄火器店";
  AMCL["Hogor"] = "霍高爾·雷角 <槍械商>";

  AMCL["Raget"] = "狂暴圖騰武器店";
  AMCL["Delgo"] = "德爾貢·狂暴圖騰 <斧商>";
  AMCL["Etu"] = "伊圖·狂暴圖騰 <錘和法杖商人>";
  AMCL["Ohanko"] = "奧漢克 <雙手武器商人>";
  AMCL["Kard"] = "卡德·狂暴圖騰 <劍和匕首商人>";

  AMCL["Sura"] = "蘇拉·蠻鬃 <護甲商>";

  AMCL["Aska's"] = "阿斯卡的廚房";
  AMCL["Aska"] = "阿絲卡·迷霧行者 <烹飪訓練師>";
  AMCL["Naal"] = "納爾·迷霧行者 <烹飪供應商>";

  AMCL["Zangen"] = "贊金·石蹄";

  --Blue
  AMCL["HuntR"] = "獵人高地";

  AMCL["HHall"] = "獵手大廳";
  AMCL["Urek"] = "烏瑞克·雷角 <獵人訓練師>";
  AMCL["Kary"] = "卡瑞·雷角 <獵人訓練師>";
  AMCL["Holt"] = "浩特·雷角 <獵人訓練師>";
  AMCL["Sark"] = "薩爾克·狂暴圖騰 <戰士訓練師>";
  AMCL["Torm"] = "托姆·狂暴圖騰 <戰士訓練師>";
  AMCL["Ker"] = "科爾·狂暴圖騰 <戰士訓練師>";

  AMCL["Saern"] = "賽恩·傲行者";
  AMCL["Melor"] = "梅洛·石蹄";

  AMCL["Althal"] = "阿斯蘭·光刃 <暴風之眼戰場軍官>";
  AMCL["Martin"] = "馬丁·林塞 <阿拉希盆地戰場軍官>";
  AMCL["Fizim"] = "費希姆·衝板 <競技場戰場軍官>";

  AMCL["Kergul"] = "克古爾·血斧 <戰歌峽谷戰場軍官>";
  AMCL["Ufuda"] = "科多·雲劈 <遠祖灘頭戰場軍官>";
  AMCL["Ufuda&"] = "";
  AMCL["Taim"] = "泰姆·狂暴圖騰 <奧特蘭克山谷戰場軍官>";

  AMCL["Mosarn"] = "莫薩恩";

  AMCL["Hesuwa"] = "赫蘇瓦·雷角 <寵物訓練師>";

  --Gren
  AMCL["ERise"] = "長者高地";

  AMCL["HElders"] = "長者大廳";
  AMCL["Kym"] = "凱姆·蠻鬃 <德魯伊訓練師>";
  AMCL["Turak"] = "圖拉克·符文圖騰 <德魯伊訓練師>";
  AMCL["Sheal"] = "希爾·符文圖騰 <德魯伊訓練師>";
  AMCL["Nara"] = "納拉·蠻鬃";
  AMCL["ADHamuul"] = "大德魯伊哈繆爾·符文圖騰";

  AMCL["Bashana"] = "巴珊娜·符文圖騰";

  AMCL["Rahuro"] = "拉哈羅 <瑪加薩的僕從>";
  AMCL["Magatha"] = "瑪加薩·恐怖圖騰 <長者>";
  AMCL["Cor"] = "考爾·恐怖圖騰";
  AMCL["Gorm"] = "高爾姆·恐怖圖騰";

  AMCL["ERDrums"] = "長者高地戰鼓";
  AMCL["Sheza"] = "舍爾札·蠻鬃";

  AMCL["Ghede"] = "格德";

  --Orng
  AMCL["SRise"] = "靈魂高地";

  AMCL["HallofS"] = "靈魂大廳";
  AMCL["Beram"] = "博拉姆·逐星 <薩滿訓練師>";
  AMCL["Siln"] = "希恩·逐星 <薩滿訓練師>";
  AMCL["Tigor"] = "提戈爾·逐星 <薩滿訓練師>";
  AMCL["Xanis"] = "薩尼斯·織火";

  AMCL["SHealing"] = "精神治療";
  AMCL["Pand"] = "潘德·縛石 <急救訓練師>";

  AMCL["Pawe"] = "帕維·迷霧行者";

  AMCL["PVision"] = "預見之池";
  AMCL["Clarice"] = "克拉莉斯·弗斯特";
  AMCL["Poshken"] = "波西坎·堅縛 <銘文學訓練師>";
  AMCL["Mertle"] = "莫斗·鬱筆 <銘文學供應商>";
  AMCL["Malakai"] = "馬拉凱·克羅斯 <牧師訓練師>";
  AMCL["Zamah"] = "藥劑師札瑪 <皇家藥劑師學會>";
  AMCL["Cranst"] = "比爾吉特·克蘭斯頓 <傳送門訓練師>";
  AMCL["Shymm"] = "大法師山姆 <法師訓練師>";
  AMCL["Welsh"] = "麥爾斯·威爾許 <牧師訓練師>";
  AMCL["Ursyn"] = "奧松·格盧爾 <法師訓練師>";
  AMCL["FCobb"] = "柯布神父 <牧師訓練師>";
  AMCL["Xane"] = "瑟斯頓·科薩恩 <法師訓練師>";


  --NPC Undercity 幽暗城
  --White
  AMCL["TraQuart"] = "貿易區";

  AMCL["Aucti"] = "拍賣師 （就在貿易區外的運河附近）";
  AMCL["Aucti&"] = "";

  AMCL["ERusk"] = "伊林諾爾·拉斯克 <雜貨商>";
  AMCL["GenGoods"] = "雜貨商";

  AMCL["FDoan"] = "菲利希亞·杜安 <貿易供應商>";
  AMCL["GCallow"] = "吉納維·卡隆";

  AMCL["BHandler"] = "蝙蝠管理員";
  AMCL["MGarrett"] = "麥可·加勒特 <蝙蝠管理員>";
  AMCL["PGarrett"] = "派翠克·加勒特";

  AMCL["OGothena"] = "軍官高特娜 <幽暗城表揚處>";

  AMCL["UWeapons"] = "武器";
  AMCL["GWendham"] = "高頓·溫德哈姆 <武器商>";
  AMCL["LWarren"] = "路易斯·瓦倫 <武器商>";

  AMCL["UHArmor"] = "重甲";
  AMCL["TWeldon"] = "提莫斯·威爾頓 <重型護甲商人>";
  AMCL["WElling"] = "華特·伊林森 <重型護甲商人>";

  AMCL["ULArmor"] = "輕甲";
  AMCL["LNewcomb"] = "勞倫·紐科布 <輕型護甲商人>";
  AMCL["DBartlett"] = "丹尼爾·巴特勒 <貿易供應商>";

  AMCL["AMaulray"] = "安雅·瑪爾雷 <獸欄管理員>";
  AMCL["INorman"] = "旅店老闆諾曼";

  AMCL["MReagents"] = "莫丹材料店";
  AMCL["Mordan"] = "莫丹 <施法材料商>";

  AMCL["NaznikS"] = "那茲尼克·穩剃 <美容師>";
  AMCL["ECairn"] = "愛德華·坎爾 <長者>";

  AMCL["GuildCT"] = "公會創建／外袍";
  AMCL["ROBauhaus"] = "皇家監督者巴哈烏斯 <幽暗城人口普查處>";
  AMCL["EReming"] = "愛德華·雷明頓 <公會外袍設計師>";
  AMCL["CDrakul"] = "克里斯多夫·德庫爾 <公會註冊員>";
  AMCL["MPleas"] = "邁瑞爾·普萊森斯 <外袍商人>";

  AMCL["UCook"] = "烹飪";
  AMCL["EBurch"] = "尤奈斯·伯奇 <烹飪訓練師>";
  AMCL["RBurch"] = "羅奈爾得·伯奇 <烹飪供應商>";
  AMCL["RAndrean"] = "拉林夫·安迪恩 <特別廚師>";

  AMCL["TawnyG"] = "塔文·格瑞斯特 <蘑菇商>";
  AMCL["TawnyG&"] = "（在貿易區上部繞行叫賣）";
  AMCL["TawnyG&1"] = "";

  AMCL["JPayson"] = "傑雷米亞·派森 <蟑螂商人>";

  AMCL["Balth"] = "預言者巴薩札德";
  AMCL["Balth&"] = "（在貿易區和貿易區外的運河邊繞行叫賣）";
  AMCL["Balth&1"] = "";

  --Purp
  AMCL["Apothe"] = "鍊金房";

  AMCL["dugur"] = "看守者貝爾杜加";

  AMCL["UHerba"] = "草藥師";
  AMCL["MAllie"] = "瑪莎·奧列斯塔 <草藥學訓練師>";
  AMCL["KAllie"] = "卡崔娜·奧列斯塔 <草藥學供應商>";

  AMCL["ALuca"] = "奧雷薩多·盧卡 <藍月雜貨店>";

  AMCL["UEnchant"] = "附魔";
  AMCL["LCrowe"] = "拉文尼亞·克洛文 <附魔訓練師>";
  AMCL["TWebb"] = "薩德烏斯·韋伯 <附魔供應商>";

  AMCL["Parq"] = "帕科瓦·芬塔拉斯";

  AMCL["AGant"] = "安德隆·甘特";

  AMCL["Alchemist"] = "鍊金師";
  AMCL["Algernon"] = "奧格諾恩 <鍊金術供應商>";
  AMCL["DMarsh"] = "馬許醫生 <見習鍊金師>";

  AMCL["DMFelben"] = "馬丁·費爾本醫生 <見習鍊金師>";
  AMCL["MAFaranell"] = "藥劑大師法拉尼爾 <皇家藥劑師學會>";
  AMCL["MAFaranell&"] = "";
  AMCL["DHHalsey"] = "赫伯特·哈爾希醫生 <鍊金術訓練師>";
  AMCL["Fuely"] = "化學家弗雷";
  AMCL["Cuely"] = "藥劑師科雷";
  AMCL["TheodG"] = "薩多雷·格雷夫";
  AMCL["Zinge"] = "藥劑師金格";
  AMCL["AKeev"] = "藥劑師基佛 <皇家藥劑師學會>";

  --Blue
  AMCL["WarQuart"] = "軍事區";

  AMCL["GerardA"] = "傑勒德·阿博納斯";
  AMCL["LeonaT"] = "萊昂娜·薩普";
  AMCL["JoannW"] = "瓊安娜·懷特豪爾";

  AMCL["UBowM"] = "弓箭商人";
  AMCL["AbigS"] = "阿比蓋爾·薩葉爾 <弓箭商人>";

  AMCL["UMining"] = "採礦";
  AMCL["BromK"] = "布羅姆·基里安 <採礦訓練師>";
  AMCL["SarahK"] = "薩拉·基里安 <採礦供應商>";

  AMCL["UWeapM"] = "武器商人";
  AMCL["Abald"] = "阿基巴德 <武器大師>";
  AMCL["GeoffH"] = "吉奧芬·哈特威爾 <武器商>";
  AMCL["BeniF"] = "本尼亞·芬奈爾 <武器商>";
  AMCL["FranE"] = "弗蘭克西斯·埃洛特 <武器商>";

  AMCL["UBlacks"] = "鐵匠舖";
  AMCL["JVBrunt"] = "詹姆士·範·布朗特 <鍛造訓練師>";
  AMCL["SVBrunt"] = "薩繆爾·範·布朗特 <鍛造供應商>";
  AMCL["MTrem"] = "米爾雷·特雷曼恩 <重型護甲商人>";

  AMCL["UGunsm"] = "槍械商";
  AMCL["NAtwood"] = "尼古拉斯·阿特伍德 <槍械商人>";

  AMCL["HAtwood"] = "海倫娜·阿特伍德";

  AMCL["SHouser"] = "豪瑟爾中士";
  AMCL["SRutger"] = "拉特戈爾中士";

  AMCL["FLanke"] = "蘭克斯特神父 <牧師訓練師>";
  AMCL["FLaza"] = "拉札魯斯神父 <牧師訓練師>";
  AMCL["UAelth"] = "艾薩萊斯特 <牧師訓練師>";
  AMCL["BFowl"] = "巴爾圖斯·弗勒 <戰士訓練師>";
  AMCL["ACurt"] = "安吉拉·科薩斯 <戰士訓練師>";
  AMCL["ChristW"] = "克里斯多夫·沃克 <戰士訓練師>";

  --Gren
  AMCL["MagQuart"] = "魔法區";

  AMCL["UStaff"] = "法杖商";
  AMCL["SUpton"] = "悉尼·厄普頓 <法杖商>";
  AMCL["ZaneB"] = "贊恩·布拉德弗 <魔杖商人>";

  AMCL["UTailor"] = "裁縫";
  AMCL["RalsF"] = "萊斯頓·法斯雷 <部落布匹軍需官>"; 
  AMCL["SVCroy"] = "舍爾頓·馮·克羅伊 <布甲商>";
  AMCL["Josef"] = "喬瑟夫·格里高利 <裁縫訓練師>";
  AMCL["Millie"] = "米利爾·格里高利 <裁縫供應商>";
  AMCL["LuciC"] = "露西爾·卡斯爾頓 <長袍商>";

  AMCL["OranS"] = "奧蘭·蛇繞";
  AMCL["SamaS"] = "薩曼塔·沙克爾頓";
  AMCL["AndrB"] = "安德魯·布隆奈爾";

  AMCL["UCarto"] = "製圖店";
  AMCL["JorahA"] = "約拉·安尼森";

  AMCL["UBook"] = "書商";
  AMCL["SalazB"] = "薩拉札爾·布洛什 <書商>";

  AMCL["UReag"] = "施法材料商";
  AMCL["HannA"] = "漢娜·阿克雷 <施法材料>";

  AMCL["URelic"] = "古物商人";
  AMCL["SilasZ"] = "希拉斯·齊摩爾";

  AMCL["JList"] = "約瑟芬·李斯特 <大師級影紋裁縫>";

  AMCL["CHalg"] = "凱倫丁·哈加爾";

  AMCL["UpLevel"] = "上層";
  AMCL["LMort"] = "萊克斯頓·莫泰姆 <傳送門訓練師>";
  AMCL["BIces"] = "比索·埃斯沙德";

  AMCL["RKerw"] = "理查·科爾文 <術士訓練師>";

  AMCL["AHart"] = "安娜斯塔西婭·哈特威爾 <法師訓練師>";

  AMCL["LoLevel"] = "下層";
  AMCL["LPick"] = "盧瑟·匹克曼 <術士訓練師>";
  AMCL["KaalS"] = "卡爾·噬靈 <術士訓練師>";
  AMCL["KaelyH"] = "凱利斯蒂亞 <法師訓練師>";
  AMCL["PiercS"] = "皮爾斯·沙克爾頓 <法師訓練師>";
  AMCL["MartS"] = "瑪莎·斯坦恩";
  AMCL["GodrF"] = "高德瑞克·法杉";

  AMCL["ArmaC"] = "阿曼德·克倫威爾 <釣魚訓練師>";
  AMCL["LizbC"] = "莉茲白·克倫威爾 <釣魚供應商>";

  --Orng
  AMCL["RogQuart"] = "盜賊區";

  AMCL["UDag"] = "匕首";
  AMCL["CSeat"] = "查理斯·希頓 <劍刃武器商>";
  AMCL["NStee"] = "納旦尼爾·斯蒂恩維克 <投擲武器商人>";

  AMCL["UPois"] = "毒藥";
  AMCL["EGrav"] = "艾澤基爾·格瑞烏斯 <毒藥商>";

  AMCL["MEdra"] = "瑪麗·艾塔斯 <急救訓練師>";

  AMCL["ULeat"] = "皮工";
  AMCL["ArthM"] = "亞瑟·摩爾 <製皮訓練師>";
  AMCL["JoseM"] = "約瑟夫·摩爾 <製皮供應商>";
  AMCL["GillM"] = "基里安·摩爾 <皮甲商>";
  AMCL["KillH"] = "基里安·哈根 <剝皮訓練師>";

  AMCL["UBag"] = "背包商人";
  AMCL["JonaC"] = "喬納森·查博斯 <背包商人>";

  AMCL["UEngin"] = "工程學";
  AMCL["FrankL"] = "弗蘭克林·洛伊德 <工程學訓練師>";
  AMCL["ElizVT"] = "伊莉莎白·範·塔倫 <工程學供應商>";
  AMCL["GrahVT"] = "格拉哈姆·範·塔倫 <見習工程師>";
  AMCL["LucF"] = "盧希恩·芬奈爾";

  AMCL["EsteG"] = "艾斯特蕾·根德瑞";

  AMCL["CaroW"] = "卡洛琳·瓦德 <盜賊訓練師>";
  AMCL["MileD"] = "邁爾斯·迪克斯特 <盜賊訓練師>";
  AMCL["GregC"] = "格雷戈·查理斯 <盜賊訓練師>";
  AMCL["MennC"] = "米奈特·卡加德";

  AMCL["WaltS"] = "華特·索瑞夫 <鎖匠>";

  --Red
  AMCL["RoyalQua"] = "皇家區";

  AMCL["LadWindr"] = "希瓦娜斯·風行者 <女妖之王>";
  AMCL["Sharl"] = "沙琳德拉";
  AMCL["Varima"] = "瓦里瑪薩斯";
  AMCL["ASunsor"] = "憂日大使";
  AMCL["CyssaD"] = "塞薩·黎昇勇士 <聖騎士訓練師>";

  AMCL["GrizHalf"] = "格里茲爾·半鬃 <奧特蘭克山谷戰場軍官>";

  AMCL["RexPix"] = "瑞克斯·比斯莫 <競技場戰場軍官>";

  AMCL["SirMalo"] = "瑪洛維爾爵士 <阿拉希盆地戰場軍官>";

  AMCL["Lyrlia"] = "萊瑞莉雅·黑盾 <暴風之眼戰場軍官>";

  AMCL["KurdB"] = "庫爾丁·血爪 <戰歌峽谷戰場軍官>";
  AMCL["SForth"] = "薩拉·直截 <遠祖灘頭戰場軍官>";
  AMCL["SForth&"] = "";


end
